Sun Mar  8 15:41:06 CET 2009  axel@liljencrantz.se
  * Bump version number

Sun Mar  8 15:23:13 CET 2009  axel@liljencrantz.se
  tagged 1.23.1

Sun Mar  8 15:20:07 CET 2009  axel@liljencrantz.se
  * Update todo list

Sun Mar  1 03:14:41 CET 2009  axel@liljencrantz.se
  * Fix interactive job in background busy wait bug, reported by Randall D. Wald

Tue Feb 24 19:36:01 CET 2009  James Vega <jamessan@jamessan.com>
  * Prevent potential infinite loop
  Ignore-this: 24edfe9248e1b667fcf4d8e151dd50f2

Sun Feb 22 23:45:40 CET 2009  axel@liljencrantz.se
  * Update copyright info, minor layout changes to section about licenses in fish

Sun Feb 22 21:28:52 CET 2009  axel@liljencrantz.se
  * Check return value of a few write calls and retry on EINTR, and fix a few other warnings, mostly by printing error messages before giving up.

Sun Feb 22 20:17:14 CET 2009  axel@liljencrantz.se
  * Misc documentation updates

Sun Feb 22 20:16:49 CET 2009  axel@liljencrantz.se
  * Hopefully make iconv detection work on OS X with non-gnu iconv implementation

Sun Feb 22 17:22:53 CET 2009  axel@liljencrantz.se
  * Don't make complete builtin complain when used in non-interactive mode, as we can always launch a debug prompt. Who are we to question why?

Sun Feb 22 17:22:06 CET 2009  axel@liljencrantz.se
  * Fix read in noninteractive mode problems reported by James Reeves

Sat Feb 21 17:46:56 CET 2009  axel@liljencrantz.se
  * Handle exit status of processes terminated by signals

Sat Feb 21 16:44:20 CET 2009  axel@liljencrantz.se
  * Pressing Control-C (or otherwise changeing the command line content through the commandline builtin) should clear the search buffer.

Sat Feb 21 11:47:59 CET 2009  axel@liljencrantz.se
  * prompt_pwd broken, this fix by James Reeves

Sat Feb 21 11:43:30 CET 2009  axel@liljencrantz.se
  * Oops, I broke recursive wildcard completion

Wed Feb 18 21:20:37 CET 2009  axel@liljencrantz.se
  * Document rename of save_function to func_save. Pointed out by Ovchinnikov George

Mon Feb 16 22:19:40 CET 2009  axel@liljencrantz.se
  * Added faw entry on history editing, written by Beni Cherniavsky

Mon Feb 16 22:11:03 CET 2009  axel@liljencrantz.se
  * Make xdg-version of open handle multiple files.

Mon Feb 16 22:04:50 CET 2009  axel@liljencrantz.se
  * Add possibility to define greeting function, suggested by Chris Miller

Tue Jan 22 19:03:40 CET 2008  Nick Pilon <npilon@gmail.com>
  * This patch fixes a problem where prompt_pwd was printing the full path twice under OS X and probably BSDs. (Which, needless to say, made for very long prompts) The problem was that (Free?)BSD sed and GNU sed handle ? differently. For BSD sed, ? is not special unless the -E flag is specified. The {0,1} syntax should work the same way in both.

Wed Feb  4 20:17:57 CET 2009  terceiro@softwarelivre.org
  * adds completion for Debian's invoke-rc.d command
  Ignore-this: f9ff385e3c239cedfbc9850b06822bba

Wed Feb  4 20:03:58 CET 2009  terceiro@softwarelivre.org
  * function to put current git branch on the fish prompt
  Ignore-this: 841402742571f399e012514315b8e4f0

Wed Feb  4 19:58:26 CET 2009  terceiro@softwarelivre.org
  * better git completion
  Ignore-this: af7fede5c1ee1d92c89d2887cbe54c0b

Wed Feb  4 23:43:10 CET 2009  axel@liljencrantz.se
  * Fix warnings in FATAL_EXIT macro

Thu Jun  5 21:23:05 CEST 2008  Isaac Dupree <id@isaac.cedarswampstudios.org>
  * fix help for `open`

Tue Feb  3 01:26:20 CET 2009  axel@liljencrantz.se
  * Make all fish that use universal variables binaries include iconv

Tue Feb  3 00:47:51 CET 2009  axel@liljencrantz.se
  * Actually escape the double-star recursive wildcard char when requested. This will make sure the syntax highlighting doesn't try to perform a recursive wildcard expansion when cheching command name existance, which killed performance

Tue Feb  3 00:20:49 CET 2009  axel@liljencrantz.se
  * Make proper autoconf test for availability of posix nan function instead of fudging with the NAN macro.

Mon Feb  2 23:46:45 CET 2009  axel@liljencrantz.se
  * Make fish avoid iterating through user list when completing file part of directory starting with tilde. Also add a timeout to the directory iteration, to protect against humongously large user databases.

Mon Feb  2 22:02:42 CET 2009  axel@liljencrantz.se
  * ish's current hostname completion uses ~/.ssh/known_hosts as one of its sources of information, but ~/.ssh/config may also be useful.  Gather all of the 'Host' declarations from ~/.ssh/config and filter out the ones with wildcards. Signed-off-by: James Vega <jamessan@debian.org>

Mon Feb  2 00:18:05 CET 2009  axel@liljencrantz.se
  * Add support for completing aliases in ssh. Written by David Bronke. 

Sun Feb  1 23:55:58 CET 2009  axel@liljencrantz.se
  * Add effectv completions, written by Stefano Sabatini.

Sun Feb  1 23:24:10 CET 2009  axel@liljencrantz.se
  * Fix color ls detection for BSD and OS X systems. Patch by Sven Axelsson.

Sun Feb  1 23:20:58 CET 2009  axel@liljencrantz.se
  * Fix cd function to handle empty variables correctly. Patch by Sven Axelsson.

Sun Feb  1 23:19:21 CET 2009  axel@liljencrantz.se
  * Fix user completion so it can handle comments in the passwd file. Patch by Sven Axelsson.

Sun Feb  1 17:04:11 CET 2009  axel@liljencrantz.se
  * Add netcat completions, written by James Stanley

Sun Feb  1 16:16:01 CET 2009  axel@liljencrantz.se
  * Better warning message when trying to exit with jobs running. PAtch and suggestion from Josef Spillner.

Sun Feb  1 15:09:28 CET 2009  axel@liljencrantz.se
  * Fixed bug with configure.ac in autotools shipped with F10. This fix comes from James Reeves.

Sun Feb  1 14:37:34 CET 2009  axel@liljencrantz.se
  * Add mimedb infinite loop bug fix from James Reeves

Sun Feb  1 14:23:29 CET 2009  axel@liljencrantz.se
  * Switch from ARG_MAX to getting value from sysconf, glibc no longer defines the latter. This was reported from Peter Alfredsen Matthew Wesley, among other people.

Sun Feb  1 13:56:28 CET 2009  axel@liljencrantz.se
  * Fix slightly wrong LD_FLAG in Makefile

Sun Feb 10 22:00:53 CET 2008  Ori Avtalion <ori@avtalion.name>
  * Add missing commas, letters and \c in the documentation

Tue Feb  5 00:09:45 CET 2008  axel@liljencrantz.se
  * Fix dumb error causing fish not to compile... 

Tue Feb  5 00:09:05 CET 2008  axel@liljencrantz.se
  * Fix bug causing flood of error messages in terminal when trying to highlight an invalid command, reported by Denilson F. de Sa.

Wed Jan 23 01:00:21 CET 2008  liljencrantz@gmail.com
  * Add quilt completions, written by Stefano Sabatini.

Sun Jan 20 03:20:45 CET 2008  liljencrantz@gmail.com
  * Make string handling a bit more solid be making sure sb_printf returns a null terminated string even on failiure.

Sun Jan 20 03:08:16 CET 2008  liljencrantz@gmail.com
  * Add completions for various user and group adding commands. Skip addgroup, since manual page was actually for adduser, most switches weren't applicable and I was too lazy to guess which ones.

Sat Jan 19 16:01:49 CET 2008  liljencrantz@gmail.com
  * Add completions for m4

Sat Jan 19 15:58:49 CET 2008  liljencrantz@gmail.com
  * Add completions for badblocks

Sat Jan 19 15:54:14 CET 2008  liljencrantz@gmail.com
  * Add completions for Battle of Wesnoth

Fri Jan 18 17:03:27 CET 2008  liljencrantz@gmail.com
  * Add simple git completions by Diggory Hardy

Fri Jan 18 16:54:13 CET 2008  liljencrantz@gmail.com
  * Fix spelling in docs and add a help page for the funced builtin. These changes where suggested by Emanuele Rusconi.

Tue Jan 15 13:29:53 CET 2008  liljencrantz@gmail.com
  * Search for command-not-found in PATH on startup, since older implementations place it there

Sat Jan 19 01:38:20 CET 2008  liljencrantz@gmail.com
  * Improve documentaion for bind builtin, clarify how to specify key sequences.

Wed Jan 16 23:36:21 CET 2008  liljencrantz@gmail.com
  * In prompt_pwd, if a directory name starts with a dot, include first two characters. This patch was written by Denilson F. de S[_\c3_][_\a1_]

Wed Jan 16 23:26:28 CET 2008  liljencrantz@gmail.com
  * Remove useless stray argument in function call

Wed Jan 16 23:26:02 CET 2008  liljencrantz@gmail.com
  * Correct completions for the function builtin

Wed Jan 16 23:25:31 CET 2008  liljencrantz@gmail.com
  * Add more documentation on events

Wed Jan 16 23:07:38 CET 2008  liljencrantz@gmail.com
  * Fix minor bug, PWD was incorrectly set on startup

Wed Jan 16 19:02:49 CET 2008  liljencrantz@gmail.com
  * Drop vim feature of only completing text and gzip files

Wed Jan 16 02:06:01 CET 2008  liljencrantz@gmail.com
  * Improve code comment

Wed Jan 16 02:05:48 CET 2008  liljencrantz@gmail.com
  * Add an extra input validation check

Wed Jan 16 02:04:54 CET 2008  liljencrantz@gmail.com
  * Improve error messages on failed execve calls a bit more

Tue Jan 15 01:40:50 CET 2008  liljencrantz@gmail.com
  * Oops. Made a minor but important typo in previous cleanup patch. :-(

Mon Jan 14 23:58:28 CET 2008  liljencrantz@gmail.com
  * Drop minor typo, add a few code comments

Mon Jan 14 23:31:24 CET 2008  liljencrantz@gmail.com
  * Add support for the Ubuntu 'command-no-found' handler, which suggests a package to install in order to get a command.

Mon Jan 14 02:00:32 CET 2008  liljencrantz@gmail.com
  * Handle case insensitive completions of variables better

Mon Jan 14 01:57:45 CET 2008  liljencrantz@gmail.com
  * The max size of the string buffer was too small. Push it up a bit.

Sun Jan 13 21:01:51 CET 2008  James Vega <jamessan@jamessan.com>
  * Fixed various spelling errors.

Sun Jan 13 20:32:21 CET 2008  liljencrantz@gmail.com
  * Add canse insensitive tilde completion

Sun Jan 13 17:49:24 CET 2008  liljencrantz@gmail.com
  * Improve Doxygen documentation generation a bit

Sun Jan 13 17:49:05 CET 2008  liljencrantz@gmail.com
  * Make sure fish_indent handles io erros

Sun Jan 13 17:47:47 CET 2008  liljencrantz@gmail.com
  * Add lots of new code comments.

Sun Jan 13 02:25:06 CET 2008  liljencrantz@gmail.com
  tagged 1.23.0

Sun Jan 13 02:16:26 CET 2008  liljencrantz@gmail.com
  * Bump version number

Sun Jan 13 02:16:17 CET 2008  liljencrantz@gmail.com
  * Update todo list

Sat Jan 12 20:21:35 CET 2008  liljencrantz@gmail.com
  * Raname main.c into fish.c. NAme makes more sense.

Sat Jan 12 20:18:48 CET 2008  liljencrantz@gmail.com
  * Update copyright dates

Sat Jan 12 19:53:19 CET 2008  liljencrantz@gmail.com
  * Add check for existance of fish_greeting variable

Sat Jan 12 19:49:28 CET 2008  liljencrantz@gmail.com
  * Fix silly type I caused when cleaning up ant completions. Thanks to Steven Knight for the report

Sat Jan 12 19:40:42 CET 2008  liljencrantz@gmail.com
  * Fix spelling, thanks to Chris Rebert

Wed Jan  9 04:10:24 CET 2008  liljencrantz@gmail.com
  * Add completions for the fish_indent command

Wed Jan  9 04:06:47 CET 2008  liljencrantz@gmail.com
  * Make sure the help switch to the cd command is not flagged as an error

Wed Jan  9 04:01:36 CET 2008  liljencrantz@gmail.com
  * Fix bug in return and block builtins - they where unable to handle functions that do not shadow the calling scope

Wed Jan  9 03:06:55 CET 2008  liljencrantz@gmail.com
  * Update todo list again. :-)

Wed Jan  9 02:23:38 CET 2008  liljencrantz@gmail.com
  * Update todo list and code comments

Wed Jan  9 01:43:39 CET 2008  liljencrantz@gmail.com
  * Dont change working directory during startup

Wed Jan  9 01:09:28 CET 2008  liljencrantz@gmail.com
  * Make sure case sensitive completions are ignored by the pager if case sensitive completions exist

Wed Jan  9 01:00:46 CET 2008  liljencrantz@gmail.com
  * Make sure inserted completions are escaped, even when case insensitive

Tue Jan  8 23:16:08 CET 2008  liljencrantz@gmail.com
  * Improve ant completions. This patch comes from Steven Knight. (minor tweaks applied)

Tue Jan  8 22:36:00 CET 2008  liljencrantz@gmail.com
  * Fix typo in docs on exporting rules. This issue was pointed out by Isaac Dupree.

Tue Jan  8 20:41:27 CET 2008  liljencrantz@gmail.com
  * Add explanation to csh versus sh variable naming in docs.

Tue Jan  8 20:31:45 CET 2008  liljencrantz@gmail.com
  * Cleanup and improve the exit status numbers and the messages generated on error as well as make sure that keyboard shortcuts don't change the status

Tue Jan  8 17:18:56 CET 2008  liljencrantz@gmail.com
  * Only set various startup defaults once. Even if the user removes them, do not try to reset them.

Tue Jan  8 16:27:08 CET 2008  liljencrantz@gmail.com
  * Only set the fish greeting variable on the very first startup

Tue Jan  8 22:09:18 CET 2008  liljencrantz@gmail.com
  * Minor doc updates

Fri Jan  4 02:56:31 CET 2008  Nicholas Burlett <nickburlett@mac.com>
  * The ability to switch to sh for processing files starting with a ':' broke 
  recently, as the incorrect arguments were being passed to execve. The 
  function went through the trouble of creating the proper arguments, and 
  then failed to use them.

Tue Jan  8 00:54:27 CET 2008  liljencrantz@gmail.com
  * Add comment on CDPATh being a universal variable after comments from Isac Dupree.

Tue Dec 18 01:23:37 CET 2007  patroclo7@gmail.com
  * makepkg-completions
  Completions for makepkg, the archlinux tool to build packages from source

Tue Dec 18 00:14:09 CET 2007  patroclo7@gmail.com
  * pacman-completion
  Completion definitions for the pacman package manager, used by Archlinux.

Tue Dec 18 00:03:15 CET 2007  patroclo7@gmail.com
  * option-absent-function
  Add a function which checks that an option has not been used (useful to avoid 
  incompatible combinations of options and necessary for the completions for 
  the pacman package manager.

Wed Oct 31 10:15:03 CET 2007  liljencrantz@gmail.com
  * Fix bug in key binding code causing unneeded error messages

Mon Oct 29 00:32:14 CET 2007  liljencrantz@gmail.com
  * Remove unneeded code

Mon Oct 29 00:31:10 CET 2007  liljencrantz@gmail.com
  * Minor tweaks for man page parser.

Mon Oct 29 00:08:07 CET 2007  liljencrantz@gmail.com
  * Add command specific comlpetions for cowthink

Mon Oct 29 00:06:20 CET 2007  liljencrantz@gmail.com
  * Add command specific comlpetions for cowsay

Sun Oct 28 20:03:44 CET 2007  liljencrantz@gmail.com
  * Remove lots of things from the todo which have been implemented

Sun Oct 28 19:51:43 CET 2007  liljencrantz@gmail.com
  * Rewrite automatic completion creator from scratch. The new implementation uses a finite state machine instead of a set of regexes, which inpractice seems to make the parser more robust and the code subjectively more readable

Sun Oct 28 19:47:43 CET 2007  liljencrantz@gmail.com
  * Remove bad completion for bison

Sun Oct 28 19:47:22 CET 2007  liljencrantz@gmail.com
  * Add command specific comlpetions for gdb

Sun Oct 28 19:39:24 CET 2007  liljencrantz@gmail.com
  * Add command specific comlpetions for chmod

Sun Oct 28 19:35:48 CET 2007  liljencrantz@gmail.com
  * Add command specific comlpetions for bison

Sun Oct 28 19:31:40 CET 2007  liljencrantz@gmail.com
  * Add command specific comlpetions for awk

Sun Oct 28 19:28:10 CET 2007  liljencrantz@gmail.com
  * Add command specific comlpetions for acpi

Sun Oct 28 19:24:40 CET 2007  liljencrantz@gmail.com
  * Minor simplification to rpm completions

Sun Oct 28 19:24:13 CET 2007  liljencrantz@gmail.com
  * Add command specific comlpetions for scons

Sun Oct 28 19:07:24 CET 2007  liljencrantz@gmail.com
  * Add command specific comlpetions for xgettext

Sun Oct 28 10:58:34 CET 2007  liljencrantz@gmail.com
  * Add command specific comlpetions for msgfmt

Sun Oct 28 10:11:45 CET 2007  liljencrantz@gmail.com
  * Do not use carriage return in translated strings

Sun Oct 28 10:11:17 CET 2007  liljencrantz@gmail.com
  * Make sure configuration files are only run once

Sun Oct 28 10:10:42 CET 2007  liljencrantz@gmail.com
  * Make sure that function and completion paths contain contain the basic fish completions/functions on startup.

Sun Oct 28 10:08:40 CET 2007  liljencrantz@gmail.com
  * Indentation fixes, add a few comments, spelling, etc.

Sun Oct 28 10:08:02 CET 2007  liljencrantz@gmail.com
  * Remove non-ascii characters from completions

Sun Oct 28 10:06:05 CET 2007  liljencrantz@gmail.com
  * Fix completion bug - case insensitive competions of command names sometimes got the path prepended to them

Sun Oct 28 02:06:24 CET 2007  liljencrantz@gmail.com
  * Some polising of english and swedish translations

Fri Oct 26 20:42:32 CEST 2007  liljencrantz@gmail.com
  * Implement non-clobbering file io. Use the >? operator for this for now.

Mon Oct 15 15:21:25 CEST 2007  liljencrantz@gmail.com
  * Indentation fixes.

Mon Oct 15 15:21:06 CEST 2007  liljencrantz@gmail.com
  * Fix swallowing of last line on prompt display. Again. How many times have I triggered this bug?

Mon Oct 15 15:20:06 CEST 2007  liljencrantz@gmail.com
  * Minor bug fix - the parse_util_set_argv function can trigger an event, hence signals have to be unblocked when it is called.

Mon Oct 15 13:39:36 CEST 2007  liljencrantz@gmail.com
  * Make the maximum execve size test use sysconf. Create a fallback if sysconf is unavailable.

Mon Oct 15 11:51:08 CEST 2007  liljencrantz@gmail.com
  * Second part of improved execve errors - this patch makes the memory limits nicely formated (e.g. 128kB instead of 136549 bytes).

Mon Oct 15 11:36:15 CEST 2007  liljencrantz@gmail.com
  * First stab at better error reporting on too many arguments to execve.

Mon Oct 15 10:51:30 CEST 2007  liljencrantz@gmail.com
  * Add very minimal fallback keybindings

Sat Oct 13 23:26:06 CEST 2007  James Vega <jamessan@jamessan.com>
  * Use wcscmp instead of == to perform string equality checks.

Sat Oct 13 20:43:58 CEST 2007  James Vega <jamessan@jamessan.com>
  * Check whether '$TERM' starts with 'screen' instead of whether it's an exact match when determining if \ek\e\\ should be recognized.
  There are various terminfo entries for screen that should be recognized aside from simply 'screen' such as 'screen-256color' and 'screen-bce'.

Sun Oct 14 13:52:59 CEST 2007  liljencrantz@gmail.com
  * Remove mention of fish_inputrc in install scripts. The file no longer exists.

Sun Oct 14 13:16:40 CEST 2007  liljencrantz@gmail.com
  * Fix bug in pager causing some keybindings to be ignoerd because other are undefined

Sun Oct 14 12:15:02 CEST 2007  liljencrantz@gmail.com
  * Indentation fixes

Sat Oct  6 12:55:27 CEST 2007  liljencrantz@gmail.com
  * Tiny touchups of docs and code

Sat Oct  6 12:54:53 CEST 2007  liljencrantz@gmail.com
  * Minor new sanity test in reader

Sat Oct  6 12:51:31 CEST 2007  liljencrantz@gmail.com
  * Make completion system not use quoted string escapes, since it generally looks a bit confusing there

Sat Oct  6 12:32:31 CEST 2007  liljencrantz@gmail.com
  * Make the Alt-p keybinding respect the PAGER variable

Sat Oct  6 12:23:26 CEST 2007  liljencrantz@gmail.com
  * 'Misfeature' fix for eval function - make it force job control when in interactive mode, in order to make commands that expect to control the terminal happy

Fri Oct  5 17:02:45 CEST 2007  liljencrantz@gmail.com
  * Use IO redirection to make the eval function actually have a working stdin

Fri Oct  5 17:01:06 CEST 2007  liljencrantz@gmail.com
  * Don't crash when trying to close fds for a builtin command

Fri Oct  5 16:59:19 CEST 2007  liljencrantz@gmail.com
  * Make fish automatically realise a repaint is needed in more situations, making many keybinding calls to 'commandline -f repaint' unneeded

Fri Oct  5 16:58:08 CEST 2007  liljencrantz@gmail.com
  * Make the . builtin have a more useful (and posix-compatible) exit status

Tue Oct  2 12:09:37 CEST 2007  liljencrantz@gmail.com
  * Comment updates, minor code cleanups and other janitorial jobs

Tue Oct  2 11:28:38 CEST 2007  liljencrantz@gmail.com
  * Minor comment updates and code tweaks in input code

Mon Oct  1 00:55:57 CEST 2007  liljencrantz@gmail.com
  * Actually make the previously defined function for reloading key bindings on chage of function into an event handler as intended...

Mon Oct  1 00:53:54 CEST 2007  liljencrantz@gmail.com
  * Remove readline legacy input function 'winch' and replace its functionality with an event handler function. Once again make the null keybinding do nothing. There are various sitauations where you want to perform a repaint at just the right time, and more or less by luck it worked very well to do this on null, but this really shouldn't happen and no longer does. Hopefully if new repainting issues turn up, they can be fixed at the root instead of once again reapplying this broken bandaid.

Sun Sep 30 09:42:04 CEST 2007  liljencrantz@gmail.com
  * Add input function completions for the commandline builtin

Sun Sep 30 09:30:18 CEST 2007  liljencrantz@gmail.com
  * Drop the unneeded input-function delete-line. It was only there for compatiability with readline, which we have dropped.

Sat Sep 29 09:21:14 CEST 2007  liljencrantz@gmail.com
  * Drop the unneeded input-function exit. It was only there for compatiability with readline, which we have rdropped.

Fri Sep 28 23:39:22 CEST 2007  liljencrantz@gmail.com
  * Indentation and comments

Fri Sep 28 23:38:55 CEST 2007  liljencrantz@gmail.com
  * Add a few extra directories to check for in path on startup

Fri Sep 28 23:38:21 CEST 2007  liljencrantz@gmail.com
  * Make path checking on startup faster by only using builtin commands

Fri Sep 28 23:37:41 CEST 2007  liljencrantz@gmail.com
  * Ignore errors when autoloading keybindings

Fri Sep 28 23:36:54 CEST 2007  liljencrantz@gmail.com
  * Documentation improvements on new key binding system

Fri Sep 28 23:36:16 CEST 2007  liljencrantz@gmail.com
  * Add more keys to list of kes supported by 'bind -k'

Fri Sep 28 23:35:23 CEST 2007  liljencrantz@gmail.com
  * Improve error reporting for bind builtin

Fri Sep 28 23:32:27 CEST 2007  liljencrantz@gmail.com
  * Replace variadic functions like sb_append and contains_str with variadic macros without a sentinel.

Wed Sep 26 11:29:57 CEST 2007  liljencrantz@gmail.com
  * Drop tokenizer.o from list of objects to include into fish_pager, since it wasn't actually used. Reduces size of pager binary by a few kB.

Wed Sep 26 11:01:59 CEST 2007  liljencrantz@gmail.com
  * Fix bug in exit code that made the exit builtin exit even if there where running jobs if called directly from the commandline

Tue Sep 25 18:19:59 CEST 2007  liljencrantz@gmail.com
  * Make escaping of the empty string return two quotes instead of the empty string

Tue Sep 25 18:19:16 CEST 2007  liljencrantz@gmail.com
  * Make escaped strings more readable

Tue Sep 25 18:14:47 CEST 2007  liljencrantz@gmail.com
  * First stab at dropping all support for readlines inputrc files and instead using an internal system for performing keybinding.

Tue Sep 25 13:55:14 CEST 2007  liljencrantz@gmail.com
  * Add missing escape highlighting for \c-style escapes and a few other escape codes

Mon Sep 24 10:56:02 CEST 2007  liljencrantz@gmail.com
  * Improve documentation in screen handling code

Mon Sep 24 10:49:33 CEST 2007  liljencrantz@gmail.com
  * Make prompt have its own line if we things don't fit on a single line

Mon Sep 24 10:21:44 CEST 2007  liljencrantz@gmail.com
  * There code for detecting when a keepalive process was needed missed lots of cases. This should fix some issues. Both the keepalive code and the code for spawning fake processes for builtins should be rethought, though.

Mon Sep 24 10:18:23 CEST 2007  liljencrantz@gmail.com
  * Improve commenting a bit

Mon Sep 24 10:14:28 CEST 2007  liljencrantz@gmail.com
  * Improve error reporting in the . builtin

Mon Sep 24 10:13:01 CEST 2007  liljencrantz@gmail.com
  * Make sure that ouput with no trailing newline is not eaten. This is a regression bug fix.

Sun Sep 23 23:11:11 CEST 2007  liljencrantz@gmail.com
  * Fix bug causing some fish strings not to be translated

Sun Sep 23 23:07:30 CEST 2007  liljencrantz@gmail.com
  * Minor polish like adding missing whitespace, switch to using --argument switch in function definitions to make code more readable, add a few minor saftey checks, etc.

Sun Sep 23 23:00:07 CEST 2007  liljencrantz@gmail.com
  * Fix narrow/wide encoding issues found through new test suite additions

Sun Sep 23 22:59:18 CEST 2007  liljencrantz@gmail.com
  * Add escape/unescape and wide/narrow conversion tests to the test suite

Sun Sep 23 16:55:55 CEST 2007  liljencrantz@gmail.com
  * Fix bug caused by new escap beutification code. Some strings containing a single quote where incorrectly escaped.

Sun Sep 23 00:38:28 CEST 2007  liljencrantz@gmail.com
  * Fix bug making builtin help for the '.' builtin not show up.

Sun Sep 23 00:20:41 CEST 2007  liljencrantz@gmail.com
  * Whitespace fixes, etc.

Sun Sep 23 00:19:20 CEST 2007  liljencrantz@gmail.com
  * Add switch fo scope hiding in output of functions builtin

Sat Sep 22 21:30:55 CEST 2007  liljencrantz@gmail.com
  * Fix bug in eval function, forgot to turn off new scope creation.

Sat Sep 22 21:08:38 CEST 2007  liljencrantz@gmail.com
  * Use quoted escaping if possible. Most people find that more readable.

Sat Sep 22 21:07:34 CEST 2007  liljencrantz@gmail.com
  * Remove a few calls to the test command in favour of the switch builtin to speed statup up

Fri Sep 21 23:49:55 CEST 2007  liljencrantz@gmail.com
  * Fix rather large performance issue on systems with slow fork syscall - a fork was used whenever redirecting output to /dev/null and using a builtin, completely unneeded.

Fri Sep 21 23:10:51 CEST 2007  liljencrantz@gmail.com
  * Create common function for listing available character encodings, make sure it is used in all relevant places.

Fri Sep 21 23:04:01 CEST 2007  liljencrantz@gmail.com
  * Move mkae completion function to its own file

Fri Sep 21 22:52:12 CEST 2007  liljencrantz@gmail.com
  * Clean up interactive mode init a bit. Move a few utility functions to their own files.

Fri Sep 21 17:17:23 CEST 2007  liljencrantz@gmail.com
  * Make sure all keybinding scripts repaint properly

Fri Sep 21 17:16:54 CEST 2007  liljencrantz@gmail.com
  * Improve documentation for breakpoint builtin

Fri Sep 21 16:44:26 CEST 2007  liljencrantz@gmail.com
  * Make R_NULL not repaint and document the fact that this means some keybindings need to manually tell fish to repaint

Fri Sep 21 16:43:01 CEST 2007  liljencrantz@gmail.com
  * Minor improvement to docs for count builtin

Fri Sep 21 16:29:54 CEST 2007  liljencrantz@gmail.com
  * Add boilerplate definition when using funced on undefined function

Fri Sep 21 16:23:01 CEST 2007  liljencrantz@gmail.com
  * Minor bug correction in new cursor movement code.

Fri Sep 21 16:11:21 CEST 2007  liljencrantz@gmail.com
  * Add a few comments, remove debug message add function descriptions to up-or-search and down-or-search shellscript functions

Fri Sep 21 16:07:52 CEST 2007  liljencrantz@gmail.com
  * Correct minor typos, stupid error messages, indentation and drop unused variable.

Fri Sep 21 16:05:49 CEST 2007  liljencrantz@gmail.com
  * Make up/down cursor move up or down when in multiline mode, except if already in search mode or at the top/bottom line. Since part of this is done in script-space, this involves adding some functionality to the commandline builtin.

Thu Sep 20 19:52:43 CEST 2007  liljencrantz@gmail.com
  * Further improve accuracy of cd builtins error messages. Now correctly reports rotten symlinks.

Thu Sep 20 19:29:28 CEST 2007  liljencrantz@gmail.com
  * Significantly improve accuracy of error reporting in the cd builtin

Thu Sep 20 19:25:00 CEST 2007  liljencrantz@gmail.com
  * Remove generated versions of scripts on 'make clean'

Sun Sep  9 16:06:41 CEST 2007  liljencrantz@gmail.com
  * Do not use enter/exit_ca_mode if they don't exist in fish_pager

Sun Sep  9 16:04:36 CEST 2007  liljencrantz@gmail.com
  * Add better debbuging information when writembs is called with null value.

Sun Sep  9 15:57:34 CEST 2007  liljencrantz@gmail.com
  * Fix bug in the count builtin, causing it to exit with status 0 even if no arguments where given

Sun Sep  9 00:27:25 CEST 2007  liljencrantz@gmail.com
  * Handle merge confligt for previous patches. The exact same bug was fixed twice.

Sat Sep  8 21:19:40 CEST 2007  axel@liljencrantz.se
  * Fix insane bytemark issue on Solaris

Sat Sep  8 21:18:55 CEST 2007  axel@liljencrantz.se
  * Fix incorrect escape character in unescape function

Sat Sep  8 21:18:14 CEST 2007  axel@liljencrantz.se
  * Avoid void pointer arithmetic in halloc.c

Sat Sep  8 21:17:43 CEST 2007  axel@liljencrantz.se
  * Avoid magic number in main.c

Sat Sep  8 21:17:17 CEST 2007  axel@liljencrantz.se
  * Avoid using test command in prompt, makes it slightly faster

Sat Sep  8 21:15:54 CEST 2007  axel@liljencrantz.se
  * Avoid using -n switch to ecco

Wed Aug 22 10:00:52 CEST 2007  Claes N[_\c3_][_\a4_]st[_\c3_][_\a9_]n <me@pekdon.net>
  * Fix issue in error handling, reported to and fixed by Axel Liljencrantz. Change val[0] and body[0] in env universal to val[1] and body[1] to support compilation with Sun Studio. Change default prompt to use pekdon instead of whoami as it does not exist under Solaris.

Wed Aug 22 09:57:41 CEST 2007  Claes N[_\c3_][_\a4_]st[_\c3_][_\a9_]n <me@pekdon.net>
  * Add tparm fallback to use under systems having tparm with fixed number of paramters, required with Solaris curses. Updated configure script to check for c99 for compilation with Sun Studio under solaris and updated LDFlAGS for fish_pager etc to include library dependencies from common.c etc.

Wed Aug 22 09:52:39 CEST 2007  Claes N[_\c3_][_\a4_]st[_\c3_][_\a9_]n <me@pekdon.net>
  * Fix compilation with Sun Studio compiler changing \e to \x1b as it does not support \e as an escape character.

Wed Aug 22 09:49:00 CEST 2007  Claes N[_\c3_][_\a4_]st[_\c3_][_\a9_]n <me@pekdon.net>
  * Fix compile issue with Sun Studio, read_redirect returns void still doing return read_direct breaks with error about returning from function returning void.

Sun Sep  9 00:24:53 CEST 2007  liljencrantz@gmail.com
  * Indentation, typo and formating fixes. Very minor patch.

Sun Aug 19 18:42:30 CEST 2007  liljencrantz@gmail.com
  * Add a 'generic' type of event that can be emited from any piece of code or by the user. Use this event layer to perform interactive configuration startup at the correct time.

Sun Aug 19 01:03:02 CEST 2007  liljencrantz@gmail.com
  * Make the prompt different when root user. This change was suggested by Claes N[_\c3_][_\a4_]st[_\c3_][_\a9_]n.

Tue Aug 14 23:42:57 CEST 2007  liljencrantz@gmail.com
  * Make the contains builtin not allow reordering of switches and non-switches

Tue Aug 14 23:37:22 CEST 2007  liljencrantz@gmail.com
  * Add missing file creation mask for open. This fixes a compilation bug on the upcoming Fedora 8. Thanks to Oliver Falk for reporting the issue as well as figuring out the cause.

Fri Aug  3 22:22:53 CEST 2007  patroclo7@gmail.com
  * Completions for prt-get and pkgutils, the package management utilities for CRUX (Giorgio Lando)

Sat Aug  4 13:09:16 CEST 2007  Giorgio Lando <patroclo7@gmail.com>
  * Completions for ports, a tool for port management in CRUX linux

Fri Aug  3 00:59:39 CEST 2007  liljencrantz@gmail.com
  * Add a mino-prompt when the normal prompt is too large to display. The old behaviour was to simply not print any proimpt, but that lead to thinking fish had hanged since there was no prompt at all.

Thu Aug  2 00:55:54 CEST 2007  liljencrantz@gmail.com
  * Drop contains function, since we now have a builtin.

Thu Aug  2 00:54:21 CEST 2007  liljencrantz@gmail.com
  * Fix duplicate switch antry in builtin_status. Don't know if this was caused by patch bug or typo.

Thu Aug  2 00:53:18 CEST 2007  liljencrantz@gmail.com
  * Replace the contains function with a builtin for performance reasons. The contains function used at lots of forks, which was noticable on systems such as OS X with slow forks, as well as on completions that do a lot of tests, like svn

Wed Aug  1 21:44:50 CEST 2007  James Vega <jamessan@jamessan.com>
  * Update status builtin to properly handle and document all of its options.

Wed Aug  1 21:07:54 CEST 2007  axel@liljencrantz.se
  * Implement a minimal 'dumb terminal mode'. This mode is used to at least get the relevant information on-screen when using a dumb terminal, though the interface is pretty crippled.

Wed Aug  1 20:09:01 CEST 2007  axel@liljencrantz.se
  * Remove confusing and misleading error message when trying to repaint the prompt during startup, reported by Chris Rebert.

Wed Aug  1 19:39:55 CEST 2007  axel@liljencrantz.se
  * Minor bug fix in mime-completion-filter - correctly handle when there is no mimetype

Wed Aug  1 19:38:01 CEST 2007  axel@liljencrantz.se
  * Minor error handling improvements and minor code polish

Wed Aug  1 19:35:24 CEST 2007  axel@liljencrantz.se
  * Spelling fixes from Chris Rebert

Tue Jul 31 23:23:32 CEST 2007  axel@liljencrantz.se
  * Replace the count function with a builtin for performance reasons. The count function used at least two forks, which was noticable on systems such as OS X with slow forks

Tue Jul 31 23:23:20 CEST 2007  axel@liljencrantz.se
  * Replace the count function with a builtin for performance reasons. The count function used at least two forks, which was noticable on systems such as OS X with slow forks

Tue Jun  5 12:51:11 CEST 2007  axel@liljencrantz.se
  * Make sure completion descriptions generated by make_vcs_completions.fish are properly escaped. Thanks to Claes N[_\c3_][_\a6_]st[_\c3_][_\a9_]n for the bug report.

Thu May 24 19:10:53 CEST 2007  axel@liljencrantz.se
  * Print 'unknown' if 'mimedb -d' fails

Thu May 24 08:37:28 CEST 2007  axel@liljencrantz.se
  * Update regexps in mimedb to work on NetBSD. (NetBSD does not support having empty subexpressions. This bug was reported and diagnosed by Claes N[_\c3_][_\a4_]st[_\c3_][_\a9_]n.

Tue May 15 21:46:10 CEST 2007  axel@liljencrantz.se
  * Fix character set conversions in both directions in universal variable code. This fixes encoding issues on NetBSD. This patch was written by Claes N[_\c3_][_\a4_]st[_\c3_][_\a9_]n.

Tue May 15 21:37:51 CEST 2007  axel@liljencrantz.se
  * Improved error reporting in mimedb for failed regexps. This patch was written by Claes N[_\c3_][_\a4_]st[_\c3_][_\a9_]n.

Thu May 10 21:24:11 CEST 2007  axel@liljencrantz.se
  * Show hints on how to proceed if xsel fails to build

Thu May 10 21:11:28 CEST 2007  axel@liljencrantz.se
  * Make sure that the PWD and HOME variables are always in canonical form

Thu May 10 08:14:28 CEST 2007  axel@liljencrantz.se
  * Use ucs4 or ucs2 as a fallback character set if wchar_t encoding is not supported by iconv

Sat Apr 28 00:31:31 CEST 2007  axel@liljencrantz.se
  * Add missing -b switch for the commandline builtin. This issue was reported by philip ganchev

Wed Apr 25 20:30:02 CEST 2007  axel@liljencrantz.se
  * Make sure that io redirections are respected by the '.' builtin. This was not the case earlier, which caused various bugs, especially after eval was made into a function that internally used '.'

Tue Apr 24 22:53:14 CEST 2007  axel@liljencrantz.se
  * Update todo list

Tue Apr 24 17:33:17 CEST 2007  axel@liljencrantz.se
  * Actually add the count function. Thanks to Tassilo Horn for the report.

Tue Apr 24 08:06:20 CEST 2007  axel@liljencrantz.se
  * Fix bug in stack trace printing code

Tue Apr 24 00:01:48 CEST 2007  axel@liljencrantz.se
  * Add a fes minor completion corrections

Tue Apr 24 00:00:26 CEST 2007  axel@liljencrantz.se
  * Implement count as ashellscript function instead of a command in order to support very long argument lists. Note that this implementation is painfully slow for more than 1000 arguments.

Mon Apr 23 23:10:26 CEST 2007  axel@liljencrantz.se
  * Launch debug shell on TRAP signal.

Mon Apr 23 00:18:06 CEST 2007  axel@liljencrantz.se
  * Replace the eval builtin with a function

Mon Apr 23 00:10:33 CEST 2007  axel@liljencrantz.se
  * Add the possibility for functions which do not shadow the arguments of the calling function

Sun Apr 22 23:19:47 CEST 2007  axel@liljencrantz.se
  * Make the . (source) builtin able to read commands from stdin

Sun Apr 22 23:16:24 CEST 2007  axel@liljencrantz.se
  * Validate variables names when using named arguments for functions

Sun Apr 22 23:15:34 CEST 2007  axel@liljencrantz.se
  * Make 'functions' builtin print named arguments of functions

Sun Apr 22 23:14:51 CEST 2007  axel@liljencrantz.se
  * Fix minor memory leak on printing help for builtins

Sun Apr 22 20:56:27 CEST 2007  axel@liljencrantz.se
  * Prettyfy output of 'functions' builtin a tiny bit

Sun Apr 22 20:55:39 CEST 2007  axel@liljencrantz.se
  * Add funced function, which works like vared, but with functions

Sun Apr 22 20:54:29 CEST 2007  axel@liljencrantz.se
  * Minor tweaks to the indent program

Sun Apr 22 20:49:56 CEST 2007  axel@liljencrantz.se
  * Add support for changing token separator in command substitution. IT is not the first character of IFS, same as in various other shells

Sun Apr 22 12:14:14 CEST 2007  axel@liljencrantz.se
  * Minor improvements to the completion generator and gcc completions

Sun Apr 22 12:03:12 CEST 2007  axel@liljencrantz.se
  * Add source code prettyfier program called fish_indent

Sun Apr 22 11:50:26 CEST 2007  axel@liljencrantz.se
  * Move keyword detection code to separate file

Sun Apr 22 11:48:47 CEST 2007  axel@liljencrantz.se
  * Fix bug in parser, on incomplete blocks. This bug was handled correctly by the error handler, so it was non-critical.

Sat Apr 21 10:12:44 CEST 2007  axel@liljencrantz.se
  * Add missing help building dependency

Sat Apr 21 10:11:22 CEST 2007  axel@liljencrantz.se
  * Minor code edits (comments, function rename)

Sat Apr 21 10:09:31 CEST 2007  axel@liljencrantz.se
  * Add completion support for named function arguments

Fri Apr 20 21:55:06 CEST 2007  axel@liljencrantz.se
  * Change output format of complete -C to make writing case insensitive command specific completions more transparent

Fri Apr 20 21:34:30 CEST 2007  axel@liljencrantz.se
  * Fix minor bug - the description would occasionally get appended to command specific tab completions in case insensitive mode

Thu Apr 19 00:48:01 CEST 2007  axel@liljencrantz.se
  * Add completions for evince

Thu Apr 19 00:46:11 CEST 2007  axel@liljencrantz.se
  * Add a completion function for completiong file url:s

Wed Apr 18 00:56:58 CEST 2007  axel@liljencrantz.se
  * Remove explicit directory completion from __fish_complete_mime, we only want directory completion as a fallback in order to minimize the number of reasonable completions that are ignored. This issue was reported by Claes N[_\c3_][_\a4_]st[_\c3_][_\a9_]n.

Tue Apr 17 08:29:32 CEST 2007  axel@liljencrantz.se
  * Fix URL character encoding bug in mimedb

Mon Apr 16 23:44:53 CEST 2007  axel@liljencrantz.se
  * Rename save_function to funcsave to keep consistency between function/variable functions

Mon Apr 16 23:40:41 CEST 2007  axel@liljencrantz.se
  * Use cpp macro to avoid manually adding sentinel value to varargs functions

Mon Apr 16 23:26:15 CEST 2007  axel@liljencrantz.se
  * Minor code cleanup in history search code

Mon Apr 16 23:06:05 CEST 2007  axel@liljencrantz.se
  * Fix bug where case insensitive completions would miss the leading slash in file completions. This bug was reported by Claes N[_\c3_][_\a4_]st[_\c3_][_\a9_]n.

Mon Apr 16 22:10:53 CEST 2007  axel@liljencrantz.se
  * Minor code tweaks

Mon Apr 16 22:10:34 CEST 2007  axel@liljencrantz.se
  * Fix warning caused by bad casting

Mon Apr 16 22:06:11 CEST 2007  axel@liljencrantz.se
  * Allow named arguments to function instead of only $argv. Philip Ganchev once suggested this, and it was suggested again by Egil M[_\c3_][_\b6_]ller.

Thu Apr 12 13:52:21 CEST 2007  axel@liljencrantz.se
  * Add newline to error message in alias.fish. This problem was reported by flixil.

Wed Apr 11 15:18:23 CEST 2007  axel@liljencrantz.se
  * Fix bug where fish would refuse to start if $HOME has an invalid value. Thanks to James Vega for the report.

Mon Mar 26 08:13:07 CEST 2007  axel@liljencrantz.se
  * Fix crash bug in recursive completion (e.g. 'which ls'). This bug was reported by Philip Ganchev

Sat Mar 24 23:34:30 CET 2007  axel@liljencrantz.se
  * Fix a bug where io redirection of builtins would not truncate files if the builtin did not produce any output

Sat Mar 24 23:21:35 CET 2007  axel@liljencrantz.se
  * Move documentation on fish_prompt to the external command section

Sat Mar 24 20:38:01 CET 2007  axel@liljencrantz.se
  * Minor code simplification in util.c

Sat Mar 24 20:37:14 CET 2007  axel@liljencrantz.se
  * Minor tweak to vcs completion generation code. Most significantly, some svn command descriptions which where previously truncated are now complete.

Sat Mar 24 20:16:46 CET 2007  axel@liljencrantz.se
  * Minor documentation fixes

Sat Mar 24 20:07:38 CET 2007  axel@liljencrantz.se
  * Fix bug where case insensitive file completions would get directory components removed

Sat Mar 24 20:04:23 CET 2007  axel@liljencrantz.se
  * Add missing sentinel value in function call - potential crash bug

Sat Mar 24 12:50:40 CET 2007  axel@liljencrantz.se
  * Include the make_vcs_completions.fish file that is used to generate various completiosn with the main tarball. Nick Pilon pointed out that it was missing. This patch also removes the make target for the file, which was used to chmod it, which is not needed since it is not used in the build chain.

Sat Mar 24 12:14:55 CET 2007  axel@liljencrantz.se
  * Do not flag a lone '-' as an error. Many commands accept it.

Sat Mar 24 12:08:01 CET 2007  axel@liljencrantz.se
  * Try to fix the dependency problems with user_doc. Thanks to James Vega for investigating the cause of this.

Sat Mar 24 11:56:29 CET 2007  axel@liljencrantz.se
  * Use per-binary LDFLAGS to remove linking to useless libraries. This will reduce the size of the binaries and may also speed up startup time slightly. These changes are based on suggestions and a patch by James Vega.

Sun Mar 18 00:38:46 CET 2007  axel@liljencrantz.se
  * Add a blacklist of console types that are known not to support terminal titles, even when in a virtual terminal

Sun Mar 18 00:16:23 CET 2007  axel@liljencrantz.se
  * Fix occasional shoowing of the same completion twice. Than ks to Tassilo Horn for the bug report.

Sat Mar 17 23:56:11 CET 2007  axel@liljencrantz.se
  * Fix performance bug in command description lookup - it was performed once for every element in PATH. Thanks to Tassilo Horn for the bug report.

Wed Feb 28 22:43:27 CET 2007  axel@liljencrantz.se
  * Initial checkin of code for using case insensitive completion as a fallback for regular completion. Some types of completions don't yet support the feature.

Thu Feb  8 18:07:46 CET 2007  axel@liljencrantz.se
  tagged 1.22.3

Sat Nov 11 11:54:00 CET 2006  axel@liljencrantz.se
  * Add breakpoint builtin

Sun Feb 25 12:17:38 CET 2007  axel@liljencrantz.se
  * Various minor codee updates. Dead code removal, comment tweaking. Spelling fixes, etc.

Sun Feb 25 11:37:15 CET 2007  axel@liljencrantz.se
  * Second round of bug fixes and minor code improvements after the completions struct update. Fix space insertion issues on command specific completions.

Sun Feb 25 10:05:24 CET 2007  axel@liljencrantz.se
  * Round of bug fixes and minor code improvements after the completions struct update. Moves the file description code to wildcard.c, where it was actually used. Simplifies the memory allocations in that code significantly. Makes sure directoriy names don't get a space inserted after the completion.

Sat Feb 24 14:19:32 CET 2007  axel@liljencrantz.se
  * Make halloc-based list allocation work without context

Sat Feb 24 13:59:27 CET 2007  axel@liljencrantz.se
  * Do not use makefile to generate vcs completions, do it directly in the script. Also add some minor updates to the vcs completions.

Sat Feb 24 09:11:31 CET 2007  axel@liljencrantz.se
  * Fifth phase of using a real struct for passing around completions - make expand.c and wildcard.c use the struct internally. This makes all completion code use the new struct.

Mon Feb 19 00:25:20 CET 2007  axel@liljencrantz.se
  * Fourth phase of using a real struct for passing around completions - make expand_string return a completion_t struct. Also make the reader sort and remove duplicates again

Sun Feb 18 13:08:41 CET 2007  axel@liljencrantz.se
  * Third phase of using a real struct for passing around completions - make all of complete.c use the completion_t struct

Sat Feb 17 12:05:55 CET 2007  axel@liljencrantz.se
  * Second phase of using a real struct for passing around completions - make variable, user and command completion use the completion_t struct

Fri Feb  9 10:33:50 CET 2007  axel@liljencrantz.se
  * First phase of using a real struct for passing around completions - only use it on things returned by complete(), e.g. use it in the reader

Fri Feb 23 17:36:30 CET 2007  axel@liljencrantz.se
  * Fix paran mismatch bug in umount completions that popped up when dropping the N_ script

Thu Feb 22 22:45:55 CET 2007  axel@liljencrantz.se
  * Add missing file for vi completions that is needed to complete files selectively based on mime types. Also use it to improve emacs completions, in order to balance my GNU karma.

Fri Feb 16 21:00:15 CET 2007  axel@liljencrantz.se
  * Do not make documentation generation depend on Makefile

Fri Feb  9 10:32:37 CET 2007  axel@liljencrantz.se
  * Fix bug where fish would randomly assume completions are authorative

Thu Feb  8 18:31:26 CET 2007  axel@liljencrantz.se
  tagged 1.22.3

Thu Feb  8 18:27:59 CET 2007  axel@liljencrantz.se
  * Update darcs completions with additional command specific completion for setpref subcommand

Thu Feb  8 18:26:58 CET 2007  axel@liljencrantz.se
  * MArk make_mercurial_completions.fish as executable

Thu Feb  8 18:07:25 CET 2007  axel@liljencrantz.se
  * Bump version number

Thu Feb  8 18:03:39 CET 2007  axel@liljencrantz.se
  * Minor documentation update to reflect change in how __fish_complete_suffix function works

Thu Feb  8 18:02:32 CET 2007  axel@liljencrantz.se
  * Update todo list

Thu Feb  8 18:01:18 CET 2007  axel@liljencrantz.se
  * Minor tweaks to vared function

Thu Feb  8 18:00:32 CET 2007  axel@liljencrantz.se
  * Add chengelog entry to spec file for fish

Mon Feb  5 13:28:39 CET 2007  axel@liljencrantz.se
  * Add -u flag to case completions - case is often used to parse switches, coloring them red makes no sense

Mon Feb  5 13:25:53 CET 2007  axel@liljencrantz.se
  * Add flags for long file support in configure.ac. They should be useful when supported (e.g. Linux and Solaris) and should do no harm when unsupported.

Sun Feb  4 16:18:09 CET 2007  axel@liljencrantz.se
  * Update vi/vim completions. Add __fish_complete_text function that completes using any text file, and __fish_filter_mime that filters a file list based on mimetype. This update was written by Velko Hristov with some suggestions and updates by me.

Thu Feb  1 01:20:53 CET 2007  axel@liljencrantz.se
  * Fix bug in read builtin - signal handlers where not correctly set, causiong ^C not to work

Thu Feb  1 00:58:10 CET 2007  axel@liljencrantz.se
  * Fix bug where pressing ^C while in the read builtin would mess up the block execution bit

Thu Feb  1 00:18:20 CET 2007  axel@liljencrantz.se
  * Fix indentation error - the else builtin was not properly indented

Wed Jan 31 17:03:17 CET 2007  axel@liljencrantz.se
  * Fix occasional duplicate stack trace, reported by Mike Roberts. Also make fish less likely to print huge amounts of help in non-interactive mode, as per suggestion from Mike Roberts.

Tue Jan 30 21:43:44 CET 2007  axel@liljencrantz.se
  * Add support for checking the existance of specific variable array elements

Tue Jan 30 16:34:35 CET 2007  axel@liljencrantz.se
  * Switch various completions to the simpler format for __fish_complete_suffix

Tue Jan 30 16:26:31 CET 2007  axel@liljencrantz.se
  * Make the first and last argument to __fish_complete_suffix optional. Use mimedb to look up descriptions if not supplied.

Tue Jan 30 01:42:33 CET 2007  axel@liljencrantz.se
  * Add vim completions, written by Velko Hristov

Tue Jan 30 01:01:55 CET 2007  axel@liljencrantz.se
  * Add command specific completions for xterm, written by Velko Hristov

Tue Jan 30 01:01:28 CET 2007  axel@liljencrantz.se
  * Add command specific completions for totem, written by Velko Hristov

Mon Jan 29 19:31:16 CET 2007  axel@liljencrantz.se
  * Remove trailing period in descriptions for darcs and svn

Mon Jan 29 18:52:23 CET 2007  axel@liljencrantz.se
  * Add memory allocation check

Mon Jan 29 18:45:01 CET 2007  axel@liljencrantz.se
  * Fix bug where quiting from the read builtin could cause the prompt not to repaint

Mon Jan 29 18:43:58 CET 2007  axel@liljencrantz.se
  * When clearing a line in the screen handler, also make sure that the internal state reflects this. This helps avoid issues with wiping out parts of the prompt

Mon Jan 29 17:28:07 CET 2007  axel@liljencrantz.se
  * Fix repaint bug for read - screen needed repainting after call to read

Mon Jan 29 17:26:24 CET 2007  axel@liljencrantz.se
  * Add support for -s switch to read builtin, enables shell syntax highlighting in the read builtin

Sun Jan 28 14:43:31 CET 2007  axel@liljencrantz.se
  * Empty environemnt variable array entrys are now set to the empty string - what value should they really have?

Sun Jan 28 14:40:59 CET 2007  axel@liljencrantz.se
  * Make parsing of --authorative switch for complete builtin more logical. Fix bug with previous approach causing some completions to be ignored.

Sun Jan 28 12:44:15 CET 2007  axel@liljencrantz.se
  * Add command specific completions for file and locate, written by Velko Hristov

Sun Jan 28 04:26:52 CET 2007  axel@liljencrantz.se
  * Add -u switch to completions which can have unknown switches or which are incomplete

Sun Jan 28 04:24:16 CET 2007  axel@liljencrantz.se
  * Make it possible to specify the -u switch tom complete without actually specifying any new completions, since it affects all previous completions

Sun Jan 28 03:46:39 CET 2007  axel@liljencrantz.se
  * Add command specific completions for mutt and sylpheed, written by Velko Hristov

Sun Jan 28 00:16:12 CET 2007  axel@liljencrantz.se
  * Add aptitude completions, written by Velko Hristov.

Sat Jan 27 17:59:11 CET 2007  axel@liljencrantz.se
  * Add support for using __environ instead of environ, if it exists and environ isn't set

Sat Jan 27 15:12:15 CET 2007  axel@liljencrantz.se
  * Remove unneeded code from isatty, fix spelling in docs

Sat Jan 27 14:50:10 CET 2007  axel@liljencrantz.se
  * Verify that fd redirection is an int

Sat Jan 27 03:10:26 CET 2007  axel@liljencrantz.se
  * Do not call getc if getwc fails - mixing wide and byte-based readin may cause a crash. IT's better to simply hope that getwc can recover.

Sat Jan 27 03:09:24 CET 2007  axel@liljencrantz.se
  * Make get_desc_buff variable functions local static instead of global

Sat Jan 27 03:07:52 CET 2007  axel@liljencrantz.se
  * Drop unneeded generic descriptions for completion of functions and builtins. Add description for count.

Sat Jan 27 03:04:06 CET 2007  axel@liljencrantz.se
  * Add make target for vuilding svn and cvs completions

Sat Jan 27 03:02:40 CET 2007  axel@liljencrantz.se
  * Fix a few more trailing N_ calls

Sat Jan 27 03:01:41 CET 2007  axel@liljencrantz.se
  * Another batch of fixes for the VCS completions

Fri Jan 26 18:14:13 CET 2007  axel@liljencrantz.se
  * Fix crash in tab completion code when completing an imcomplete backsalsh escape

Fri Jan 26 02:26:31 CET 2007  axel@liljencrantz.se
  * Fix various completions that didno't drop the N_ no-op

Fri Jan 26 02:23:21 CET 2007  axel@liljencrantz.se
  * Update make_mercurial_completions.fish to also handle cvs. Correct bug causing issues in darcs completions.

Thu Jan 25 16:34:52 CET 2007  axel@liljencrantz.se
  * make the make_mercurial_completions.fish script able to handle svn as well. Update svn completions.

Thu Jan 25 14:28:36 CET 2007  axel@liljencrantz.se
  * Generalize make_mercurial_completions.fish a bit so it can be used with darcs as well. Add make targets for creating darcs/hg completions.

Thu Jan 25 02:27:57 CET 2007  axel@liljencrantz.se
  * Use make_completions.py to make new completions for gcc

Thu Jan 25 02:27:28 CET 2007  axel@liljencrantz.se
  * Make first stab at a manual page parser. It takes the name of a command as input and outputs completions for it.

Wed Jan 24 23:51:36 CET 2007  axel@liljencrantz.se
  * Add completions for hg (Mercurial). These completions are autogenerated from the help commands for mercurial through the make_mercurial_completions.fish script

Mon Jan 22 17:51:25 CET 2007  axel@liljencrantz.se
  * Use MB_LEN_MAX instead of MB_CUR_MAX as the length of an array, since the latter does not need to be a constant value, meaning it is illegal as an array size

Mon Jan 22 02:28:15 CET 2007  axel@liljencrantz.se
  * Fix uninitialized varialble in env.c

Sun Jan 21 16:50:57 CET 2007  axel@liljencrantz.se
  * Minor edit to init scripts to reduce number of non-builtins called on init

Sun Jan 21 16:22:42 CET 2007  axel@liljencrantz.se
  * Do not use stdout to report errors when stderr is dead - take the hint instead...

Sun Jan 21 16:20:26 CET 2007  axel@liljencrantz.se
  * Use constant instead of hardcoded value for sleeptime on failed fork call

Sun Jan 21 16:19:43 CET 2007  axel@liljencrantz.se
  * Minor code simplification in exec.c

Sun Jan 21 16:03:41 CET 2007  axel@liljencrantz.se
  * Print stack trace when execting due to fatal problem or bug

Sun Jan 21 16:01:14 CET 2007  axel@liljencrantz.se
  * Minor code edits. Add curly brackets in various places, add or rewrite various comments, fix indentation, etc.

Sun Jan 21 15:58:10 CET 2007  axel@liljencrantz.se
  * Check error code when writing output from builtins - try to report errors

Sun Jan 21 15:55:27 CET 2007  axel@liljencrantz.se
  * Make all error messages from options parsin in builtins redirectable

Sun Jan 21 03:45:39 CET 2007  axel@liljencrantz.se
  * Fix bug in rsync completions

Sun Jan 21 03:38:15 CET 2007  axel@liljencrantz.se
  * Add switch completions for the rsync command

Sat Jan 20 18:09:40 CET 2007  axel@liljencrantz.se
  * Simplify completions for a few commands (svn, cvs, darcs, yum)

Sat Jan 20 03:36:49 CET 2007  axel@liljencrantz.se
  * Add support for backtraces - if the compiler and libc version supports it (probably only glibc/gcc) then a stack trace is printed on serious bugs

Sat Jan 20 03:33:47 CET 2007  axel@liljencrantz.se
  * Do not purge internal history if saving history to file fails

Fri Jan 19 14:15:38 CET 2007  axel@liljencrantz.se
  * Make save_function print the help text when given no argumetns. Thanks to Alexander Kellett for the suggestion.

Thu Jan 18 18:33:37 CET 2007  axel@liljencrantz.se
  * Spelling fixes in documentation

Thu Jan 18 18:00:34 CET 2007  axel@liljencrantz.se
  * Fix incorrect use of the term 'alias' where 'function' was meant in documentation

Thu Jan 18 17:45:28 CET 2007  axel@liljencrantz.se
  * Correctly unescape tokens when performing switch completion

Thu Jan 18 17:31:04 CET 2007  axel@liljencrantz.se
  * Add missing completion for the commandline builtin

Thu Jan 18 17:29:22 CET 2007  axel@liljencrantz.se
  * Minor performance improvement in the variable assignment code

Thu Jan 18 17:28:53 CET 2007  axel@liljencrantz.se
  * Remove the final non-builtin call from __fish_gnu_complete, to make it even faster

Thu Jan 18 17:27:00 CET 2007  axel@liljencrantz.se
  * Make command specific completions handle quoted and otherwise escaped tokens better by making sure that the output from the commandline builtin is properly unescaped

Thu Jan 18 17:02:46 CET 2007  axel@liljencrantz.se
  * Fix bug in code for unescapiong strings - when not in unescape_special mode, quotes would not get properly removed. This patch also adds the ability to check that quotes match up when unescaping. This functionality is on by default and can be disabled using a special flag.

Wed Jan 17 14:12:46 CET 2007  axel@liljencrantz.se
  * Make 'fish --help' display a help message, not start the help browser

Tue Jan 16 17:48:34 CET 2007  axel@liljencrantz.se
  * Documentation touchup. Give a few examples in the section about escapeing characters

Tue Jan 16 17:37:07 CET 2007  axel@liljencrantz.se
  * Add a one-item cache into the hash table. This reduces the number of hash computations by roughly 20%

Tue Jan 16 16:11:30 CET 2007  axel@liljencrantz.se
  * Fix potential use of ininitialized variable. Could cause fish to save the history even when unneeded.

Tue Jan 16 13:51:16 CET 2007  axel@liljencrantz.se
  * Additional performance tweak for __fish_gnu_complete

Tue Jan 16 12:22:26 CET 2007  axel@liljencrantz.se
  * Bugfix in __fish_gnu_complete - switches could be ignored

Tue Jan 16 11:26:51 CET 2007  axel@liljencrantz.se
  * Improve speed of __fish_gnu_complete on systems with no native seq implementation by avoiding using seq at all

Tue Jan 16 02:59:38 CET 2007  axel@liljencrantz.se
  * Fix completion bug where fish would refuse to provide completion strings for '--'

Tue Jan 16 02:29:18 CET 2007  axel@liljencrantz.se
  * Make all descriptions for function calls use the implicit translation from the previous patch instead of explicitly using N_

Tue Jan 16 02:18:28 CET 2007  axel@liljencrantz.se
  * Drop use of the N_ no-op for translation descriptions. Instead, tell xgettext that any token following '--description' should be translated. This should greatly speed up completion loading on platforms where fork() is slow. (Hi, OS X)

Mon Jan 15 21:52:09 CET 2007  axel@liljencrantz.se
  * Darcs completions: Check for file existance before trying to complete using the repos file. Thanks to Alexander Kellett for the bug report.

Mon Jan 15 19:19:24 CET 2007  axel@liljencrantz.se
  * Document -f option for psub, add tab completions

Mon Jan 15 18:55:16 CET 2007  axel@liljencrantz.se
  * Update todo list

Mon Jan 15 18:53:46 CET 2007  axel@liljencrantz.se
  * Make sure read returns with a non-zero status if no string was actually given

Mon Jan 15 18:51:44 CET 2007  axel@liljencrantz.se
  * Minor edits - add a few input checks, remove a few commented pieces of debug code, add a few brackets, etc.

Mon Jan 15 18:43:30 CET 2007  axel@liljencrantz.se
  * Add a -f switch to psub to use regular files instead of fifos. This makes psub work with programs that need to seek. This change was suggested by Alexander Kellet.

Fri Jan 12 17:17:24 CET 2007  axel@liljencrantz.se
  * Check all file writes for errors when saving history file

Fri Jan 12 16:20:48 CET 2007  axel@liljencrantz.se
  * Add missing completions to ulimit

Fri Jan 12 16:15:40 CET 2007  axel@liljencrantz.se
  * Clarify documentation for the ulimit builtin

Fri Jan 12 16:00:17 CET 2007  axel@liljencrantz.se
  * Clean up the 'ulimit' builtin. There was a bug making it impossible to set the stack size, the switch '-p' was erroneously accepted, and the multiplier was not always correctly used, e.g. when reporting limits.

Wed Jan 10 18:34:45 CET 2007  axel@liljencrantz.se
  * Minor code edits - show user name when completing home directories and minor code simplifications

Wed Jan 10 13:45:28 CET 2007  axel@liljencrantz.se
  * Do not complete using switches after a '--' has been encountered

Tue Jan  9 17:47:05 CET 2007  axel@liljencrantz.se
  * Make it possible to cancel a long-winded wildcard match by pressing ^C

Tue Jan  9 15:13:10 CET 2007  axel@liljencrantz.se
  * Updates to the swedish translation

Tue Jan  9 14:44:57 CET 2007  axel@liljencrantz.se
  * Update dependencies for making .po files in Makefile

Tue Jan  9 14:41:17 CET 2007  axel@liljencrantz.se
  * A few more error checks during string to integer conversion in various places

Tue Jan  9 04:20:05 CET 2007  axel@liljencrantz.se
  * Check for errors during string to integer conversion in various places

Tue Jan  9 03:53:56 CET 2007  axel@liljencrantz.se
  * Fix typo in user message, remove a few warnings, minor indentation edits

Tue Jan  9 03:51:02 CET 2007  axel@liljencrantz.se
  * Handle out of memory condition in various parts of fish by shutting down instead of crashing

Tue Jan  9 02:35:21 CET 2007  axel@liljencrantz.se
  * Make it possible to specify an error handler function for out of memory in any of the collection functions. Make the default oom handler print the line where things failed and exit.

Tue Jan  9 01:21:44 CET 2007  axel@liljencrantz.se
  * Make the bg builtin check that all specified jobs exist before sending any of them to background. Also make sure that the string to pid conversion didn't throw errors.

Tue Jan  9 00:03:38 CET 2007  axel@liljencrantz.se
  * Fix accidentally triggering of error condition when nothing bad happened in fish pager init code

Sun Jan  7 17:43:36 CET 2007  axel@liljencrantz.se
  * Fix indentation and add a few comments to fish_pager

Sun Jan  7 15:24:45 CET 2007  axel@liljencrantz.se
  * Update todo list

Sun Jan  7 15:24:30 CET 2007  axel@liljencrantz.se
  * Two very minor code touch ups

Sun Jan  7 15:20:00 CET 2007  axel@liljencrantz.se
  * Remove  comments from apropos matching in function for getting description for command from whatis database

Sun Jan  7 15:13:36 CET 2007  axel@liljencrantz.se
  * Redo the interface between fish and the completion pager. The old interface has issues if the current user does not own the tty, as happens when using 'su'. It also had issues when stderr was redirected. The new interface should be more extensible as well.

Sun Jan  7 15:10:52 CET 2007  axel@liljencrantz.se
  * Make it possible to buffer input to other file descriptors than stdin. It is still only possible to buffer input on a single descriptor to any given job.

Sun Jan  7 15:09:18 CET 2007  axel@liljencrantz.se
  * Make sure errno is not changed when error reporting after a failed call to execve

Sun Jan  7 15:06:46 CET 2007  axel@liljencrantz.se
  * Fix bug in IO redirection making is possible for the IO redirections to fail in cases where there are multiple pipes and buffers using file descriptors above 2.

Sun Jan  7 15:04:10 CET 2007  axel@liljencrantz.se
  * Fix potential crash bug when pasting large amounts of text into the shell

Sat Jan  6 15:24:30 CET 2007  axel@liljencrantz.se
  * Allow the user to specify name of history file to use with the read builtin

Sat Jan  6 14:07:22 CET 2007  axel@liljencrantz.se
  * Update the dcop completions. This update was written by David Bitseff.

Wed Jan  3 13:57:02 CET 2007  axel@liljencrantz.se
  * Fix bug in completion pager where non-ascii characters where escaped because the locale was set after the completion strings where read in. Thanks to mikeX for the report.

Tue Dec 26 15:29:33 CET 2006  axel@liljencrantz.se
  * Add iconv completions

Thu Dec 21 22:23:34 CET 2006  Tassilo Horn <tassilo@member.fsf.org>
  * svn-delete-completion.dpatch

Tue Dec 19 16:24:43 CET 2006  axel@liljencrantz.se
  * Fix minor type in 'find' completions

Thu Dec 14 19:24:09 CET 2006  axel@liljencrantz.se
  * Fix yet another place where the 'builtin' builtin was used in stead of 'command'

Thu Dec 14 19:23:13 CET 2006  axel@liljencrantz.se
  * Make the directory history keyboard shortcuts repaint the screen. Otherwise, the prompt won't reflect the new CWD. This is needed because of the reduced amounts of repainting done since 1.22.2

Thu Dec 14 14:40:25 CET 2006  axel@liljencrantz.se
  * Minor highlighting tweaks to make highlighter handle switches to 'command' and 'builtin' builtins more correctly

Thu Dec 14 14:12:39 CET 2006  axel@liljencrantz.se
  * Do not add --help completions for builtins at init time. These completions are already present in the commmand specific completions

Thu Dec 14 13:06:30 CET 2006  axel@liljencrantz.se
  * Fix incorrect use of the 'builtin' builtin when the 'command' builtin was intended

Thu Dec 14 12:58:11 CET 2006  axel@liljencrantz.se
  * Make tab completion of process expansion consider other processes than those owned by the shell. Also makes tab completion of process expansion properly handle paths in command names

Thu Dec 14 11:01:31 CET 2006  axel@liljencrantz.se
  * Make sure debug() never alters errno, so that it can safely be called between an error and calling wperror()

Thu Dec 14 02:41:17 CET 2006  axel@liljencrantz.se
  * Minor correction to script for extracting translation strings

Thu Dec 14 02:35:37 CET 2006  axel@liljencrantz.se
  * Make syntax highlighter flag  invalid command types as subcommands for 'command' or 'builtin' builtins. Also make sure that the '--' switch is understood by the highlighter

Thu Dec 14 01:03:26 CET 2006  axel@liljencrantz.se
  * Only complelete valid command types as subcommands for 'command' or 'builtin' builtins. Also make sure that the '--' switch is understood by the completions

Thu Dec 14 01:01:52 CET 2006  axel@liljencrantz.se
  * Make sure that a command is never executed as the subcommand of the 'builtin' builtin

Thu Dec 14 00:58:38 CET 2006  axel@liljencrantz.se
  * Minor code tweaks. Move a few deeple nested pieces of code to their own functions. There are lots of other places where this should be done as well.

Wed Dec 13 16:44:49 CET 2006  axel@liljencrantz.se
  * Make the builtins 'and', 'or', 'not', 'exec', 'command' and 'builtin' respect the '--' argument

Wed Dec 13 15:34:31 CET 2006  axel@liljencrantz.se
  * Code cleanup: Use a macro constant instead fo a literal for builtin exit codes

Wed Dec 13 15:21:07 CET 2006  axel@liljencrantz.se
  * Update functions builtin so that default behaviour when not given any arguments is to print only names of all existing functions, not their definitions. Use 'functions (functions)' to get the latter.

Tue Dec 12 21:37:27 CET 2006  axel@liljencrantz.se
  * Drop unneeded '--' when using set builtin in various places

Tue Dec 12 19:18:41 CET 2006  axel@liljencrantz.se
  * Drop unneeded '--' when using set builtin in the trap function

Tue Dec 12 18:25:18 CET 2006  axel@liljencrantz.se
  * Minor fix to help generation to avoid creating a stray doxygen file in share/man

Tue Dec 12 18:11:18 CET 2006  axel@liljencrantz.se
  * Use the math function instead of calling bc directly in various places

Tue Dec 12 18:10:37 CET 2006  axel@liljencrantz.se
  * Extend documentation for the math function

Tue Dec 12 13:28:53 CET 2006  axel@liljencrantz.se
  * Make sure the rm command and not a wrapper function that could change its behaviour is used. This patch was written by David Bitseff.

Tue Dec 12 11:13:48 CET 2006  axel@liljencrantz.se
  * Make sure cwd colors update when the variable changes. This is a common regression, it seems. This time it was caused by the repaint reductions added in 1.22.2.

Mon Dec 11 20:03:08 CET 2006  axel@liljencrantz.se
  * Update to the ':' patch by Nicholas Burlett. This patch makes sure that ':' style executing of a command is only performed if a regular call to execve fails. This should improve performance a mall bit in the common case.

Mon Dec 11 14:47:23 CET 2006  axel@liljencrantz.se
  * Fix broken example in the documentation for the begin builtin

Sun Dec 10 10:23:26 CET 2006  axel@liljencrantz.se
  * Add completions for flac, written by David Bitseff

Sat Dec  9 09:59:46 CET 2006  axel@liljencrantz.se
  * Add completions for oggenc, written by David Bitseff

Sat Dec  9 02:19:11 CET 2006  axel@liljencrantz.se
  * Minor documentation update

Sat Dec  9 00:28:18 CET 2006  Tassilo Horn <tassilo@member.fsf.org>
  * ruby-gems-completion.dpatch

Fri Dec  8 23:04:28 CET 2006  nickburlett@gmail.com
  * colon-command support
  
  Shells such as bash, sh, tcsh, and ksh each support a "colon command" that causes the script to be
  evaluated as a bourne script. In the case of bash and sh, this command is a no-op. For others, 
  it means the script has sh syntax. 
  
  To suppor this in fish, I've added code to launch_process that checks for a ':' as the first
  character of p->actual_cmd. If it is a colon, the process descriptor is modified to call
  /bin/sh, which should exist on any POSIX system. 
  

Fri Dec  8 22:58:55 CET 2006  axel@liljencrantz.se
  * Add dcop completions, written by David Bitseff

Fri Dec  8 14:31:36 CET 2006  axel@liljencrantz.se
  * Fix off-by-one error making it impossible to edit the first element of an array using array slicing. Thanks to useer for reporting this bug.

Thu Dec  7 23:46:03 CET 2006  axel@liljencrantz.se
  * Bump version number

Wed Dec  6 14:10:20 CET 2006  axel@liljencrantz.se
  * Update comlpetions for the help function

Wed Dec  6 13:25:37 CET 2006  axel@liljencrantz.se
  * Make delete-or-exit work with multiline commands

Wed Dec  6 01:08:10 CET 2006  axel@liljencrantz.se
  * Update user documentation - add section on internal completion functions, update todo list, minor documentation tweaks

Wed Dec  6 00:52:52 CET 2006  axel@liljencrantz.se
  * Add ant target completions, written by Nate Drake

Mon Dec  4 13:07:07 CET 2006  axel@liljencrantz.se
  * Do not highlight parameters beginning with a '-' as switches if the '--' parameter has been given

Mon Dec  4 12:58:38 CET 2006  axel@liljencrantz.se
  * Add completions for the env command

Mon Dec  4 12:42:05 CET 2006  axel@liljencrantz.se
  * Add completions for the locate command

Mon Dec  4 12:13:46 CET 2006  axel@liljencrantz.se
  * Add subcommand completion support to nice completions

Sun Dec  3 00:34:33 CET 2006  axel@liljencrantz.se
  * Rename __fish_complete_directory to increase consistency

Fri Dec  1 00:58:52 CET 2006  axel@liljencrantz.se
  * Flash commandline each time completion fails, not just the first one

Fri Dec  1 00:57:49 CET 2006  axel@liljencrantz.se
  * Only flash commandline, not entire screen, when completion fails

Fri Dec  1 00:14:14 CET 2006  axel@liljencrantz.se
  * Add completions for the find command

Fri Dec  1 17:30:09 CET 2006  axel@liljencrantz.se
  * Make keyboard shortcuts that execute a shellscript function (^D, for example) a lot quicker. This is done by not changing the titlebar message or reexecuting the prompt. A full repaint is still performed though. This patch also changes the behaviour of the 'null' virtual keypress - it no longer reexecutes the prompt, it only causes a repaint.

Thu Nov 30 17:32:30 CET 2006  axel@liljencrantz.se
  * Improve kill completions on non-Debian systems (They where fine before on Debian systems)

Thu Nov 30 16:48:38 CET 2006  axel@liljencrantz.se
  * Remove fallback of using globals when universal variables are broken in config file- fish does the equivalen internally now

Thu Nov 30 16:40:26 CET 2006  axel@liljencrantz.se
  * Use dircolors to set default colors for ls

Thu Nov 30 16:40:06 CET 2006  axel@liljencrantz.se
  * Fix bug in save_function script

Thu Nov 30 14:24:31 CET 2006  axel@liljencrantz.se
  * Fix bed indentation in a few places

Wed Nov 29 15:21:02 CET 2006  axel@liljencrantz.se
  * Minor documentation, indentation tweaks

Wed Nov 29 15:20:04 CET 2006  axel@liljencrantz.se
  * Makefile tweakage - make sure build messages suggest using correct make version

Wed Nov 29 15:18:22 CET 2006  axel@liljencrantz.se
  * Add --without-gettext switch to optionally disable gettext support

Wed Nov 29 15:02:29 CET 2006  axel@liljencrantz.se
  * Fix bug in save_function that causes it to not create missing directory entries before saving function

Wed Nov 29 15:00:04 CET 2006  axel@liljencrantz.se
  * Replace all internal uses of grep with sgrep, which is a wrapper around grep that strips away any GREP_OPTIONS. This is needed to avoid users who have added arbitrary switches to GREP_OPTIONS, thus changing its behaviour.

Sun Nov 26 14:11:50 CET 2006  axel@liljencrantz.se
  * Don't use GREP_OPTIONS in 'contains' function - this is a modified version of a patch by David Bitseff

Sun Nov 26 14:09:43 CET 2006  axel@liljencrantz.se
  * Make sure that non-exporeted variables can shadow exported ones. This problem was reported by David Bitseff.

Fri Nov 24 18:06:31 CET 2006  axel@liljencrantz.se
  * Add missing rulers in faq

Fri Nov 24 17:46:41 CET 2006  axel@liljencrantz.se
  * Fix missing code snippet in faq. Thank you to Binny V A for reporting this bug.

Thu Nov 23 11:41:45 CET 2006  axel@liljencrantz.se
  * Make completion descriptions on symlinks to directories have their own description

Thu Nov 23 11:40:23 CET 2006  axel@liljencrantz.se
  * Fix bug where tab completions for implicit 'cd' would ignore symbolic links to directories

Wed Nov 22 19:54:43 CET 2006  axel@liljencrantz.se
  * Drop the old, unused fish manual page

Wed Nov 22 19:53:33 CET 2006  axel@liljencrantz.se
  * Simplify documentation building - again.

Mon Nov 20 16:27:07 CET 2006  axel@liljencrantz.se
  * Add completions for the wajig command. These where generated by the create_wajig_completions.py script, written by Reuben Thomas.

Mon Nov 20 16:25:18 CET 2006  axel@liljencrantz.se
  * Touch up completions for builtin commands

Mon Nov 20 14:14:12 CET 2006  axel@liljencrantz.se
  * Minor edits, whitespace fixes, etc.

Mon Nov 20 14:12:24 CET 2006  axel@liljencrantz.se
  * Minor code edit - move a bit of code into its own function

Mon Nov 20 03:19:34 CET 2006  axel@liljencrantz.se
  * Correctly handle multiple backslashes at end of line w.r.t. multiline handling

Mon Nov 20 14:53:36 CET 2006  axel@liljencrantz.se
  * Fix missing man-page generation when building from darcs tree. Also simplifys doc generation a small bit.

Mon Nov 20 02:06:20 CET 2006  axel@liljencrantz.se
  * Simplify Makefile by using a wildcard to specify help files

Mon Nov 20 00:36:40 CET 2006  axel@liljencrantz.se
  * Add missing help text for the save_function function

Mon Nov 20 00:27:34 CET 2006  axel@liljencrantz.se
  * Support bold and underlined characters in help output

Sat Nov 18 22:24:59 CET 2006  axel@liljencrantz.se
  * Minor comment edits and removal of a warning

Sat Nov 18 22:21:47 CET 2006  axel@liljencrantz.se
  * Move the event handler for fish_color_cwd to init file, so it is not autounloaded. Also cache output of call to set_color command to improve performance a bit.

Sat Nov 18 22:15:31 CET 2006  axel@liljencrantz.se
  * After processing a signal/event while waiting for commandline input, check the lookahead buffer for inserted characters

Fri Nov 17 17:24:38 CET 2006  axel@liljencrantz.se
  * Update documentation display code to run roff on the client system instead of pregenerating documentation and compiling it into program binaries

Sat Nov 18 00:37:26 CET 2006  axel@liljencrantz.se
  * Speed up history token search

Fri Nov 17 16:00:13 CET 2006  axel@liljencrantz.se
  * Update todo list

Fri Nov 17 15:59:25 CET 2006  axel@liljencrantz.se
  * Add missing include in screen.c

Fri Nov 17 15:59:05 CET 2006  axel@liljencrantz.se
  * Tweak error messages in tokenizer a bit

Fri Nov 17 15:58:25 CET 2006  axel@liljencrantz.se
  * Add a bugreport function for writing out a message about how to file bug reports

Thu Nov 16 14:22:51 CET 2006  axel@liljencrantz.se
  * Complete using known repos in darcs

Fri Nov 17 14:06:12 CET 2006  axel@liljencrantz.se
  * Make hitory token search interruptible. This code was written by Netocrat.

Thu Nov 16 14:08:33 CET 2006  axel@liljencrantz.se
  * Don't intern as much completion data - this helps reduce memory usage when autounloading

Thu Nov 16 14:04:00 CET 2006  axel@liljencrantz.se
  * Only do command description lookup if we have non-directory commands

Wed Nov 15 15:16:49 CET 2006  axel@liljencrantz.se
  * Use halloc to simplyfy allocations in function.c

Thu Nov 16 13:58:03 CET 2006  axel@liljencrantz.se
  * Drop search highlighting when exiting search mode. Thanks to Philip Ganchev and Martin B[_\c3_][_\a4_]hr for the bug reports.

Wed Nov 15 14:30:46 CET 2006  axel@liljencrantz.se
  * A few additional input checks, minor code simplifications, and some indentation/documentation fixes

Wed Nov 15 14:29:59 CET 2006  axel@liljencrantz.se
  * Remove getpgid prototype from exec.c - this prototype seems to be no longer missing

Wed Nov 15 13:34:47 CET 2006  axel@liljencrantz.se
  * Make fish store universal variables locally if fishd can't be started - local changes are lost of the fishd connection is restored

Wed Nov 15 12:18:57 CET 2006  axel@liljencrantz.se
  * Use fcntl to automatically close fishd socken on exec instead of handling it manually

Tue Nov 14 17:21:25 CET 2006  axel@liljencrantz.se
  * Add support for detecting and handling the screen-specific \ek\e\ escape sequence for setting the titlebar message in the prompt calculating code.

Sun Nov 12 22:10:23 CET 2006  axel@liljencrantz.se
  tagged 1.22.1

Sun Nov 12 22:09:38 CET 2006  axel@liljencrantz.se
  * Bump version number

Sun Nov 12 13:17:25 CET 2006  axel@liljencrantz.se
  * The incorrect pointer is used for the autounload callback, causing possible crashes

Sun Nov 12 13:16:13 CET 2006  axel@liljencrantz.se
  * Fix file descriptor leakage from completion pager

Sun Nov 12 12:45:44 CET 2006  axel@liljencrantz.se
  * Fix exit status of delete-or-exit function

Sat Nov 11 12:33:15 CET 2006  axel@liljencrantz.se
  * Add a few missing completions for the ls command

Sat Nov 11 12:06:50 CET 2006  axel@liljencrantz.se
  * Minor code simplification in main.c

Sat Nov 11 11:55:47 CET 2006  axel@liljencrantz.se
  * Add a few more darcs completions. These are still unfinished, though.

Sat Nov 11 11:54:52 CET 2006  axel@liljencrantz.se
  * Minor cleanups, mostly of code comments

Sat Nov 11 11:53:14 CET 2006  axel@liljencrantz.se
  * Tweak Makefile, including fixing slight dependency problem

Sat Nov 11 11:52:08 CET 2006  axel@liljencrantz.se
  * Documentation updates

Sat Nov 11 11:48:40 CET 2006  axel@liljencrantz.se
  * Make fish send a HUP signal to jobs when the terminal tells it to exit.

Fri Nov 10 16:59:25 CET 2006  tassilo@member.fsf.org
  * complete-eik-and-friends.dpatch
  
  Completions for all tools which come with eix.
  (http://dev.croup.de/proj/eix)

Thu Nov  9 18:58:04 CET 2006  axel@liljencrantz.se
  * fix bug where off_t was assumed to be long long, causing display errors on systems with no large file support

Thu Nov  9 15:53:41 CET 2006  tassilo@member.fsf.org
  * better-emerge-completion.dpatch
  
  - You don't need to supply the package right after -C or -u etc.
  - Better descriptions

Tue Nov  7 22:17:08 CET 2006  axel@liljencrantz.se
  * Add completions for equery, written by Tassilo Horn.

Tue Nov  7 22:16:17 CET 2006  axel@liljencrantz.se
  * Update the emerge completions. They are now complete, ignore switch ordering, handle packages in different catagories with the same name. This update was made by Tassilo Horn.

Tue Nov  7 21:55:39 CET 2006  axel@liljencrantz.se
  * Add alias function. Thanks to Tassilo Horn for pointing out that it was missing.

Tue Nov  7 21:54:37 CET 2006  axel@liljencrantz.se
  * Do not escape the ':' character. Thanks to Tassilo Horn for pointing this out.

Tue Nov  7 19:19:11 CET 2006  axel@liljencrantz.se
  * Try to avoid the '=' in gnu-style completions, since many prgorams roll their own lame option parsing which doesn't support it. Thanks to Tassilo Horn for pointing this out.

Tue Nov  7 14:12:11 CET 2006  axel@liljencrantz.se
  * Fix a bug in the help function causing help to fail when trying to open help for a builtin command. Thanks to Reuben Thomas for the report.

Tue Nov  7 14:06:29 CET 2006  axel@liljencrantz.se
  * Do not print a newline on empty greeting message. Thanks to Reuben Thomas for pointing this out.

Fri Nov  3 16:53:35 CET 2006  axel@liljencrantz.se
  * Fix code for locating inputrc-file in users fish configuration directory. Thanks to Reuben Thomas for reporting this.

Fri Nov  3 15:31:40 CET 2006  axel@liljencrantz.se
  * Fix typo in documentation for the commandline builtin. Thanks to Reuben Thomas for reporting this.

Fri Nov  3 15:26:45 CET 2006  axel@liljencrantz.se
  * Add the file that generated the wajig completions to the tree. This should not be installed but it should be  included with the tarball. The file was written by Reuben Thomas.

Fri Nov  3 15:19:45 CET 2006  axel@liljencrantz.se
  * Add completions for ps2pdf, dvipdf and dvipdfm commands, written by Reuben Thomas.

Fri Nov  3 15:12:54 CET 2006  axel@liljencrantz.se
  * Add mention of uninstalling old fish versions to the INSTALL file. Thanks to Jason Grossman for the suggestion

Fri Nov  3 14:16:21 CET 2006  axel@liljencrantz.se
  * Try to detect seq versions installed by earlier fish versions and replace them

Fri Nov  3 11:00:04 CET 2006  axel@liljencrantz.se
  * Check if any libraries need to be linked in order to use iconv. This is needed on OS X. Thanks to Jason Grossman for the report

Fri Nov  3 01:34:57 CET 2006  axel@liljencrantz.se
  * Fix bugs causing all unmapped inputs below 31 to be interpreted as newlines. Thanks to Reuben Thomas for the report.

Fri Nov  3 00:57:27 CET 2006  axel@liljencrantz.se
  * Add command specific completions for unrar command (No switches yet, only commands and files in archive)

Fri Nov  3 00:55:48 CET 2006  axel@liljencrantz.se
  * Add support for completing using contents of tar archives

Thu Nov  2 14:50:19 CET 2006  axel@liljencrantz.se
  * Minor tweaks in the reader. Vastly simplyfu the insert_char function, and add a few code commants.

Thu Nov  2 14:48:59 CET 2006  axel@liljencrantz.se
  * Make sure fish has the currect exit status

Thu Nov  2 14:47:25 CET 2006  axel@liljencrantz.se
  * Updates to the documentation - add a few crossreferences, remove redundant listing of builtins and update the todo list

Thu Nov  2 14:45:37 CET 2006  axel@liljencrantz.se
  * Fix the code for ignoring infinite recursion

Thu Nov  2 00:14:04 CET 2006  axel@liljencrantz.se
  * Spelling fix. Thanks to Reuben Thomas

Wed Nov  1 23:18:35 CET 2006  axel@liljencrantz.se
  * Fix formating issue for the documentation for the prevd function

Wed Nov  1 19:12:32 CET 2006  axel@liljencrantz.se
  tagged 1.22.0

Wed Nov  1 19:12:21 CET 2006  axel@liljencrantz.se
  * Fix build error

Wed Nov  1 18:33:02 CET 2006  axel@liljencrantz.se
  tagged 1.22.0

Wed Nov  1 15:47:47 CET 2006  axel@liljencrantz.se
  * Use the same wording about license in Makefile and main.c.

Wed Nov  1 11:54:12 CET 2006  axel@liljencrantz.se
  * Add missing include to fix a warning

Wed Nov  1 11:31:12 CET 2006  axel@liljencrantz.se
  * Update to buildscripts to fix dependency issues caused by new documentation layout

Tue Oct 31 23:01:49 CET 2006  axel@liljencrantz.se
  * Fix beginning/end-of-line input function, add beginning/end-of-buffer functions

Tue Oct 31 16:36:14 CET 2006  axel@liljencrantz.se
  * Add table of contents to begining of documentation. This involves some restructuring of the documentation files.

Tue Oct 31 16:23:16 CET 2006  axel@liljencrantz.se
  * Fix casing and other minor issues in documentation

Tue Oct 31 03:06:56 CET 2006  axel@liljencrantz.se
  * Code beutification in build files

Mon Oct 30 17:03:57 CET 2006  axel@liljencrantz.se
  * Bump version number

Mon Oct 30 02:52:21 CET 2006  axel@liljencrantz.se
  * Fix completions for which and type, which where broken by previous script updates

Sun Oct 29 22:09:11 CET 2006  axel@liljencrantz.se
  * Make sure signals aren't blocked while autoloading, also add a few consistency checks to see that signals aren't blocked in critical places

Sat Oct 28 18:44:48 CEST 2006  axel@liljencrantz.se
  * Minor edits

Sat Oct 28 18:41:22 CEST 2006  axel@liljencrantz.se
  * Update autoloader to fix concurrency issues when changing loader path in autoloaded function

Sat Oct 28 18:32:29 CEST 2006  axel@liljencrantz.se
  * Documentation updates and clarifications

Sat Oct 28 00:50:04 CEST 2006  axel@liljencrantz.se
  * Add a shellscript function 'save'function' for saving the current definition of a function to file

Thu Oct 26 17:19:46 CEST 2006  axel@liljencrantz.se
  * Change the way the umask is used so that executable bits are ignored on file creation. Thanks to sqweek and Jamessan for explaining the issue.

Thu Oct 26 12:22:53 CEST 2006  axel@liljencrantz.se
  * Minor edits, remove unneeded code, add a few commants, correct spelling, tweak the todo list, etc.

Thu Oct 26 12:20:59 CEST 2006  axel@liljencrantz.se
  * Make the fish manpage in Doxygen and add it to the main fish documentation

Wed Oct 25 22:54:43 CEST 2006  axel@liljencrantz.se
  * Move out argument parsing into it's own function

Wed Oct 25 22:47:59 CEST 2006  axel@liljencrantz.se
  * Use bitset to implement flags for jobs instead of wasting a whole int for every flag

Wed Oct 25 22:46:50 CEST 2006  axel@liljencrantz.se
  * Add more comments to the history implementation

Wed Oct 25 22:36:08 CEST 2006  axel@liljencrantz.se
  * Minor cleanups and improved error checking in reader code

Wed Oct 25 22:34:33 CEST 2006  axel@liljencrantz.se
  * Make al_pop return null on empty lists instead of crashing

Wed Oct 25 22:33:37 CEST 2006  axel@liljencrantz.se
  * Fix spelling error in init file

Wed Oct 25 22:32:25 CEST 2006  axel@liljencrantz.se
  * If the builtin help won't fit on-screen, and it can't be shortened, don't print it

Wed Oct 25 22:28:36 CEST 2006  axel@liljencrantz.se
  * Remove the --key-binding switch for fish

Wed Oct 25 18:39:50 CEST 2006  axel@liljencrantz.se
  * Update dependency list

Wed Oct 25 18:35:32 CEST 2006  axel@liljencrantz.se
  * Update makefile to not try to delete old config files during install, and instead fail with a relevant error message. Thanks to Jamessan for pointing out the evilness of the old method and suggesting the new method.

Wed Oct 25 14:27:12 CEST 2006  axel@liljencrantz.se
  * Do not remove trailing whitespace from function definitions, the may be a part of a function

Wed Oct 25 12:57:46 CEST 2006  axel@liljencrantz.se
  * Drop switch for saving of functions to file from the function builtin

Wed Oct 25 12:14:02 CEST 2006  axel@liljencrantz.se
  * Fix bug where in rare cases calling the exit builtin would cause jobs to not execute even though the call to exit was blocked by running jobs

Tue Oct 24 13:03:52 CEST 2006  axel@liljencrantz.se
  * Use the _t suffix for typedef:ed structs in complete.c

Mon Oct 23 12:43:15 CEST 2006  axel@liljencrantz.se
  * Fix bug in sed scripts for generating configuration files from templates. Multiple substitutions on the same line where ignored.

Sun Oct 22 18:03:29 CEST 2006  axel@liljencrantz.se
  * Decrease priority of fishd debug message

Sun Oct 22 17:57:59 CEST 2006  axel@liljencrantz.se
  * Remove extra whitespace from warning message on directory transition

Sun Oct 22 13:50:26 CEST 2006  axel@liljencrantz.se
  * A few more minor code tweaks to fish_pager, including added documentation and removing a few hardcoded constants.

Sun Oct 22 13:04:14 CEST 2006  axel@liljencrantz.se
  * Add documentation, fix memory leaks and do minor code tweaks in fish_pager

Sun Oct 22 11:40:18 CEST 2006  axel@liljencrantz.se
  * Give search highligting precedence over other highligting types

Sun Oct 22 03:21:02 CEST 2006  axel@liljencrantz.se
  * Make automatic history reloading actually work the way it should

Sun Oct 22 00:59:00 CEST 2006  axel@liljencrantz.se
  * Fix warning messages in fish_tests

Sun Oct 22 00:44:29 CEST 2006  axel@liljencrantz.se
  * Change meaning of ** to match both files and directories

Sat Oct 21 12:30:35 CEST 2006  axel@liljencrantz.se
  * Fix crash bug in new history code - fish would segfauls in non-interactive mode on exit

Sat Oct 21 12:16:09 CEST 2006  axel@liljencrantz.se
  * Fix flags for mmap in history, don't unload history items written to disk in order to keep proper ordering

Sat Oct 21 01:04:20 CEST 2006  axel@liljencrantz.se
  * Add some documentation to the new history code, and fix some minor code issues

Sat Oct 21 00:36:49 CEST 2006  axel@liljencrantz.se
  * Rewritten history implementation - uses mmap to save lots of memory and also allows incremental saving. The history is autosaved every five minutes and every five added entries

Sat Oct 21 00:34:40 CEST 2006  axel@liljencrantz.se
  * Decrease number of gettext messages that are buffered to save memory

Sat Oct 21 00:33:47 CEST 2006  axel@liljencrantz.se
  * Add wrename wrapper around rename function

Fri Oct 20 01:43:36 CEST 2006  axel@liljencrantz.se
  * Remove /etc/fish file before creating directory with the same name to avoid clash

Thu Oct 19 17:47:47 CEST 2006  axel@liljencrantz.se
  * Make any character except '/' legal in function names

Thu Oct 19 17:41:27 CEST 2006  axel@liljencrantz.se
  * Make failed process expansions expand to zero arguments, not to the original string

Thu Oct 19 17:39:50 CEST 2006  axel@liljencrantz.se
  * Minor code fixes

Thu Oct 19 17:36:03 CEST 2006  axel@liljencrantz.se
  * Fix a number of bugs found using the warnings generated by earlier patch

Thu Oct 19 17:24:18 CEST 2006  axel@liljencrantz.se
  * Fix occasional garbled characters in output of the set builtin

Thu Oct 19 17:19:47 CEST 2006  axel@liljencrantz.se
  * Add compiler warnings for some common incorrect usage of functions, such as forgetting to cast null pointers to variadic functions

Thu Oct 19 13:50:23 CEST 2006  axel@liljencrantz.se
  * First stab at directory transition. Test with care...

Thu Oct 19 13:46:32 CEST 2006  axel@liljencrantz.se
  * Make the callback for the file autoloader optional, and clarify its use

Thu Oct 19 13:40:24 CEST 2006  axel@liljencrantz.se
  * Minor edits to documentation

Thu Oct 19 13:39:16 CEST 2006  axel@liljencrantz.se
  * Make history variable contain whole history

Thu Oct 19 13:38:44 CEST 2006  axel@liljencrantz.se
  * Give USER and HOME default values if undefined

Thu Oct 19 01:02:46 CEST 2006  axel@liljencrantz.se
  * Tweak initial capacity calculations to always be a Mersenne number

Thu Oct 19 01:01:48 CEST 2006  axel@liljencrantz.se
  * Fix exceptaionally rare crash bug in hash tables (happens once in every 2^32 hash lookups

Wed Oct 18 18:44:38 CEST 2006  axel@liljencrantz.se
  * Fix yet another universal variable issue with initialization of the read buffer. This may fix fishd bugs reported by Philip Ganchev and Martin B[_\c3_][_\a4_]hr

Wed Oct 18 17:51:51 CEST 2006  axel@liljencrantz.se
  * Skip command description lookup when no commands where found

Wed Oct 18 17:50:59 CEST 2006  axel@liljencrantz.se
  * Fix bug in command description lookup code causing missing descriptions when command is given with a path

Tue Oct 17 23:11:29 CEST 2006  axel@liljencrantz.se
  * Properly handle character sets in universal variables

Mon Oct 16 17:40:22 CEST 2006  axel@liljencrantz.se
  * Avoid unloading an item currently being loaded by the autoloader

Mon Oct 16 17:32:26 CEST 2006  axel@liljencrantz.se
  * Minor code simplifications in the reader and related libraries

Mon Oct 16 17:00:17 CEST 2006  axel@liljencrantz.se
  * Fix hang bug when appending to killring

Mon Oct 16 16:39:12 CEST 2006  axel@liljencrantz.se
  * Avoid reading before begining of buffer when moving/erasing word, fixes crash bug reported by Martin B[_\c3_][_\a4_]hr and further described by Philip Ganchev.

Fri Oct 13 00:32:00 CEST 2006  axel@liljencrantz.se
  * Minor bugfix in the kill-ring code

Thu Oct 12 21:30:00 CEST 2006  axel@liljencrantz.se
  * Make kill-word and backward-kill-word accumulate kills in the killring

Thu Oct 12 18:13:17 CEST 2006  axel@liljencrantz.se
  * Yet another tweak to the move_word function

Thu Oct 12 16:02:47 CEST 2006  axel@liljencrantz.se
  * Update todo-list

Thu Oct 12 15:30:12 CEST 2006  axel@liljencrantz.se
  * Fix major memory leak in autoloader introduced by recent autounloader patch

Thu Oct 12 15:27:32 CEST 2006  axel@liljencrantz.se
  * Fix the kill-line, backward-kill-line and kill-whole-line commands to work correctly with multiline editing

Thu Oct 12 14:08:59 CEST 2006  axel@liljencrantz.se
  * Drop warning in parse_util.c

Thu Oct 12 03:01:29 CEST 2006  axel@liljencrantz.se
  * Better string hashing function

Wed Oct 11 18:17:49 CEST 2006  axel@liljencrantz.se
  * Use the xdg-open command in the open function if it exists

Wed Oct 11 00:47:21 CEST 2006  axel@liljencrantz.se
  * Fix compilation issue in test suite,. Thanks to Martin B[_\c3_][_\a4_]hr for the report.

Wed Oct 11 00:45:46 CEST 2006  axel@liljencrantz.se
  * Unload older autoloaded functions

Wed Oct 11 00:21:13 CEST 2006  axel@liljencrantz.se
  * Fix bug in the input buffering of messages to/from fishd causing garbled messages

Tue Oct 10 19:31:54 CEST 2006  axel@liljencrantz.se
  * Only show greeting in interactive mode

Wed Sep 20 06:04:13 CEST 2006  James Vega <jamessan@jamessan.com>
  * Makefile.in: Update clean target to preserve builtin_help.c, user_doc, doc_src/builtin_doc and remove share/fish

Mon Oct  9 23:51:33 CEST 2006  axel@liljencrantz.se
  * Fix bug in contains function

Mon Oct  9 23:49:05 CEST 2006  axel@liljencrantz.se
  * Make the greeting message configurable using the fish_greeting variable

Mon Oct  9 23:24:40 CEST 2006  axel@liljencrantz.se
  * New version of the xdg fix. Unlike the previous version, this one should actually work.

Mon Oct  9 22:12:30 CEST 2006  axel@liljencrantz.se
  * Fix compilation issues in xdg library caused missing headers. Thanks to Jamessan for the report.

Mon Oct  9 17:20:07 CEST 2006  axel@liljencrantz.se
  * Apdate address of fish homepage

Mon Oct  9 17:19:48 CEST 2006  axel@liljencrantz.se
  * Update dependency list

Mon Oct  9 17:19:13 CEST 2006  axel@liljencrantz.se
  * Do not use INTERNAL_SEPARATOR tokens to separate different parts of an unescaped string when unescape_special is false. This fixes a bug where weird characters would sometimes be printed in completion descriptions

Mon Oct  9 16:16:08 CEST 2006  axel@liljencrantz.se
  * Allow more than one argument to the commandline builtin. The arguments will be joined together using newlines

Mon Oct  9 15:26:42 CEST 2006  axel@liljencrantz.se
  * Make the screen repainting code slightly more robust by keeping track of whether clr_eol may be needed to clear 'debris' from e.g. resizes

Mon Oct  9 12:34:08 CEST 2006  axel@liljencrantz.se
  * Various minor cleanups

Mon Oct  9 11:59:31 CEST 2006  axel@liljencrantz.se
  * Indent empty lines after a block command correctly. Thanks to Philip Ganchev for the suggestion.

Mon Oct  9 03:22:48 CEST 2006  axel@liljencrantz.se
  * Allow escaped newlines within qoutes, expand them to themselves

Mon Oct  9 03:21:02 CEST 2006  axel@liljencrantz.se
  * Be more rigorous with the exit codes set by the parser and builtins

Mon Oct  9 03:15:29 CEST 2006  axel@liljencrantz.se
  * Allow Meta-newline to always insert a newline character

Mon Oct  9 01:46:50 CEST 2006  axel@liljencrantz.se
  * Unknown commands should set the status flag to 127, as in bash and friends

Mon Oct  9 01:44:58 CEST 2006  axel@liljencrantz.se
  * Make sure that if a syntax error occurs, the parser does not try to evaluate command substitutions in the command

Mon Oct  9 01:23:51 CEST 2006  axel@liljencrantz.se
  * Make sure indentation works even if a line begins with whitespace

Sun Oct  8 15:50:46 CEST 2006  axel@liljencrantz.se
  * Update history loading/saving to handle multiline editing

Sun Oct  8 15:27:59 CEST 2006  axel@liljencrantz.se
  * Fix a few places where uncasted 0 was used as a null pointer in vararg functions, causing potential crashes on 64-bit platforms

Sun Oct  8 02:47:04 CEST 2006  axel@liljencrantz.se
  * Fis minor memory leak in screen handling code

Sat Oct  7 23:06:31 CEST 2006  axel@liljencrantz.se
  * Make it possible to use backslash to stay in multiline mode even when not at the end of the command

Sat Oct  7 23:05:21 CEST 2006  axel@liljencrantz.se
  * Fix tokenizer bug causing bad highlighting in multiline mode

Sat Oct  7 02:56:25 CEST 2006  axel@liljencrantz.se
  * Add autoindentation support

Fri Oct  6 20:45:39 CEST 2006  axel@liljencrantz.se
  * Buffer calls to read() in the universal variable code

Thu Oct  5 22:11:41 CEST 2006  axel@liljencrantz.se
  * Update todo list

Thu Oct  5 21:40:26 CEST 2006  axel@liljencrantz.se
  * Color the ellipsis used by line wrapping as comments. Thanks to Philip Ganchev for the suggestion.

Thu Oct  5 08:44:19 CEST 2006  axel@liljencrantz.se
  * Add missing newline in error message for popd function. Thanks to Phipip Ganchev.

Thu Oct  5 01:55:30 CEST 2006  axel@liljencrantz.se
  * Fix bug causing ls function to never color or classify files

Thu Oct  5 01:33:12 CEST 2006  axel@liljencrantz.se
  * Move the code keeping track of file descriptor modification from reader.c to screen.c

Thu Oct  5 01:32:06 CEST 2006  axel@liljencrantz.se
  * Drop the optional checking of block type for the end builtin

Wed Oct  4 23:45:02 CEST 2006  axel@liljencrantz.se
  * Detect and handle terminals size changes

Wed Oct  4 23:42:04 CEST 2006  axel@liljencrantz.se
  * Minor code cleanup

Wed Oct  4 23:39:48 CEST 2006  axel@liljencrantz.se
  * Add the possibility to set the cursor position using the commandline builtin

Wed Oct  4 20:49:39 CEST 2006  axel@liljencrantz.se
  * Add the possibility to set the input that the commandline builtin operates on

Wed Oct  4 20:19:01 CEST 2006  axel@liljencrantz.se
  * Mangle very long variable values when using the set builtin to print variables and their values

Wed Oct  4 19:55:19 CEST 2006  axel@liljencrantz.se
  * Use universal variables for fish_function_path and fish_complete_path

Wed Oct  4 12:27:06 CEST 2006  axel@liljencrantz.se
  * Repain prompt after showing completion pager

Mon Oct  2 01:21:36 CEST 2006  axel@liljencrantz.se
  * Various fixes to make double-wide characters (e.g. asian characters) work with the new multiline editing code

Sun Oct  1 23:22:43 CEST 2006  axel@liljencrantz.se
  * Second cleanup of multiline editing patch. Add code comments, use better variable names, etc..

Sun Oct  1 22:54:23 CEST 2006  axel@liljencrantz.se
  * First cleanup of multiline patch - add support for commands longer than one line and do minor cleanups, including removal of a few unused functions

Sun Oct  1 22:17:28 CEST 2006  axel@liljencrantz.se
  * Add function to insert a range of new elements into the middle of an array_list

Sun Oct  1 18:02:58 CEST 2006  axel@liljencrantz.se
  * First stab at multiline editing

Sun Oct  1 17:59:18 CEST 2006  axel@liljencrantz.se
  * Minor comment and documentation edits

Sun Oct  1 17:57:34 CEST 2006  axel@liljencrantz.se
  * Minor tweaks to code validation for the for builtin (again)

Sun Oct  1 17:20:40 CEST 2006  axel@liljencrantz.se
  * Further reduction of malloc calls in the history

Sat Sep 30 14:19:17 CEST 2006  axel@liljencrantz.se
  * Be a bit more careful with memory alignemnt in halloc

Fri Sep 29 23:48:04 CEST 2006  axel@liljencrantz.se
  * Make sure M-d erases last character of word. Thanks to DynWind for the report

Thu Sep 28 18:54:05 CEST 2006  axel@liljencrantz.se
  * Fix bug in the setenv function (values wheren't exported!), thanks to Matrin B[_\c3_][_\a4_]hr for the report.

Tue Sep 26 14:41:09 CEST 2006  axel@liljencrantz.se
  * Add syntax check to see that the for builtin is not given an insufficient number of arguments

Sun Sep 24 19:57:23 CEST 2006  axel@liljencrantz.se
  * Fix occasional off-by-one bug in syntax highlighting causing the character next to the cursor to be unhighlighted instead of the cursor itself

Tue Sep 19 19:55:09 CEST 2006  axel@liljencrantz.se
  * Make sure isatty docs are built into the main doc file

Tue Sep 19 18:53:17 CEST 2006  axel@liljencrantz.se
  * Unly use classifications in ls if stdout is a tty

Tue Sep 19 16:52:03 CEST 2006  axel@liljencrantz.se
  * Documentation updates from Beni Cherniavsky

Tue Sep 19 16:21:40 CEST 2006  axel@liljencrantz.se
  * Fix bug in for that causes crash on syntax error

Tue Sep 19 16:20:42 CEST 2006  axel@liljencrantz.se
  * Minor bugfix in the switch parsing for the status builitn

Tue Sep 19 00:29:13 CEST 2006  axel@liljencrantz.se
  * Add completions for the wpa_cli command

Mon Sep 18 02:15:18 CEST 2006  axel@liljencrantz.se
  * Make sure that syntax validator allows use of 'break' and 'continue' with --help even outside of loops, and make sure 'return' is only used in function definitions.

Sun Sep 17 01:05:32 CEST 2006  axel@liljencrantz.se
  * Fix issue with ^W and other shortcurs sometimes not deleting anything

Thu Sep 14 17:18:21 CEST 2006  axel@liljencrantz.se
  * Fix a bug in completion insertion code on string with escaped quotes. This bug was reported by David Benbennick.

Wed Sep 13 23:27:44 CEST 2006  axel@liljencrantz.se
  * Update todo-list. Thanks to MArtin B[_\c3_][_\a4_]hr for the additions.

Wed Sep 13 19:13:10 CEST 2006  axel@liljencrantz.se
  * Make sude completions include /sbin and /usr/sbin in PATH. Thanks to Xavier Douville for the suggestion.

Wed Sep 13 01:14:09 CEST 2006  axel@liljencrantz.se
  * Fix bug in __fish_complete_subcommand, reported by Xavier Douville

Wed Sep 13 00:10:50 CEST 2006  axel@liljencrantz.se
  * Update todo-list again

Tue Sep 12 23:50:25 CEST 2006  axel@liljencrantz.se
  * Update todo-list

Tue Sep 12 17:50:58 CEST 2006  axel@liljencrantz.se
  * Ugly kludge to fix ugly header output from Doxygen in man-pages

Mon Sep 11 16:39:35 CEST 2006  axel@liljencrantz.se
  * Don't syntax highlight the character under the cursor, since that may hide the cursor. Thanks to Matin B[_\c3_][_\a4_]hr and Philip Ganchev for the reports

Mon Sep 11 16:18:48 CEST 2006  axel@liljencrantz.se
  * Add completions for xpdf and xmms, written by Vikas Gorur

Fri Sep  8 16:12:41 CEST 2006  axel@liljencrantz.se
  * Make it possible to save a function when defining it using the -S switch

Fri Sep  8 16:11:28 CEST 2006  axel@liljencrantz.se
  * Add wmkdir function

Fri Sep  8 16:10:41 CEST 2006  axel@liljencrantz.se
  * Bugfix in the wdirname function

Fri Sep  8 14:34:55 CEST 2006  axel@liljencrantz.se
  * Use halloc in history as well as other minor cleanups in history.c

Thu Sep  7 22:15:59 CEST 2006  axel@liljencrantz.se
  * Fix crash bug in cyntax validator when using an illegal command name. Thanks to Martin B[_\c3_][_\a4_]hr for the report.

Thu Sep  7 22:11:45 CEST 2006  axel@liljencrantz.se
  * Fix syntax bug caused by new cmdsubs slicing feature. Thanks to Martin B[_\c3_][_\a4_]hr for the report.

Tue Sep  5 22:43:47 CEST 2006  axel@liljencrantz.se
  * Optionally add type of block to the end builtin to verify block nesting correctness

Tue Sep  5 22:40:20 CEST 2006  axel@liljencrantz.se
  * Clear error buffer before creating new error message to avoid bug causing all previous errors to accumulate

Mon Sep  4 22:16:12 CEST 2006  axel@liljencrantz.se
  * Fix warning when help function is called with no arguments

Mon Sep  4 18:00:23 CEST 2006  axel@liljencrantz.se
  * Add math shellscript function, which is a thin wrapper around bc

Mon Sep  4 02:25:18 CEST 2006  axel@liljencrantz.se
  tagged 1.21.12

Mon Sep  4 02:25:09 CEST 2006  axel@liljencrantz.se
  * Bump version number

Mon Sep  4 01:47:51 CEST 2006  axel@liljencrantz.se
  * Fix nagging warning message

Mon Sep  4 01:12:09 CEST 2006  axel@liljencrantz.se
  * New status message for fish_pager

Mon Sep  4 01:00:06 CEST 2006  axel@liljencrantz.se
  * Minor polish

Mon Sep  4 00:58:39 CEST 2006  axel@liljencrantz.se
  * Skip bug causing autoloader to sometimes use the wrong version of a function. Thanks to Martin B[_\c3_][_\a4_]hr and Mystilleef for the bug reports.

Thu Aug 31 22:53:20 CEST 2006  axel@liljencrantz.se
  * Fix bug where using the return builtin inside an if-block could cause the else-block to get executed

Thu Aug 31 17:59:32 CEST 2006  axel@liljencrantz.se
  * Make "$foo\[1]" not be an array slicing. Notice the extra backslash

Thu Aug 31 17:58:13 CEST 2006  axel@liljencrantz.se
  * Add support for \cx backslash escapes for control sequences, syntax is borrowed from bash

Thu Aug 31 17:44:00 CEST 2006  axel@liljencrantz.se
  * Fix minor null pointer bug in the set builtin, fix bug causing the -n switch to be ignored, add missing completions for the -n switch to functions and set builtins, and touch up the documentation for said builtin a bit

Thu Aug 31 02:45:25 CEST 2006  axel@liljencrantz.se
  * Updated definiton of move_word, more intuitive behaviour when a token consists only of non-alphanumerics

Mon Aug 28 18:27:34 CEST 2006  axel@liljencrantz.se
  * Fix concurrency bug in autoloader causing memory leak

Mon Aug 28 17:19:13 CEST 2006  axel@liljencrantz.se
  * Use dynamically sized buffer for reporting error messages in the parser

Mon Aug 28 15:01:47 CEST 2006  axel@liljencrantz.se
  * Update english transliteration

Mon Aug 28 14:25:15 CEST 2006  axel@liljencrantz.se
  * Add fallback if SIGWINCH is unavailable

Mon Aug 28 14:02:44 CEST 2006  axel@liljencrantz.se
  * Minor code tweaks, mostly things like indentation, but also a ferw code reorderings

Mon Aug 28 14:01:22 CEST 2006  axel@liljencrantz.se
  * Dont let fallback implementation of killpg kill group 1

Mon Aug 28 13:43:05 CEST 2006  axel@liljencrantz.se
  * Provide fallback version of getopt_long instead of checking for it's presense every time it is used

Mon Aug 28 13:00:19 CEST 2006  axel@liljencrantz.se
  * Restructure the autoloader. This fixes a very weird and rare Heissenbug, probably caused by a compiler bug, but also makes the structure of the code a bit more logical.

Mon Aug 28 12:58:06 CEST 2006  axel@liljencrantz.se
  * Remove checks for gettext presense in mimedb.c and set_color.c. If gettext is unavailable, a fallback is provided.

Mon Aug 28 12:29:49 CEST 2006  axel@liljencrantz.se
  * Much more reliable getopt_long test. Idea from Netocrat.

Mon Aug 28 12:03:34 CEST 2006  axel@liljencrantz.se
  * Redo the -POSIX_C_SOURCE test to only add macros if they are found to fix things. Also add -std=c99 to CPPFLAGS if it is added to CFLAGS. Also add more comments, redo indentation and general file cleanup. Written cooperatively by Liljencrantz and Netocrat.

Mon Aug 28 12:00:46 CEST 2006  axel@liljencrantz.se
  * Use OK as return value for del_curterm fallback

Mon Aug 28 11:58:40 CEST 2006  axel@liljencrantz.se
  * Add a $version variable. Suggested by Martin B[_\c3_][_\a4_]hr

Sun Aug 27 16:48:53 CEST 2006  axel@liljencrantz.se
  * Don't turn of file completion in svn completions if given an unknown subcommand

Sun Aug 27 15:15:54 CEST 2006  axel@liljencrantz.se
  * Do not use the non-standard -i switch for sed

Sun Aug 27 02:57:40 CEST 2006  axel@liljencrantz.se
  * If no completions have been found, use file completion even if command specific completions have disabled file completions. Suggested by MArtin B[_\c3_][_\a4_]hr.

Sun Aug 27 02:52:52 CEST 2006  axel@liljencrantz.se
  * Fix bug reportad by Martin B[_\c3_][_\a4_]hr that causes fish fail when using blocks in pipelines in interactive mode.

Sat Aug 26 04:24:16 CEST 2006  axel@liljencrantz.se
  * Don't use carriage return on initial painting of the prompt

Sat Aug 26 04:19:48 CEST 2006  axel@liljencrantz.se
  * Fix minor memory leak in completion code

Sat Aug 26 03:37:22 CEST 2006  axel@liljencrantz.se
  * Fix bug in completion code reported by Martin B[_\c3_][_\a4_]hr, as well as other bug evident in his bug report.

Fri Aug 25 17:45:45 CEST 2006  axel@liljencrantz.se
  * Minor bugfix for the completions for the complete builtin

Fri Aug 25 17:45:16 CEST 2006  axel@liljencrantz.se
  * Add minor new completion for make command

Thu Aug 24 15:39:04 CEST 2006  axel@liljencrantz.se
  * Allow slicing of command substitution output

Thu Aug 24 15:38:28 CEST 2006  axel@liljencrantz.se
  * Do not mix wide and narrow printf calls on stderr in set_color.c

Thu Aug 24 12:51:46 CEST 2006  axel@liljencrantz.se
  tagged 1.21.11

Thu Aug 24 12:51:29 CEST 2006  axel@liljencrantz.se
  * Bump version number

Thu Aug 24 12:43:54 CEST 2006  axel@liljencrantz.se
  * Use terminfo to look up tab width instead of assuming 8 character tabs when calculating prompt width

Thu Aug 24 12:30:55 CEST 2006  axel@liljencrantz.se
  * Spelling correction in documentation

Thu Aug 24 12:30:14 CEST 2006  axel@liljencrantz.se
  * Fix use og uncasted 0 as null pointer in vararg function. Potential crash bug on 64 bit systems.

Thu Aug 24 02:53:15 CEST 2006  axel@liljencrantz.se
  * Complete --do-complete argument should be optional

Thu Aug 24 02:52:17 CEST 2006  axel@liljencrantz.se
  * Ignore return code of exec_subshell when doing command substitution

Thu Aug 24 02:51:17 CEST 2006  axel@liljencrantz.se
  * Add documentation about new backslash escapes, and correct a broken link in the docs

Thu Aug 24 02:26:09 CEST 2006  axel@liljencrantz.se
  * Add support for \a \f \v escape sequences, and make sup[_\c3_][_\a5_]port for \e standards compliant

Tue Aug 22 16:38:31 CEST 2006  axel@liljencrantz.se
  * Fix incorrect usage of the term subshell when command substitution was meant

Tue Aug 22 15:58:15 CEST 2006  axel@liljencrantz.se
  * Minor tweaks to previous fish_pager patch to fix two bugs

Tue Aug 22 03:24:51 CEST 2006  stew@vireo.org
  * fish_pager_via_stdin

Tue Aug 22 02:52:30 CEST 2006  axel@liljencrantz.se
  * help --help should be same as help help

Tue Aug 22 02:48:53 CEST 2006  axel@liljencrantz.se
  * Work around Doxygen bug in man-file generation

Tue Aug 22 02:48:10 CEST 2006  axel@liljencrantz.se
  * Add horizontal ruler between documentation for builtins and commands

Thu Aug 17 17:50:50 CEST 2006  axel@liljencrantz.se
  * Remove duplicate include

Mon Aug 14 20:14:48 CEST 2006  axel@liljencrantz.se
  * Update french translation, thanks to Xavier Douville

Mon Aug 14 20:11:35 CEST 2006  axel@liljencrantz.se
  * Add a message to stdout in the help function describing where the help went if help opens an external browser window

Mon Aug 14 14:05:40 CEST 2006  axel@liljencrantz.se
  * Documentation correction

Mon Aug 14 01:05:02 CEST 2006  axel@liljencrantz.se
  * Check return value of del_curterm

Sun Aug 13 05:08:53 CEST 2006  netocrat@dodo.com.au
  * Change null function to #define for del_curterm() - solves build problem on some BSDs.

Sun Aug 13 05:08:06 CEST 2006  netocrat@dodo.com.au
  * Switch back to using -D for _POSIX_C_SOURCE and _XOPEN_SOURCE - solves build problem on Solaris 10

Sun Aug 13 03:46:02 CEST 2006  axel@liljencrantz.se
  * Update fish_pager interface, first try - this is the second patch to redo the fish_pager interface. Both this one and the previous one breaks the display of completions

Sun Aug 13 03:38:03 CEST 2006  axel@liljencrantz.se
  * Add support for buffering of input to a command, the first step to piping data to fish_pager instead of using the argument list

Fri Aug 11 16:55:28 CEST 2006  axel@liljencrantz.se
  * Make fish pager use non-universal variables as well for getting it's colors

Fri Aug 11 16:29:30 CEST 2006  axel@liljencrantz.se
  * Fix missing quote in configure.ac

Fri Aug 11 15:48:59 CEST 2006  axel@liljencrantz.se
  * Switch to using AC_DEFINE instead of using -D switces in CFLAGS for a few macros that don't need to be passed through the Makefile

Fri Aug 11 12:10:05 CEST 2006  axel@liljencrantz.se
  * Remove unneded include in Autoconf test. Thanks to Netocrat.

Fri Aug 11 12:07:56 CEST 2006  axel@liljencrantz.se
  * Always redefine del_curterm to be a no-op under bsd, seeme the double free bug can surface under ncurses as well. Thanks to Netocrat.

Fri Aug 11 11:30:51 CEST 2006  axel@liljencrantz.se
  * Comment away currently unused function to avoid warning. Thanks to Netocrat.

Fri Aug 11 11:26:39 CEST 2006  axel@liljencrantz.se
  * Do not call closedir on directories that failed to open. Avoids crash bug. Thanks to Netocrat.

Fri Aug 11 11:26:03 CEST 2006  axel@liljencrantz.se
  * Remove non-unicode character in documentation file. Thanks to Netocrat.

Fri Aug 11 03:18:35 CEST 2006  axel@liljencrantz.se
  * Rearrange includes so that config.h is always the first file to be included

Thu Aug 10 22:37:56 CEST 2006  axel@liljencrantz.se
  * Add two BSD-specific preprocessor macros to get additional prototypes. Thanks to Netocrat.

Thu Aug 10 21:49:51 CEST 2006  axel@liljencrantz.se
  * Do not use ! to negate shellscript results, this is unsupported on Solaris. Thanks to Netocrat.

Thu Aug 10 21:33:38 CEST 2006  axel@liljencrantz.se
  * Remove Solaris circular dependency in init file. Thanks to Netocrat.

Thu Aug 10 21:23:59 CEST 2006  axel@liljencrantz.se
  * Remove unneded includes in autoconf tesst and add possibly needed one. Thanks to Netocrat.

Thu Aug 10 21:02:46 CEST 2006  axel@liljencrantz.se
  * Added missing include in input_common.c, needed under FreeBSD. Thanks to Netocrat.

Thu Aug 10 20:52:44 CEST 2006  axel@liljencrantz.se
  * Added missing line continuation. Thanks to Netocrat.

Thu Aug 10 01:11:55 CEST 2006  axel@liljencrantz.se
  * Avoid circular dependency in ls autoload. Second try.

Thu Aug 10 01:07:49 CEST 2006  axel@liljencrantz.se
  * Add missing files to make uninstall

Thu Aug 10 00:53:38 CEST 2006  axel@liljencrantz.se
  * More header/autoconf fixes, improve winsize checking

Thu Aug 10 00:52:30 CEST 2006  axel@liljencrantz.se
  * Fix typo in seq.in

Thu Aug 10 00:34:52 CEST 2006  axel@liljencrantz.se
  * Use string.h not strings.h in all cases

Thu Aug 10 00:26:56 CEST 2006  axel@liljencrantz.se
  * Add SIGUSR1 as fallback if SIGIO doesn't exist

Thu Aug 10 00:26:05 CEST 2006  axel@liljencrantz.se
  * Add missing sys/select.h header needed on FreeBSD

Wed Aug  9 13:40:48 CEST 2006  axel@liljencrantz.se
  * A new faq question and some minor documentation edits

Wed Aug  9 13:36:14 CEST 2006  axel@liljencrantz.se
  * Minor edits to the spec file

Wed Aug  9 13:35:54 CEST 2006  axel@liljencrantz.se
  * Add a few missing dependencies for the spec file

Wed Aug  9 13:34:24 CEST 2006  axel@liljencrantz.se
  * Only write out titlebar message if it is of non-zero length

Tue Aug  1 15:57:09 CEST 2006  axel@liljencrantz.se
  * Tweak spec file as per suggestions from Michael Schwendt

Tue Aug  1 03:31:23 CEST 2006  axel@liljencrantz.se
  * Add posix macros in configure.ac, not in Makefile, so that they will be honored by the configure tests

Tue Aug  1 03:30:18 CEST 2006  axel@liljencrantz.se
  * Add __EXTENSIONS__ macro when under Solaris

Tue Aug  1 02:57:36 CEST 2006  axel@liljencrantz.se
  * The xpg4-path was mistyped. Fix it.

Tue Aug  1 02:52:46 CEST 2006  axel@liljencrantz.se
  * Fix minor nit in comment

Tue Aug  1 02:46:48 CEST 2006  axel@liljencrantz.se
  * Fix another typo in common.c

Tue Aug  1 02:35:56 CEST 2006  axel@liljencrantz.se
  * Fix typo in common.c

Tue Aug  1 02:25:50 CEST 2006  axel@liljencrantz.se
  * Fix typo in signal.c

Tue Aug  1 02:24:11 CEST 2006  axel@liljencrantz.se
  * Use S_IS* macros instead of S_IF*, which are non-posix

Mon Jul 31 23:29:54 CEST 2006  axel@liljencrantz.se
  * Changes to the fish spec file, written by Paul Howarth. Fixes spelling and broken dependencies.

Mon Jul 31 18:56:26 CEST 2006  axel@liljencrantz.se
  * Make grep call in seq fallback implementation Posix compliant

Mon Jul 31 18:55:11 CEST 2006  axel@liljencrantz.se
  * Move over a few more objects to the new array_list functions

Mon Jul 31 18:48:16 CEST 2006  axel@liljencrantz.se
  * Fix bug when using same array index more than once in a single array expansion, e.g. $PATH[1 1 1]

Mon Jul 31 18:35:48 CEST 2006  axel@liljencrantz.se
  * Use the new array_list functions in exec.c

Mon Jul 31 18:31:19 CEST 2006  axel@liljencrantz.se
  * Use maxi not max in test suite when comaparing ints

Mon Jul 31 18:30:27 CEST 2006  axel@liljencrantz.se
  * Minor documentation additions

Mon Jul 31 18:25:50 CEST 2006  axel@liljencrantz.se
  * Drup minf/maxf from util.h, they are unused

Mon Jul 31 18:23:39 CEST 2006  axel@liljencrantz.se
  * Use the new array_list functions in builtin.c

Mon Jul 31 18:17:19 CEST 2006  axel@liljencrantz.se
  * Use the new array_list functions in builtin_set.c

Mon Jul 31 18:16:41 CEST 2006  axel@liljencrantz.se
  * Add long and function pointer versions of all array_list_t calls

Mon Jul 31 17:32:13 CEST 2006  axel@liljencrantz.se
  * Add _POSIX_C_SOURCE macro, to enable Posix mode of various headers. Should help under Solaris. Thanks to Netocrat for the suggestion.

Mon Jul 31 02:48:04 CEST 2006  axel@liljencrantz.se
  * Always check strings sent to tparm

Mon Jul 31 02:33:54 CEST 2006  axel@liljencrantz.se
  * Make calls to grep Posix compliant

Mon Jul 31 02:33:11 CEST 2006  axel@liljencrantz.se
  * Make PATH validation only run for interactive shells to avoid infinite loop

Mon Jul 31 02:31:11 CEST 2006  axel@liljencrantz.se
  * Add Solaris xpg4 PATH test

Sun Jul 30 23:05:06 CEST 2006  axel@liljencrantz.se
  * Make sure install-sh is executable in the Makefile

Sun Jul 30 22:59:41 CEST 2006  axel@liljencrantz.se
  * Provide fallback of killpg function

Sun Jul 30 22:55:44 CEST 2006  axel@liljencrantz.se
  * Provide fallback is struct winsize is not defined

Sun Jul 30 22:26:59 CEST 2006  axel@liljencrantz.se
  * Include siginfo.h in all signal-using files to make Solaris happy. Thanks to Netocrat for the report and a description of the solution.

Sat Jul 29 19:33:32 CEST 2006  axel@liljencrantz.se
  tagged 1.21.10

Sat Jul 29 19:32:43 CEST 2006  axel@liljencrantz.se
  * Bump version number

Sat Jul 29 19:31:59 CEST 2006  axel@liljencrantz.se
  * Minor edit of comments

Sat Jul 29 19:31:23 CEST 2006  axel@liljencrantz.se
  * Minor documentation edits

Fri Jul 28 15:52:03 CEST 2006  axel@liljencrantz.se
  * Fix minor bug causing spurious warnings on commandline. Thanks to Netocrat for the bugreport.

Fri Jul 28 15:17:56 CEST 2006  axel@liljencrantz.se
  * Fix for recursive autoload loop on ls

Fri Jul 28 15:07:15 CEST 2006  axel@liljencrantz.se
  * Reorder switches to msgfmt in makefile to make Solaris msgfmt happy. Thansk to Netocrat for the report.

Fri Jul 28 14:54:21 CEST 2006  axel@liljencrantz.se
  * Use unsigned long instead of uint in string hashing algorithm. Portability fix, suggested by Netocrat.

Fri Jul 28 14:50:57 CEST 2006  axel@liljencrantz.se
  * Include unistd.h and stropts.h in common.c to fix Solaris problems reported by Netocrat

Mon Jul 24 14:48:45 CEST 2006  axel@liljencrantz.se
  * Minor fix to code for detecting help switches to builtins

Mon Jul 24 14:46:29 CEST 2006  axel@liljencrantz.se
  * Fix rare crash bug in highlighting code

Sun Jul 23 22:52:03 CEST 2006  axel@liljencrantz.se
  * Some minor steps towards making vi-mode work

Sun Jul 23 19:04:02 CEST 2006  axel@liljencrantz.se
  * Add missing Substitutions of prefix and optbindirs variables in share/fish.in

Sat Jul 22 12:16:51 CEST 2006  axel@liljencrantz.se
  * Drop the init and shutdown function for the completion code

Sat Jul 22 12:15:49 CEST 2006  axel@liljencrantz.se
  * Plug very small memory leak

Sat Jul 22 11:55:07 CEST 2006  axel@liljencrantz.se
  * Make sure that the builtin source command is used when reading the init files, and not an overloaded function

Sat Jul 22 11:53:26 CEST 2006  axel@liljencrantz.se
  * Automatically sort manuals for builtins and commands when generating manual

Sat Jul 22 00:39:09 CEST 2006  axel@liljencrantz.se
  * Add PACKAGE_TARNAME variable to makefile to make Debian packages happy

Fri Jul 21 03:08:31 CEST 2006  axel@liljencrantz.se
  * Minor code edits. Use CHECK instead of a few error messages, add a few comments, etc.

Fri Jul 21 01:33:19 CEST 2006  axel@liljencrantz.se
  * Make error message for ${foo}-type errors nicer

Thu Jul 20 15:33:19 CEST 2006  axel@liljencrantz.se
  * Minor documentation tweaks and additions

Thu Jul 20 15:31:25 CEST 2006  axel@liljencrantz.se
  * Add a few casts to avoid warnings in fallback gettext and friends

Thu Jul 20 15:30:45 CEST 2006  axel@liljencrantz.se
  * Update dependencies - This is needed to make fish build, since old dependencies include removed files. Thansk to Netocreat for the notice.

Thu Jul 20 15:28:50 CEST 2006  axel@liljencrantz.se
  * Move over fish_interactive.fish to be created by the Makefile, not by Autoconf

Thu Jul 20 15:02:46 CEST 2006  axel@liljencrantz.se
  * Minor duplicate code removal

Thu Jul 20 15:01:48 CEST 2006  axel@liljencrantz.se
  * Make sure autoconf tells the Makefile whether gettext is installed

Thu Jul 20 01:22:26 CEST 2006  axel@liljencrantz.se
  * Print help message when the case builtin is misused

Thu Jul 20 01:20:20 CEST 2006  axel@liljencrantz.se
  * Improve error message for attempts to use Posix variable assignments

Thu Jul 20 01:11:49 CEST 2006  axel@liljencrantz.se
  * Move a few pieces of implementation-specific kludges related to different gettext implementations out of env.c and into fallback.c

Thu Jul 20 00:55:49 CEST 2006  axel@liljencrantz.se
  * Remove translate.c. The gettext fallback functionality is moved to fallback.c, the wide wrapper is moved to wutil.c

Thu Jul 20 00:44:33 CEST 2006  axel@liljencrantz.se
  * Fix temporarily broken fish_function_path during startup

Wed Jul 19 18:58:03 CEST 2006  axel@liljencrantz.se
  * Fix for the autoconf-changes in the porevious patch. The LOCALEDIR macro should be a regular string, not a wide string

Wed Jul 19 16:41:04 CEST 2006  axel@liljencrantz.se
  * Set value of install path macros like DATADIR from the Makefile, not automatically by Autoconf using AC_DEFINE. That way we get correct expansion of ${prefix} and friends to their install-time value. This fixes a bug reported by James Vega.

Tue Jul 18 19:37:11 CEST 2006  axel@liljencrantz.se
  * Do not test universal variable functionality since it relies on fish to be installed

Tue Jul 18 19:35:47 CEST 2006  axel@liljencrantz.se
  * Make sure no error message is printed when failing to start fishd

Tue Jul 18 19:27:56 CEST 2006  axel@liljencrantz.se
  * Make sure to only close fishd socket if it is open on shutdown

Tue Jul 18 19:27:02 CEST 2006  axel@liljencrantz.se
  * Fix crash bug in fish_tests when fishd is unavailable

Tue Jul 18 18:41:55 CEST 2006  axel@liljencrantz.se
  * Initialize etc/fish and share/fish from the Makefile, not automatically by Autoconf. That way we get correct expansion of ${prefix} and friends to their install-time value. This fixes a bug reported by James Vega.

Mon Jul 17 15:42:17 CEST 2006  axel@liljencrantz.se
  * Two minor build fixes, thanks to Hiroshi Sakurai

Mon Jul 17 00:53:29 CEST 2006  axel@liljencrantz.se
  * Don't check for presence of Doxygen in the configure script, since it's no longer needed to build fish

Sat Jul 15 15:38:25 CEST 2006  axel@liljencrantz.se
  tagged 1.21.9

Sat Jul 15 15:38:12 CEST 2006  axel@liljencrantz.se
  * Bump version number to 1.21.9

Sat Jul 15 14:40:05 CEST 2006  axel@liljencrantz.se
  * Fixes for the tokenizer to correctly return error values on invalid input

Sat Jul 15 14:39:03 CEST 2006  axel@liljencrantz.se
  * Add fix for build error in fish_tests

Wed Jul 12 19:46:55 CEST 2006  axel@liljencrantz.se
  * Add -q/--query switch to the functions builtin. Works just like the same switch to set does. Useful for checking for the existance of functions in a script

Wed Jul 12 19:31:41 CEST 2006  axel@liljencrantz.se
  * The begin builtin should not alter the exit status

Wed Jul 12 16:22:42 CEST 2006  axel@liljencrantz.se
  * Overhaul of the script autoloader. This should make sure that old scripts are unloaded and new scripts are loaded when the fish_function_path and fish_complete_path variables change

Tue Jul 11 22:02:05 CEST 2006  axel@liljencrantz.se
  * Add french translation (Thanks to Xavier Douville)

Tue Jul 11 00:39:56 CEST 2006  axel@liljencrantz.se
  * Minor code tweaks: A few extra input validations, spelling corrections, etc

Tue Jul 11 00:38:48 CEST 2006  axel@liljencrantz.se
  * Make sure that the / is only printed once in prompt_pwd function when cwd is root

Mon Jul 10 18:12:29 CEST 2006  axel@liljencrantz.se
  * Update of the Swedish translation

Mon Jul 10 01:55:18 CEST 2006  axel@liljencrantz.se
  * Fix bug in completions for the cd builtin that caused missed completions when using relative search paths and CDPATH. Also move the completions function to it's own file.

Mon Jul 10 01:32:49 CEST 2006  axel@liljencrantz.se
  * Fix use of hardcoded path in completions for the help completions causing missing completions and warnings

Fri Jul  7 17:36:38 CEST 2006  axel@liljencrantz.se
  * Fix bug where fish refuses to complete inside som command substitutions

Fri Jul  7 17:35:39 CEST 2006  axel@liljencrantz.se
  * Fix psub deadlocks by once again considering a job as completed whenever the last process in the pipeline is dead

Mon Jul  3 12:46:47 CEST 2006  axel@liljencrantz.se
  * Fix two crash bugs in highlighter/parser for malformed lines (Thanks to Netocrat for the bug report)

Mon Jul  3 12:39:57 CEST 2006  axel@liljencrantz.se
  * Switch from die_mem function to DIE_MEM macro in order to be able to give a line and file for the OOM message

Mon Jul  3 12:35:37 CEST 2006  axel@liljencrantz.se
  * Fix spelling error (Thanks to Netocrat)

Thu Jun 22 02:12:28 CEST 2006  axel@liljencrantz.se
  * Fix infinite loop when trying to init history without setting history mode name first

Thu Jun 22 02:11:23 CEST 2006  axel@liljencrantz.se
  * Add setenv shellscript function for csh compatibility

Wed Jun 21 16:15:44 CEST 2006  axel@liljencrantz.se
  * Implement fallback version of futimes instead of testing for it's existance in reader.c

Wed Jun 21 16:03:44 CEST 2006  axel@liljencrantz.se
  * Use the intern function to share the strings used to describe various key bindings. This saves both performance, code size and memory use, but there is a pathological case where the user continually changes key bindings, resulting in more allocated memory than needed.

Wed Jun 21 12:07:46 CEST 2006  axel@liljencrantz.se
  * Even more input validation

Wed Jun 21 11:58:38 CEST 2006  axel@liljencrantz.se
  * Remove common_init and common_destroy. Use halloc instead.

Wed Jun 21 11:54:30 CEST 2006  axel@liljencrantz.se
  * Check exit status of close and fclose in a few extra places

Wed Jun 21 02:48:36 CEST 2006  axel@liljencrantz.se
  * Update input validation. Always use the magic CHECK macro, which prints an error message including instructions on how to report this problem.

Tue Jun 20 23:20:16 CEST 2006  axel@liljencrantz.se
  * Various code polish, including minor rearangement of builtin code to export fewer functions, a few additional input checks, and removal of the unneeded, exported error_max variable

Tue Jun 20 23:16:21 CEST 2006  axel@liljencrantz.se
  * Make sure failed tilde expansion doesn't result in evaluating null strings in highlighting code

Tue Jun 20 02:50:10 CEST 2006  axel@liljencrantz.se
  * Large number of sourcecode comment edits, and some minor code polish

Sat Jun 17 16:26:52 CEST 2006  axel@liljencrantz.se
  * Make braces expand right-to-left, to make syntax more consistent

Sat Jun 17 16:14:26 CEST 2006  axel@liljencrantz.se
  * The syntax for 'function --on-job-exit caller' was flat out wrong in the docs. Fixed.

Sat Jun 17 16:04:06 CEST 2006  axel@liljencrantz.se
  * Write commant at beginning of .fishd file mentioning that the file should not be edited

Sat Jun 17 15:11:45 CEST 2006  axel@liljencrantz.se
  * Update function wrapper for cd builtin, make sure a local variable is used

Sat Jun 17 15:10:36 CEST 2006  axel@liljencrantz.se
  * Update rpm spec file, doxygen is no longer rewuired at build time

Sat Jun 17 15:07:08 CEST 2006  axel@liljencrantz.se
  * Documentation updates. Fixes a few formating bugs, adds various minor missing api documentation, fixes a few typos. Also fixes a few tiny code issues, mostly missing consts, etc

Sat Jun 17 12:41:28 CEST 2006  axel@liljencrantz.se
  * Fix bugs in the highlighting code related to detection and display of non-existing paths to the cd builtin

Fri Jun 16 17:18:48 CEST 2006  axel@liljencrantz.se
  * Fix a bug in the function wrapper around the 'cd' builtin that caused cd to sometimes return with a non-zero exit status even though the command did not fail 

Fri Jun 16 14:56:16 CEST 2006  axel@liljencrantz.se
  * Make the validator show the help for a block command missing an 'end'

Thu Jun 15 18:03:27 CEST 2006  axel@liljencrantz.se
  * Remove tiny and unlikely memory leak

Thu Jun 15 17:24:19 CEST 2006  axel@liljencrantz.se
  * Include fallback functions in set_color command

Thu Jun 15 17:23:06 CEST 2006  axel@liljencrantz.se
  * The license agreement int the docs explicitly state GPL v2, while main.c mentions GPL v2 or later. Removed the latter to avoid ambiguity.

Thu Jun 15 15:52:00 CEST 2006  axel@liljencrantz.se
  * Slightly improve build system - dont link in ncurses into mimedb or set_color

Thu Jun 15 15:50:23 CEST 2006  axel@liljencrantz.se
  * Slightly improve accuracy of calculations of prompt width

Thu Jun 15 15:49:15 CEST 2006  axel@liljencrantz.se
  * Update the set_color command: Add underline support, make the command a bit more rubust to missing ferminal features, and update documentation and completions

Thu Jun 15 13:05:39 CEST 2006  axel@liljencrantz.se
  * Add entry about changing shell to the FAQ

Thu Jun 15 12:59:19 CEST 2006  axel@liljencrantz.se
  * Fix highlighting of search matches, broken by earlier patch for underlining potential paths

Thu Jun 15 12:53:15 CEST 2006  axel@liljencrantz.se
  * Provide fallback implementation of lrand48_r

Thu Jun 15 12:37:06 CEST 2006  axel@liljencrantz.se
  * Minor comment edits, reindentation and other code formating changes

Thu Jun 15 12:36:46 CEST 2006  axel@liljencrantz.se
  * Minor comment edits, reindentation and other code formating changes

Thu Jun 15 12:35:56 CEST 2006  axel@liljencrantz.se
  * Give the 'random' builtin it's own seed state, to keep other users of random data from creating a generating a non-deterministic sequence of numbers even if the user manually seeds

Thu Jun 15 03:11:54 CEST 2006  axel@liljencrantz.se
  * Check the return value of the unescape call at all places

Thu Jun 15 03:00:38 CEST 2006  axel@liljencrantz.se
  * Highlight invalid directories red for the cd builtin

Thu Jun 15 02:59:31 CEST 2006  axel@liljencrantz.se
  * Fix segfault caused by a backslash followed by a null inside single quotes

Wed Jun 14 16:22:41 CEST 2006  axel@liljencrantz.se
  * Set default highligting for valid paths

Wed Jun 14 15:22:40 CEST 2006  axel@liljencrantz.se
  * Add support for hishlighting potentially valid paths - default behaviour is to underline them

Wed Jun 14 01:40:36 CEST 2006  axel@liljencrantz.se
  * Minor typo in configure script

Tue Jun 13 19:23:37 CEST 2006  axel@liljencrantz.se
  * Remove unused variable, and make a few variables static

Tue Jun 13 19:22:51 CEST 2006  axel@liljencrantz.se
  * Use variable arrays if compiler supports C99, this saves a small amount of memory

Tue Jun 13 18:30:09 CEST 2006  axel@liljencrantz.se
  * Add more emacs keymappings (Thansk stew for the patch)

Tue Jun 13 17:44:09 CEST 2006  axel@liljencrantz.se
  * Minor documentation edits for mimedb and fishd

Tue Jun 13 17:41:26 CEST 2006  axel@liljencrantz.se
  * Change name of fishd log file to be in line with name of socket file

Tue Jun 13 17:39:40 CEST 2006  axel@liljencrantz.se
  * Decrease verbosity of fishd

Tue Jun 13 17:22:24 CEST 2006  axel@liljencrantz.se
  * Fix bug in help builtin that caused fish to show index page instead of command-specific help

Tue Jun 13 16:48:07 CEST 2006  axel@liljencrantz.se
  * Add completions for the which command

Tue Jun 13 15:43:28 CEST 2006  axel@liljencrantz.se
  * Major restructuring of the buildsystem, meaning that the documentation doesn't needlessly rebuild itself, and the size of the fish binary drops slightly

Mon Jun 12 23:47:42 CEST 2006  axel@liljencrantz.se
  * Drop most 'const's from function prototypes

Mon Jun 12 22:54:55 CEST 2006  axel@liljencrantz.se
  * Minor updates to swedish translations

Mon Jun 12 22:54:38 CEST 2006  axel@liljencrantz.se
  * Minor code edits

Mon Jun 12 22:33:28 CEST 2006  axel@liljencrantz.se
  * Minor addition for completions to the patch command

Mon Jun 12 18:51:37 CEST 2006  axel@liljencrantz.se
  * Do not change status when the 'exit' builtin is called with no argument

Mon Jun 12 18:48:54 CEST 2006  axel@liljencrantz.se
  * Do not change status when the 'return' builtin is called with no argument

Mon Jun 12 17:57:43 CEST 2006  axel@liljencrantz.se
  * Minor update to english 'translation'

Mon Jun 12 16:12:33 CEST 2006  axel@liljencrantz.se
  * Use halloc in a few more places, including the highlight code

Mon Jun 12 13:07:43 CEST 2006  axel@liljencrantz.se
  * Include user documentation with standard tarballs - this means you no longer need Doxygen to build fish, and should make life easier for packagers

Fri Jun  9 01:58:11 CEST 2006  axel@liljencrantz.se
  * Documentation updates, mostly corrections and cla<rifications to the docs for a few builtins

Fri Jun  9 01:57:19 CEST 2006  axel@liljencrantz.se
  * Minor code edits - add a few braces, a few minor safety checks, etc.

Fri Jun  9 01:55:57 CEST 2006  axel@liljencrantz.se
  * Edits to source code comments

Fri Jun  9 01:52:12 CEST 2006  axel@liljencrantz.se
  * Add more function input validation checks

Thu Jun  8 02:01:45 CEST 2006  axel@liljencrantz.se
  * Do input validation in various functions in function.c and complete.c

Thu Jun  8 01:56:01 CEST 2006  axel@liljencrantz.se
  * Make sure that empty completion descriptions aren't translated to the gettext version information

Thu Jun  8 01:33:12 CEST 2006  axel@liljencrantz.se
  * Remove period from end of completion descriptions for telnet command

Thu Jun  8 01:32:06 CEST 2006  axel@liljencrantz.se
  * Fix off-by-one error when reporting line number of function call in stack traces

Mon Jun  5 15:31:33 CEST 2006  axel@liljencrantz.se
  * Updates, bugfixing and minor edits on the test suite

Mon Jun  5 12:04:34 CEST 2006  axel@liljencrantz.se
  * Fix some typos and bad wording in hte faq

Mon Jun  5 02:42:01 CEST 2006  axel@liljencrantz.se
  * Fix minor typos in code comments

Sun Jun  4 22:14:51 CEST 2006  axel@liljencrantz.se
  * Make it possible to specify scope of a variable to be erased or tested. Also make sure set exits with a non-zero exit status when erasing fails.

Sun Jun  4 11:42:03 CEST 2006  axel@liljencrantz.se
  * Add documentation about support for negative indices

Sun Jun  4 11:35:32 CEST 2006  axel@liljencrantz.se
  * Add support for negative indices in arrays. Negative indices count from the end of an array, so -4 is the fourth index from the end

Sun Jun  4 01:15:17 CEST 2006  axel@liljencrantz.se
  * Many minor edits and clarifications to the documentation, including comments about the exit status of a few commands

Sun Jun  4 00:38:00 CEST 2006  axel@liljencrantz.se
  * Swedish translation updates

Sun Jun  4 00:37:31 CEST 2006  axel@liljencrantz.se
  * Add english 'translation', which does nothing except change the type of quotes used

Sun Jun  4 00:35:33 CEST 2006  axel@liljencrantz.se
  * Minor code tweaks, including making sure builtins are not run if an io redirection issue occurs and removing a lot commented debug code

Sun Jun  4 00:32:28 CEST 2006  axel@liljencrantz.se
  * Minor spelling fixes

Sun Jun  4 00:31:50 CEST 2006  axel@liljencrantz.se
  * Add missing help message for a few errors in the set builtin

Fri Jun  2 04:17:57 CEST 2006  axel@liljencrantz.se
  * Drop validation of function code on new function definition - the code has already been validated

Fri Jun  2 04:15:17 CEST 2006  axel@liljencrantz.se
  * Make sure code validation error output for e.g. the complete builtin can be redirected, and that it has the prefix 'complete', not 'fish'

Fri Jun  2 01:04:38 CEST 2006  axel@liljencrantz.se
  * Highlight invalid use of variable expansion operator

Fri Jun  2 00:42:17 CEST 2006  axel@liljencrantz.se
  * Minor code cleanup

Fri Jun  2 00:23:00 CEST 2006  axel@liljencrantz.se
  * Only hide /private directories in pwd function under OS X

Fri Jun  2 00:18:08 CEST 2006  axel@liljencrantz.se
  * Add completions for 'cp'.

Thu Jun  1 21:42:31 CEST 2006  axel@liljencrantz.se
  * Fix some minor 64-bit uncleanlieness - thanks to James Anthill

Wed May 31 17:45:43 CEST 2006  axel@liljencrantz.se
  tagged 1.21.8

Wed May 31 17:45:29 CEST 2006  axel@liljencrantz.se
  * Bump version number

Wed May 31 17:44:56 CEST 2006  axel@liljencrantz.se
  * Drop debug message

Wed May 31 17:44:28 CEST 2006  axel@liljencrantz.se
  * Revert addition of the seq file to repo - only seq.in should be there. Also apply earlier fix to seq.in

Wed May 31 17:41:47 CEST 2006  axel@liljencrantz.se
  * Make validation code show offening parameter on perameter expansion problems

Wed May 31 17:40:28 CEST 2006  axel@liljencrantz.se
  * Increase size of buffer for parser error string. Should change this to a dynamically allocated string.

Tue May 30 11:14:17 CEST 2006  axel@liljencrantz.se
  * Minor change to the strings to a printf comman, since it seems to work differently under different platforms

Tue May 30 02:35:35 CEST 2006  axel@liljencrantz.se
  * Minor code simplifications in highlighting code

Mon May 29 15:52:27 CEST 2006  axel@liljencrantz.se
  * Slightly updated fusermount completions - Thanks to Sean Higgins

Mon May 29 15:46:59 CEST 2006  axel@liljencrantz.se
  * Add highlighting to a few missing escape sequences

Mon May 29 15:46:07 CEST 2006  axel@liljencrantz.se
  * Minor rewordings and additions to the manual

Mon May 29 15:32:39 CEST 2006  axel@liljencrantz.se
  * Check documentation for listing of external commands instead of relying on out of date static lists in various places

Mon May 29 15:12:17 CEST 2006  axel@liljencrantz.se
  * Add missing event trigger when non-universal variable is erased

Mon May 29 15:07:53 CEST 2006  axel@liljencrantz.se
  * Avoid using the pwd command in favour of the $PWD variable, since the pwd command does not seem to work well with fuse

Mon May 29 13:13:42 CEST 2006  axel@liljencrantz.se
  * Rename function expand_variable_array to tokenize_variable_array and move it from expand.c to common.c, since it is used by fish_pager, which should not depend on expand.o

Sun May 28 13:06:30 CEST 2006  axel@liljencrantz.se
  * Fix major memory leak in highlighting code and a minor leak in the parser

Sun May 28 12:54:37 CEST 2006  axel@liljencrantz.se
  * Extend manual section on highlighting colors

Sat May 27 15:49:18 CEST 2006  axel@liljencrantz.se
  * Minor edits

Sat May 27 15:48:59 CEST 2006  axel@liljencrantz.se
  * Update todo list

Sat May 27 15:47:41 CEST 2006  axel@liljencrantz.se
  * Add missing completion for complete builtin

Sat May 27 15:47:23 CEST 2006  axel@liljencrantz.se
  * Minor clarifications for documentation for the set builtin

Sat May 27 15:40:26 CEST 2006  axel@liljencrantz.se
  * Add highlighting of a few missing escapes

Sat May 27 15:39:30 CEST 2006  axel@liljencrantz.se
  * Add support for bold highligting

Sat May 27 14:35:16 CEST 2006  axel@liljencrantz.se
  * Add support for highligting qutes in a special color - defaults to blue

Sat May 27 13:14:56 CEST 2006  axel@liljencrantz.se
  * Use ahead of time validator to make sure that commands entered on the command line are valid

Sat May 27 02:56:18 CEST 2006  axel@liljencrantz.se
  * Add Parenthesis and braces to list of highlighted operators, and do minor code cleanup

Fri May 26 18:46:38 CEST 2006  axel@liljencrantz.se
  * Add support for highlighting operators and escaped sequences

Fri May 26 16:55:51 CEST 2006  axel@liljencrantz.se
  * Make sure that getopt flags are only written down once

Fri May 26 14:09:06 CEST 2006  axel@liljencrantz.se
  * Add missing N_.fish file to repo

Fri May 26 14:03:31 CEST 2006  axel@liljencrantz.se
  * Properly exit ca_mode terminal mode on exit

Fri May 26 13:47:22 CEST 2006  axel@liljencrantz.se
  * The fallback seq implementation was missing in the darcs repo, add it and fix a bug in it

Fri May 26 13:38:11 CEST 2006  axel@liljencrantz.se
  * Move jobs builtin to its own file

Fri May 26 13:25:25 CEST 2006  axel@liljencrantz.se
  * Minor code polish for the validation code

Fri May 26 13:24:02 CEST 2006  axel@liljencrantz.se
  * If a help page for a builtin is showed in response to an error, make sure it fits on screen, or only print the synopsis - this patch also contains a huge number of tweaks to where and when the help pages are printed

Fri May 26 13:19:34 CEST 2006  axel@liljencrantz.se
  * Bugfix for previous patch to simplify configuration checks for ulimit builtin

Mon May 22 00:32:13 CEST 2006  axel@liljencrantz.se
  * Allow tab completion of empty command names

Mon May 22 00:16:04 CEST 2006  axel@liljencrantz.se
  * Add validator check to make sure the second argument to 'for' is 'in'

Sun May 21 23:46:01 CEST 2006  axel@liljencrantz.se
  * Rewrite small amount of code in parameter expansion to use wide character strings, not narrow

Sun May 21 21:27:05 CEST 2006  axel@liljencrantz.se
  * Fix bugs detected by the ahead-of-time syntax checking in the complete builtin

Sun May 21 21:26:30 CEST 2006  axel@liljencrantz.se
  * Use ahead-of-time syntax checker to validate input for complete builtin

Sun May 21 21:25:24 CEST 2006  axel@liljencrantz.se
  * Major update to the ahead-of-time syntax checker

Fri May 19 17:14:43 CEST 2006  axel@liljencrantz.se
  * Simplify code for detecting which macros are defined in sys/resource.h, no configure-time tests are needed

Fri May 19 16:10:42 CEST 2006  axel@liljencrantz.se
  tagged 1.21.7

Fri May 19 16:10:37 CEST 2006  axel@liljencrantz.se
  * Bump version number

Fri May 19 16:10:23 CEST 2006  axel@liljencrantz.se
  * Fix test suite

Fri May 19 16:04:25 CEST 2006  axel@liljencrantz.se
  * Spelling fixes - Thanks Netocrat!

Fri May 19 11:59:48 CEST 2006  axel@liljencrantz.se
  * Define WCHAR_MAX to INT_MAX, not 0x7fffffff if undefined, as per suggestion from Netocrat

Fri May 19 10:58:13 CEST 2006  axel@liljencrantz.se
  * Minor edits to builtin_set.c

Thu May 18 15:37:26 CEST 2006  axel@liljencrantz.se
  * Update the PATH checking code to work in batch mode

Thu May 18 15:00:39 CEST 2006  axel@liljencrantz.se
  * Minor cleanup

Thu May 18 15:00:17 CEST 2006  axel@liljencrantz.se
  * Make fish remove invalid PATH entries on startup, and give a warning about it

Thu May 18 14:59:09 CEST 2006  axel@liljencrantz.se
  * Fix bug that causes fish to elongate the PATH whith directories which are already there

Mon May 15 00:39:03 CEST 2006  axel@liljencrantz.se
  * Remove two minor memory leaks

Mon May 15 00:29:05 CEST 2006  axel@liljencrantz.se
  * Fix bug that caused block level io redirection to break on while loops

Mon May 15 00:27:58 CEST 2006  axel@liljencrantz.se
  * Remove superflous event_signal_listen function, replace all calls to it with event_get

Sun May 14 18:39:36 CEST 2006  axel@liljencrantz.se
  * Minor edits

Sun May 14 15:25:10 CEST 2006  axel@liljencrantz.se
  * Remove some hardcoded values in favour of constants

Sun May 14 12:16:23 CEST 2006  axel@liljencrantz.se
  * Fix the longstanding hang-on-exit bug in eterm, as well as making sure the history is saved when the terminal emulator exits

Sun May 14 11:47:21 CEST 2006  axel@liljencrantz.se
  * Fix broken method for sorting output of builtin commands 'functions', 'set' and others

Sun May 14 11:46:35 CEST 2006  axel@liljencrantz.se
  * Fix output of the functions command, where a single function would sometimes be printed twice

Fri May 12 17:44:47 CEST 2006  axel@liljencrantz.se
  * Remoce C99:ism (Non-constant expression as array size)

Thu May 11 14:26:29 CEST 2006  axel@liljencrantz.se
  * Do not repaint prompt on universal variable events, but add event handler for fish_color_cwd to repiant prompt on change

Thu May 11 13:58:46 CEST 2006  axel@liljencrantz.se
  * Add fallback del_curterm which does nothing, used in preference to BSD curses del_curterm, which seems to do a double-free

Thu May 11 13:57:58 CEST 2006  axel@liljencrantz.se
  * Do not try to read init files if the cd to the proper directory fails

Wed May 10 15:27:04 CEST 2006  axel@liljencrantz.se
  * Include stdint.h, in fallback.h, since WCHAR_MAX might be defined there and not in wchar.h, as the C standard says - Thanks to Peter Moulder for pointing this one out

Wed May 10 13:56:41 CEST 2006  axel@liljencrantz.se
  * Escape $ character in apropos completions - Thanks to Peter Moulder for pointing this one out

Wed May 10 13:54:31 CEST 2006  axel@liljencrantz.se
  * Add a few NULL checks to the codebase to avoid crashes on minor bugs

Wed May 10 13:53:51 CEST 2006  axel@liljencrantz.se
  * Make sure tokenization errors in eval_args doesn't cause fish to crash while error reporting

Wed May 10 13:52:43 CEST 2006  axel@liljencrantz.se
  * Add missing quote escape to ls completions

Tue May  9 18:55:01 CEST 2006  axel@liljencrantz.se
  * Allow backslash escape fur null byte

Tue May  9 18:52:07 CEST 2006  axel@liljencrantz.se
  * Fixed use of improper storage type for variable

Tue May  9 18:42:22 CEST 2006  axel@liljencrantz.se
  * Make sure WCHAR_MAX is defined (This is missing on OpenBSD for example)

Tue May  9 18:41:46 CEST 2006  axel@liljencrantz.se
  * Add a little padding in the documentation stylesheet to make it easier to differ between different header levels

Tue May  9 18:40:55 CEST 2006  axel@liljencrantz.se
  * Alter syntax for set builtin so that better slicing operations are possible

Tue May  2 18:29:50 CEST 2006  axel@liljencrantz.se
  * Minor edits of function descriptions, includes, etc.

Tue May  2 18:28:30 CEST 2006  axel@liljencrantz.se
  * Fix segfault when using the 'set' command with no arguments

Fri Apr 28 15:21:37 CEST 2006  axel@liljencrantz.se
  * Make job id numbering start from 1, not 0

Mon Apr 24 17:34:34 CEST 2006  axel@liljencrantz.se
  * Fix two bugs in the jobs builtin, causing freezes and other incorrect behaviours

Sat Apr 22 12:10:40 CEST 2006  axel@liljencrantz.se
  tagged 1.21.6

Sat Apr 22 12:10:24 CEST 2006  axel@liljencrantz.se
  * Bump version number

Sat Apr 22 12:06:30 CEST 2006  axel@liljencrantz.se
  * Tweaks to a few error messages (Thanks to Philip Ganchev)

Fri Apr 21 17:05:58 CEST 2006  axel@liljencrantz.se
  * Change setup to avoid invalid directories and warnings, also revert directory checking for fish_*_path, it makes sense to add non-empty directories to these

Fri Apr 21 16:29:39 CEST 2006  axel@liljencrantz.se
  * Add more descriptive error messages when trying to use variables in command names

Fri Apr 21 10:35:29 CEST 2006  axel@liljencrantz.se
  * Expand the switch/case documentation

Thu Apr 20 20:35:02 CEST 2006  axel@liljencrantz.se
  * If PATH is unset, use a default value

Thu Apr 20 20:29:44 CEST 2006  axel@liljencrantz.se
  * Only allow real directories in PATH, CDPATH, etc. If user tries to use ':' instead of arrays, give a friendly pointer on how to use arrays

Thu Apr 20 17:02:06 CEST 2006  axel@liljencrantz.se
  * Minor comment and documentation edits

Thu Apr 20 17:01:24 CEST 2006  axel@liljencrantz.se
  * Add missing documentation for the read builtin

Thu Apr 20 17:00:28 CEST 2006  axel@liljencrantz.se
  * Minor edits to Makefile. A mistyped .PHONY was corrected, a few stray .o files are now properly removed by make clean, and the dependency list has been updated

Thu Apr 20 01:42:11 CEST 2006  axel@liljencrantz.se
  * Earlier history in non-interactive mode bugfix contained a new bug causing fish to crash if read is not used in non-interactive mode

Wed Apr 19 14:45:21 CEST 2006  axel@liljencrantz.se
  tagged 1.21.5

Wed Apr 19 14:45:13 CEST 2006  axel@liljencrantz.se
  * Bump version number

Wed Apr 19 14:43:15 CEST 2006  axel@liljencrantz.se
  * Minor code cleanup

Wed Apr 19 12:08:30 CEST 2006  axel@liljencrantz.se
  * Make the read builtin accept 0 parameters and drop the input instead of showing an error message

Wed Apr 19 11:58:18 CEST 2006  axel@liljencrantz.se
  * Remove minor memory leak on init

Wed Apr 19 11:56:28 CEST 2006  axel@liljencrantz.se
  * Use libc implementations of wcslcpy and wcslcat if they exist. Move internal implementations to fallback.c.

Wed Apr 19 11:55:02 CEST 2006  axel@liljencrantz.se
  * Always init history on startup, to avoid destorying history multiple times when reading interactively in a non-interactive script

Thu Apr 13 14:18:51 CEST 2006  axel@liljencrantz.se
  * Drop all calls to wcsncpy

Mon Apr 10 18:01:09 CEST 2006  axel@liljencrantz.se
  * Change var_entry_t struct to be ANSI C compliant (Wastes a few hundred bytes)

Mon Apr 10 17:36:26 CEST 2006  axel@liljencrantz.se
  * Add warning when trying to change read-only variable

Mon Apr 10 16:32:01 CEST 2006  axel@liljencrantz.se
  * Fix bug in type command causing type -f to return true even when no file was found

Mon Apr 10 16:19:09 CEST 2006  axel@liljencrantz.se
  * Quote Doxygen test in configure script to remove warning - thanks to Ray Hammond for the report and the fix

Sat Apr  8 16:32:19 CEST 2006  axel@liljencrantz.se
  tagged 1.21.4

Sat Apr  8 16:32:10 CEST 2006  axel@liljencrantz.se
  * Bump version number

Sat Apr  8 16:31:34 CEST 2006  axel@liljencrantz.se
  * Tiny documentation edits

Wed Apr  5 15:29:28 CEST 2006  axel@liljencrantz.se
  * Documentation additions

Wed Apr  5 14:59:56 CEST 2006  axel@liljencrantz.se
  * Mention in the license section that fish includes the glibc wcstok implementation as a fallback for libc implementations lacking wcstok

Wed Apr  5 14:49:18 CEST 2006  axel@liljencrantz.se
  * Do not call autoconf in Makefile, since configure will automatically reconfigure itself if configure.ac has changed

Wed Apr  5 14:48:25 CEST 2006  axel@liljencrantz.se
  * Delete some commented code and tweak a few comments

Tue Apr  4 13:27:22 CEST 2006  axel@liljencrantz.se
  * Do not return to the shell until all processes of a job have finished (Previous behaviour was to return once the last job had exited, and could cause e.g. the jobs builtin to print out the job responsible for repainting the titlebar). Also validate that jobs have not completed in various places where the job list is examined

Mon Apr  3 17:04:22 CEST 2006  axel@liljencrantz.se
  * PPC fix by James Vega, fixing an issue with a variable named putc, which clashed with the putc macro

Sun Apr  2 13:17:31 CEST 2006  axel@liljencrantz.se
  tagged 1.21.3

Sun Apr  2 13:17:21 CEST 2006  axel@liljencrantz.se
  * Release 1.21.3

Sun Apr  2 13:16:59 CEST 2006  axel@liljencrantz.se
  * Swedish translation checkin

Sun Apr  2 13:16:22 CEST 2006  axel@liljencrantz.se
  * Add tar and dist Makefile targets

Sun Apr  2 13:15:25 CEST 2006  axel@liljencrantz.se
  * Add Makefile rules for regenerating Makefile, configure script, etc. when needed

Fri Mar 31 18:56:26 CEST 2006  axel@liljencrantz.se
  * Add missing space in shellscript for building rpms

Fri Mar 31 18:55:54 CEST 2006  axel@liljencrantz.se
  * Telnet completions from Sean Higgins

Wed Mar 29 23:33:30 CEST 2006  axel@liljencrantz.se
  * Change rpm .spec file so it will work both on systems that install X headers in /usr/include and /usr/X11R6/include

Wed Mar 29 23:31:24 CEST 2006  axel@liljencrantz.se
  * Minor edits in configure.ac

Wed Mar 29 23:30:31 CEST 2006  axel@liljencrantz.se
  * Update section about compilers in INSTALL file to reflect that fish is known to work with ICC

Wed Mar 29 23:29:42 CEST 2006  axel@liljencrantz.se
  * Make parser_is_block public

Wed Mar 29 02:25:00 CEST 2006  axel@liljencrantz.se
  * Further improvements to build system wrt detection of compiler and libc features and prototypes, as discussed with James Antill on mailin list

Wed Mar 29 02:14:50 CEST 2006  axel@liljencrantz.se
  * Fix warnings from ICC

Tue Mar 28 20:09:16 CEST 2006  axel@liljencrantz.se
  * Fix wildcarding bug where ? at end of wildcard could match 0 characters

Sun Mar 26 19:52:37 CEST 2006  axel@liljencrantz.se
  * Add hint on how to fix missing rpm-build when trying make rpm

Sun Mar 26 13:23:39 CEST 2006  axel@liljencrantz.se
  * Change how a few pointer are supplied to functions, removes warnings about breaking aliasing rules

Sat Mar 25 17:21:03 CET 2006  axel@liljencrantz.se
  * Third try on correct fallback headers - re-add the checks to only include prototypes for functions which are known to be missing, and also add any compiler directives which may help in adding additional prototypes in the system headers (separate patch)

Sat Mar 25 17:18:48 CET 2006  axel@liljencrantz.se
  * Remove gcc-specific cflags from makefile. Add them in the configure file, but only if the compiler is gcc.

Wed Mar 22 01:17:12 CET 2006  axel@liljencrantz.se
  * Fix completion describtion bug causing filesizes below 1024 bytes to be reported as 0 bytes on big-endian systems

Sat Mar 18 02:04:59 CET 2006  axel@liljencrantz.se
  * Add support for the -n switch to skip execution of any commands

Fri Mar 17 14:23:56 CET 2006  axel@liljencrantz.se
  * Don't call the type function when defining the _ function, as this will cause a recursive dependency

Fri Mar 17 14:22:56 CET 2006  axel@liljencrantz.se
  * Minor code tweak in type function, and add a missing newline to an output string

Tue Mar 14 01:22:16 CET 2006  axel@liljencrantz.se
  * Cleanup after patch conflict

Tue Mar 14 01:21:27 CET 2006  axel@liljencrantz.se
  * Use 'type -f' instead of 'which' to test for presense of command, since the latter does not set the exit status correctly on all platforms

Mon Mar 13 20:07:24 CET 2006  npilon@gmail.com
  * Fish PATH Fix
  Moved PATH detection code to the start of share/fish.

Mon Mar 13 02:44:58 CET 2006  npilon@gmail.com
  * gettext detection fix
  The current method of gettext detection is broken on (at least) OS X and Solaris, where which always returns successfully. This method seems to work on Linux, OS X, and Solaris.

Mon Mar 13 02:44:33 CET 2006  npilon@gmail.com
  * xargs completion fix
  Added a missing -d to a couple of xargs completions.

Mon Mar 13 02:43:33 CET 2006  npilon@gmail.com
  * OS X Compilation Fix
  Tweak to fallback.h to make it compile under OS X. As shipped with fish 1.21.2, this causes a lot of warnings and then dies.

Tue Mar 14 01:09:14 CET 2006  axel@liljencrantz.se
  * Minor comment and documentation changes

Tue Mar 14 01:08:01 CET 2006  axel@liljencrantz.se
  * Move typedef of tputs_arg_t from common.h to fallback.h

Tue Mar 14 01:06:41 CET 2006  axel@liljencrantz.se
  * Make the type builtin not rely on the exit status of the which command

Sat Mar 11 12:56:12 CET 2006  axel@liljencrantz.se
  * Move to end of current token on completion

Fri Mar 10 20:51:00 CET 2006  axel@liljencrantz.se
  * Fix bad return status in read builtin

Fri Mar 10 15:28:08 CET 2006  axel@liljencrantz.se
  * Changes in quoting of backslashes lead to minor bug in awk script for munging command descriptions

Fri Mar 10 14:51:29 CET 2006  axel@liljencrantz.se
  * Add further checks to unicode_start to see that the command exists

Fri Mar 10 14:50:24 CET 2006  axel@liljencrantz.se
  * Add minor comment about error handling to configure.ac

Fri Mar 10 14:43:50 CET 2006  axel@liljencrantz.se
  * Avoid extended regexps in grep, they are not portable

Fri Mar 10 14:43:17 CET 2006  axel@liljencrantz.se
  * Adapt key_reader to changes in buildfiles

Fri Mar 10 14:40:39 CET 2006  axel@liljencrantz.se
  * Move LANG init back to /etc where it belongs. IT was temporarily moved earlier to do some translations at init time, but that is no longer needed

Fri Mar 10 14:38:09 CET 2006  axel@liljencrantz.se
  * Fix bug that causing terminal corruption if a job is put under job control before running in interactive mode. This is fixed by doing more inits at startup (but only slightly more)

Thu Mar  9 13:00:17 CET 2006  axel@liljencrantz.se
  tagged 1.21.2

Thu Mar  9 13:00:08 CET 2006  axel@liljencrantz.se
  * Bump version number

Thu Mar  9 12:59:38 CET 2006  axel@liljencrantz.se
  * Swedish translation additions (incomplete)

Thu Mar  9 12:59:16 CET 2006  axel@liljencrantz.se
  * Update todo list

Thu Mar  9 12:56:38 CET 2006  axel@liljencrantz.se
  * Further comment clarification on -fno-optimize-sibling

Thu Mar  9 12:52:50 CET 2006  axel@liljencrantz.se
  * Remove extra spaces in descriptions for a few completions

Tue Mar  7 00:26:45 CET 2006  axel@liljencrantz.se
  * Add completions for cdrecord, patch and xargs

Tue Mar  7 00:15:04 CET 2006  axel@liljencrantz.se
  * Updates to the swedish translation

Mon Mar  6 19:49:24 CET 2006  axel@liljencrantz.se
  * Drop the -fno-strict-aliasing flag for GCC in Makefile.in, since it dealt with type punning using anonymous unions, which fish doesn't have anymore

Mon Mar  6 02:50:12 CET 2006  axel@liljencrantz.se
  * Add support for \\ in quoted strings

Sun Mar  5 22:27:06 CET 2006  axel@liljencrantz.se
  * Remove fish_tests when doing make clean. This patch has been applied before, but must have gotten lost along the way.

Sun Mar  5 22:26:30 CET 2006  axel@liljencrantz.se
  * Add output message when uninstalling legacy fish version

Sun Mar  5 22:26:01 CET 2006  axel@liljencrantz.se
  * Make the functions for setting default values use gobal values if universal variables are broken

Sun Mar  5 22:25:13 CET 2006  axel@liljencrantz.se
  * Always define prototypes in fallback.h, so that if the prototypes are missing in the libc headers, things will still work

Sun Mar  5 22:24:11 CET 2006  axel@liljencrantz.se
  * Add missing includes

Sun Mar  5 22:23:30 CET 2006  axel@liljencrantz.se
  * Some compiler flag tweaks, and elaborated comments on compiler flags use

Thu Mar  2 14:45:41 CET 2006  axel@liljencrantz.se
  * Re-add accidantally removed HAVE_GETTEXT substitution

Thu Mar  2 14:44:44 CET 2006  axel@liljencrantz.se
  * Automatically rerun autoconf inside configure when needed

Thu Mar  2 12:51:08 CET 2006  axel@liljencrantz.se
  * Add documentation about indirect variable expansion

Thu Mar  2 12:33:14 CET 2006  axel@liljencrantz.se
  * Remove warning for missing history value - it is not a bug

Thu Mar  2 12:31:42 CET 2006  axel@liljencrantz.se
  * Small edit in common.c

Thu Mar  2 12:30:55 CET 2006  axel@liljencrantz.se
  * Add two newlines to german translation

Thu Mar  2 12:30:29 CET 2006  axel@liljencrantz.se
  * Add missing includes in fallback.c

Thu Mar  2 12:29:17 CET 2006  axel@liljencrantz.se
  * Unbreak fwprintf autoconf check cpp symbols

Thu Mar  2 12:28:08 CET 2006  axel@liljencrantz.se
  * Fix various uses of the GNUism of allowing backslash escapes in the second half of a sed regexp substitution

Thu Mar  2 02:47:29 CET 2006  axel@liljencrantz.se
  * Better commenting in configure.ac

Thu Mar  2 02:30:16 CET 2006  axel@liljencrantz.se
  * Add additional -I includes to both CFLAGS and CPPFLAGS

Thu Mar  2 02:28:58 CET 2006  axel@liljencrantz.se
  * Add an autoconf test to verify that fwprintf doesn't crash to avoid non-working fish on DragonFlyBSD

Thu Mar  2 02:26:54 CET 2006  axel@liljencrantz.se
  * Remove correct files when using make distclean

Wed Mar  1 17:53:47 CET 2006  axel@liljencrantz.se
  * Do gettext translation of descriptions just-in-time internally in fish

Wed Mar  1 17:28:21 CET 2006  axel@liljencrantz.se
  * Update to latest config.sub and config.guess versions

Wed Mar  1 02:28:18 CET 2006  axel@liljencrantz.se
  * Use correct objects list when building mimedb

Tue Feb 28 14:17:16 CET 2006  axel@liljencrantz.se
  * Move all fallbacks for standard and not-so-standard unix functions to fallback.c, in order to have a one-stop place to look for such functions

Sat Feb 25 12:30:06 CET 2006  axel@liljencrantz.se
  tagged 1.21.0

Sat Feb 25 12:29:56 CET 2006  axel@liljencrantz.se
  * Bump version number to 1.21.1

Sat Feb 25 12:29:11 CET 2006  axel@liljencrantz.se
  * Fix broken function/completion paths, sent by Sean Higgins

Sat Feb 25 03:22:43 CET 2006  axel@liljencrantz.se
  tagged 1.21.0

Sat Feb 25 03:22:20 CET 2006  axel@liljencrantz.se
  * Bump version number to 1.21.0

Sat Feb 25 03:21:39 CET 2006  axel@liljencrantz.se
  * Various minor edits

Fri Feb 24 19:40:50 CET 2006  axel@liljencrantz.se
  * Fix crash bug on invalid input to fish_pager

Fri Feb 24 14:56:18 CET 2006  axel@liljencrantz.se
  * Add functiopn prototype completions for valgrind --alloc-fn

Fri Feb 24 13:18:29 CET 2006  axel@liljencrantz.se
  * Switch to standard syntax for octal escapes

Fri Feb 24 02:14:46 CET 2006  axel@liljencrantz.se
  * Add an FAQ section to the documentation, and remove a few seactions of the manual containing introductory material on fish which was no longer accurate

Thu Feb 23 16:35:56 CET 2006  axel@liljencrantz.se
  * Update of the makefile on how to handle the directory hierarchy transition

Wed Feb 22 18:51:07 CET 2006  axel@liljencrantz.se
  * Protect against double-free of the process argument list

Wed Feb 22 18:47:16 CET 2006  axel@liljencrantz.se
  * Do not unescape strings from completion callouts. Why was this done before?

Wed Feb 22 16:41:52 CET 2006  axel@liljencrantz.se
  * Add some input validation code to various functions

Wed Feb 22 15:21:37 CET 2006  axel@liljencrantz.se
  * Documentation clarification for the cd builtin

Wed Feb 22 15:20:42 CET 2006  axel@liljencrantz.se
  * Drop unuses error counter for string conversions

Tue Feb 21 16:47:38 CET 2006  axel@liljencrantz.se
  * Allow multiple slashes in a wildcard to be used as a single directory separator

Tue Feb 21 16:37:01 CET 2006  axel@liljencrantz.se
  * Move _ shellscript function to it's own file

Tue Feb 21 15:46:42 CET 2006  axel@liljencrantz.se
  * Fix off-by-one error resulting in truncated output from wcsndup fallback and halloc_wcsndup

Tue Feb 21 11:34:35 CET 2006  axel@liljencrantz.se
  * Fix rare accidental ellipsisizing of strings that will actually fit in fish_pager

Mon Feb 20 14:11:46 CET 2006  axel@liljencrantz.se
  * API documentation, code style cleanup, etc.

Mon Feb 20 14:02:03 CET 2006  axel@liljencrantz.se
  * Move code for setting ls and grep colors to function definition files

Mon Feb 20 13:55:24 CET 2006  axel@liljencrantz.se
  * Make fish continue parsing/executing a file if a command is not found

Mon Feb 20 02:40:36 CET 2006  axel@liljencrantz.se
  * A flag got reversed, causing children to execute even if an IO redirection failed

Sun Feb 19 19:19:32 CET 2006  axel@liljencrantz.se
  * Remove some ancient debug messages, drop two warnings, add some braces and other minor code tweaks

Sun Feb 19 18:01:16 CET 2006  axel@liljencrantz.se
  * Use variable name as index for tables when autoloading functions and completions in order to better handle changes on path variable values

Sun Feb 19 02:54:38 CET 2006  axel@liljencrantz.se
  * Minor edits, additional comments, etc.

Sun Feb 19 02:17:02 CET 2006  axel@liljencrantz.se
  * Fix bug causing fish to occasionally reset line number for error reporting

Sun Feb 19 02:14:32 CET 2006  axel@liljencrantz.se
  * Make sure that command specific completions can handle input strings with wildcards reasonably well

Sat Feb 18 03:43:46 CET 2006  axel@liljencrantz.se
  * Give more detail in an error message

Sat Feb 18 03:41:45 CET 2006  axel@liljencrantz.se
  * Move a few shellscript bits around

Sat Feb 18 03:35:59 CET 2006  axel@liljencrantz.se
  * Change translation file offsets in swedish translation, needed to avoid darcs hang

Sat Feb 18 03:34:32 CET 2006  axel@liljencrantz.se
  * Update build dependencies

Sat Feb 18 03:33:32 CET 2006  axel@liljencrantz.se
  * Use the right sources for generating translation strings

Fri Feb 17 23:32:36 CET 2006  axel@liljencrantz.se
  * Fix broken call to source /fish/fish on startup

Fri Feb 17 23:20:51 CET 2006  axel@liljencrantz.se
  * Add the LGPL license to the license section of the documentation - xdgmime is released under this license. Also add a few rulers, and make some other minor edits to the license section.

Fri Feb 17 17:41:19 CET 2006  axel@liljencrantz.se
  * Allow backslash-escaping of newlines

Fri Feb 17 13:53:41 CET 2006  axel@liljencrantz.se
  * Remove note about problem with ancient fish version

Fri Feb 17 13:53:18 CET 2006  axel@liljencrantz.se
  * Proper ordering on paths for dynamic loading - user stuff should override sysadmin stuff should overrtide default stuff

Fri Feb 17 13:52:05 CET 2006  axel@liljencrantz.se
  * Minor edits in parse_util.c

Fri Feb 17 11:35:40 CET 2006  axel@liljencrantz.se
  * Remove dropped fish_function.fish from Makefile

Fri Feb 17 11:32:14 CET 2006  axel@liljencrantz.se
  * More missing files

Fri Feb 17 11:30:18 CET 2006  axel@liljencrantz.se
  * Add missing files

Fri Feb 17 11:13:39 CET 2006  axel@liljencrantz.se
  * Redo installation file structure, move lots of things to $PREFIX/share/fish

Thu Feb 16 15:21:59 CET 2006  axel@liljencrantz.se
  * Use plgin support in output.c to make buffered pager output - noticably faster printing in many situations

Thu Feb 16 15:21:00 CET 2006  axel@liljencrantz.se
  * Finish support for plugging in a new output function for output.c

Thu Feb 16 14:40:25 CET 2006  axel@liljencrantz.se
  * Move the move_cursor and writeb functions to output.c, and make the output function used by output.c configurable

Thu Feb 16 14:36:32 CET 2006  axel@liljencrantz.se
  * Fix bug in fish causing occasionally incorrect signal handlers

Thu Feb 16 13:16:17 CET 2006  axel@liljencrantz.se
  * Use env to work around path issues on the shebang line for the seq fallback implementation

Wed Feb 15 23:25:13 CET 2006  axel@liljencrantz.se
  * Fix invalid destruction order on exit

Wed Feb 15 19:00:31 CET 2006  axel@liljencrantz.se
  * Add swedish translation of function descriptions

Wed Feb 15 18:59:25 CET 2006  axel@liljencrantz.se
  * Make function descriptions for dynamically loaded functions translatable

Wed Feb 15 03:49:00 CET 2006  axel@liljencrantz.se
  * Minor edits

Wed Feb 15 03:48:22 CET 2006  axel@liljencrantz.se
  * Drop fuction from man completion file, already lives in it's own file

Wed Feb 15 03:46:44 CET 2006  axel@liljencrantz.se
  * Reset list of loaded completion files when running complete_destroy. Otherwise completions will not get propely loaded on language changes.

Wed Feb 15 03:24:15 CET 2006  axel@liljencrantz.se
  * Add missing function prototype in parse_util.h

Wed Feb 15 03:22:28 CET 2006  axel@liljencrantz.se
  * Remove the rather stupid -y option for complete, which loads another commands completions. Mostly the same results can be had with fewer bugs and corner cases vy using the new dynamically loaded functions.

Tue Feb 14 20:57:47 CET 2006  axel@liljencrantz.se
  * Add support for checking current filename and current line nuber to status builtin

Tue Feb 14 20:56:36 CET 2006  axel@liljencrantz.se
  * Add support for sending arguments whenusing the source builtin

Tue Feb 14 20:55:17 CET 2006  axel@liljencrantz.se
  * Fix timestap checking bug when autoloading scripts

Tue Feb 14 12:48:04 CET 2006  axel@liljencrantz.se
  * Add missing translation string

Tue Feb 14 12:47:39 CET 2006  axel@liljencrantz.se
  * Escape semicolons and other chars that have syntactic meaning in various shell command situations

Tue Feb 14 12:46:31 CET 2006  axel@liljencrantz.se
  * Add missing #define, needed by new fish_pager code

Tue Feb 14 12:39:26 CET 2006  axel@liljencrantz.se
  * Swedish translation checkin

Tue Feb 14 12:35:14 CET 2006  axel@liljencrantz.se
  * Fix clash in usage of unicode private use area

Tue Feb 14 12:33:47 CET 2006  axel@liljencrantz.se
  * Fix minor display bugs and a memory leak in fish_pager

Tue Feb 14 01:08:23 CET 2006  axel@liljencrantz.se
  * Group multiple switches with common description together when printing completions

Mon Feb 13 22:51:18 CET 2006  axel@liljencrantz.se
  * Initial checkin of german translation

Mon Feb 13 22:44:16 CET 2006  axel@liljencrantz.se
  * Fix memory leak and missing error check in dynamic function lookup

Mon Feb 13 22:36:59 CET 2006  axel@liljencrantz.se
  * Spelling fixes from HJB

Mon Feb 13 12:10:23 CET 2006  axel@liljencrantz.se
  * Change a few chars to be long

Mon Feb 13 12:09:29 CET 2006  axel@liljencrantz.se
  * Remova a few calls to free that are handled by halloc now

Sun Feb 12 23:24:06 CET 2006  axel@liljencrantz.se
  * Check for translation strings in function files

Sun Feb 12 23:23:13 CET 2006  axel@liljencrantz.se
  * Variable used for filenmae length was accidentally set to static

Sun Feb 12 23:22:05 CET 2006  axel@liljencrantz.se
  * Fix various minor misses in moving of shellscript functions

Sun Feb 12 23:19:18 CET 2006  axel@liljencrantz.se
  * Remove trailing periods from descriptions

Sun Feb 12 20:03:01 CET 2006  axel@liljencrantz.se
  * Minor hallocifications

Sun Feb 12 17:13:31 CET 2006  axel@liljencrantz.se
  * Allow backslash of quotes within quotes

Sun Feb 12 14:18:46 CET 2006  axel@liljencrantz.se
  * Fix a few compiler warnings, add halloc debug output on exit if HALLOC_DEBUG is defined and other minor tweaks

Sun Feb 12 14:14:21 CET 2006  axel@liljencrantz.se
  * Move a few more shellscript functions to their own files

Sun Feb 12 14:12:53 CET 2006  axel@liljencrantz.se
  * Check if curses-string 'flash_screen' is set before using it in fish_pager

Fri Feb 10 01:43:14 CET 2006  Nicholas Pilon <npilon@gmail.com>
  * svn completions
  Command-line completions for svn. This includes some tweaks to the cvs completions file, to move a common function out into fish_complete.fish.

Sun Feb 12 12:29:30 CET 2006  axel@liljencrantz.se
  * Optimizations of how variable expansion implementation

Sun Feb 12 12:23:49 CET 2006  axel@liljencrantz.se
  * Define fish_function_path at the top of the first init file to improve preformance (each non-existing variable causes a universal variable barrier)

Sun Feb 12 12:20:30 CET 2006  axel@liljencrantz.se
  * Add %o, %x and %X formats to *wprintf fallback implemnentation

Sat Feb 11 01:15:46 CET 2006  axel@liljencrantz.se
  * Add comment in manual about array base index

Sat Feb 11 01:13:17 CET 2006  axel@liljencrantz.se
  * Optimize the halloc implementation so that mutiple calls to halloc can be satisfied by a single malloc, also add wcsdup and wcsndup workalikes using halloc

Sat Feb 11 01:10:50 CET 2006  axel@liljencrantz.se
  * Re-add check for presense of ncurses.h header file

Fri Feb 10 01:35:39 CET 2006  axel@liljencrantz.se
  * Registered wrong string with halloc in expand_one, causing potential crash.

Thu Feb  9 22:51:20 CET 2006  axel@liljencrantz.se
  * Use consistent quoting in wgetopt

Thu Feb  9 22:51:01 CET 2006  axel@liljencrantz.se
  * make sure fish_tests is deleted on make clean

Thu Feb  9 16:50:20 CET 2006  axel@liljencrantz.se
  * Another halloc:ification of fish. Halloc has been extended to allow registering function calls, this has allowed the creation of halloc-handled arraylists, stringbuffers, etc. More job parsing halloc-ification has reduced the error handling code to only a shadow of it's former self

Wed Feb  8 19:47:37 CET 2006  axel@liljencrantz.se
  * Add source documentation for functions in parse_util.h

Wed Feb  8 19:44:37 CET 2006  axel@liljencrantz.se
  * Fix bug where recursive function loading crashed fish

Wed Feb  8 19:03:42 CET 2006  axel@liljencrantz.se
  * Add missing fish_tests file to make clean

Wed Feb  8 18:37:18 CET 2006  axel@liljencrantz.se
  * Make sure dynamically loaded functions are completable, even if they have not yet been loaded

Wed Feb  8 16:39:04 CET 2006  axel@liljencrantz.se
  * Fix crash bug caused by trying to free halloc:ed memory

Wed Feb  8 16:29:09 CET 2006  axel@liljencrantz.se
  * Do not use CDPATH when completing arguments starting with a '.'

Wed Feb  8 15:58:47 CET 2006  axel@liljencrantz.se
  * New wreaddir function, wide character version of readdir

Wed Feb  8 11:22:36 CET 2006  axel@liljencrantz.se
  * Make the __fish_describe_command function strip spaces and newlines

Wed Feb  8 11:22:03 CET 2006  axel@liljencrantz.se
  * Fis function signature for a few functions in parser.c

Wed Feb  8 11:20:43 CET 2006  axel@liljencrantz.se
  * Move more functions to autoload

Wed Feb  8 03:31:46 CET 2006  Nicholas Pilon <npilon@gmail.com>
  * cvs completions
  Better completions for cvs. Covers most flags in the manual, except for some for history that I couldn't write good descriptions for. Descriptions could probably use some tweaking, but the basic structure should be much better than what we had before.

Wed Feb  8 10:24:29 CET 2006  axel@liljencrantz.se
  * Make 'exit' work in even handlers

Wed Feb  8 10:20:05 CET 2006  axel@liljencrantz.se
  * Autoloaded functions

Wed Feb  8 01:42:01 CET 2006  Nicholas Pilon <npilon@gmail.com>
  * Awk Indent Fix
  Indented the awk script for command description.

Tue Feb  7 12:53:06 CET 2006  axel@liljencrantz.se
  tagged 1.20.2

Tue Feb  7 12:53:00 CET 2006  axel@liljencrantz.se
  * 1.20.2

Tue Feb  7 12:48:57 CET 2006  axel@liljencrantz.se
  * Minor tweaks to expand_Variables, fixes rare memory leak

Mon Feb  6 19:41:45 CET 2006  axel@liljencrantz.se
  * Fix various uses of old set syntax

Mon Feb  6 19:17:17 CET 2006  axel@liljencrantz.se
  * Only hide /private directories under OS X

Mon Feb  6 19:11:01 CET 2006  axel@liljencrantz.se
  * Further halloc:ification if fish

Mon Feb  6 16:20:15 CET 2006  axel@liljencrantz.se
  * Fix bug that would accidentally disable interactive mode on OS X when writing the titlebar message on some systems. Found by Nick Pilon

Mon Feb  6 16:18:17 CET 2006  axel@liljencrantz.se
  * Second checkin of halloc changeover. Make the argv array, but not it's contents, be allocated using halloc. Also make list_to_char_arr use halloc

Mon Feb  6 16:15:52 CET 2006  axel@liljencrantz.se
  * Minor code cleanup, don't use expand_escape and expand_unescape any more

Mon Feb  6 16:08:10 CET 2006  axel@liljencrantz.se
  * Lazily load history file

Mon Feb  6 15:25:02 CET 2006  axel@liljencrantz.se
  * First checkin of transition to using a new hierarchical memory allocator, some of the memory associated with a job is covered

Mon Feb  6 14:47:57 CET 2006  axel@liljencrantz.se
  * Make sure line counting doesn't move past end of string

Mon Feb  6 14:47:01 CET 2006  axel@liljencrantz.se
  * Make execution of functions use wcsdup to make sure no memory errors happen if a function removes itself

Mon Feb  6 14:45:32 CET 2006  axel@liljencrantz.se
  * Make sure interactive mode is of when firing events

Mon Feb  6 12:24:53 CET 2006  axel@liljencrantz.se
  * Add long style option support for prevd/pushd, also add a few missing translation strings

Mon Feb  6 02:26:23 CET 2006  Nicholas Pilon <npilon@gmail.com>
  * Darwin Open
  Tweak the open function to use /usr/bin/open on Darwin, and mimedb on everything else.

Sun Feb  5 23:18:05 CET 2006  Nicholas Pilon <npilon@gmail.com>
  * Describe Command awk-ification
  Changed __fish_describe_command to use awk instead of sed, and handle 'alternative' names, as used by OS X. (And possibly some BSDs?)

Sun Feb  5 20:48:30 CET 2006  Nicholas Pilon <npilon@gmail.com>
  * Completion: System Commands
  Tiny tweak to sed expression to get descriptions for system commands too.

Sun Feb  5 20:49:08 CET 2006  Nicholas Pilon <npilon@gmail.com>
  * PWD Tweaks
  Tweaked prompt_pwd and pwd to omit the leading /private from some system directories on OS X.

Sun Feb  5 22:20:50 CET 2006  axel@liljencrantz.se
  * Minor edits of builtin.c, some reindentation and code comment improvement

Sun Feb  5 22:18:35 CET 2006  axel@liljencrantz.se
  * Another set of spelling corrections from HJB

Sun Feb  5 14:14:22 CET 2006  axel@liljencrantz.se
  * Make LS_COLORS non-univerasl, and contain many more filetypes

Sun Feb  5 14:13:35 CET 2006  axel@liljencrantz.se
  * Tiny performance tweaks

Sun Feb  5 14:12:53 CET 2006  axel@liljencrantz.se
  * Tweaks to some source comments

Sun Feb  5 14:10:35 CET 2006  axel@liljencrantz.se
  * Remove duplicate line counting code. Make the remaining implementation have a two element cache.

Sun Feb  5 14:08:40 CET 2006  axel@liljencrantz.se
  * Clean up init code in builtin.c

Sat Feb  4 14:14:12 CET 2006  axel@liljencrantz.se
  * Minor edits to the INSTALL file

Sat Feb  4 14:09:14 CET 2006  axel@liljencrantz.se
  * Minor tweaks, including a few small performance improvements

Sat Feb  4 12:58:12 CET 2006  axel@liljencrantz.se
  * Remove some unneeded debug messages

Sat Feb  4 12:42:56 CET 2006  axel@liljencrantz.se
  * Minor optimization - only set locale if we actually want to output something in set_color

Sat Feb  4 12:36:50 CET 2006  axel@liljencrantz.se
  * Don't print full stack trace for failiures in cd in interactive mode

Sat Feb  4 12:36:19 CET 2006  axel@liljencrantz.se
  * Add /opt and /opt/local to list of possibly interesting directories for PATH and library path

Sat Feb  4 12:35:12 CET 2006  axel@liljencrantz.se
  * Minor optimization to the prompt command

Sat Feb  4 12:34:33 CET 2006  axel@liljencrantz.se
  * Make sure completions aren't run in interactive mode

Sat Feb  4 12:33:20 CET 2006  axel@liljencrantz.se
  * Don't print errors if parent can't give child control of terminal during exec(), since child may have already exited

Fri Feb  3 22:50:31 CET 2006  axel@liljencrantz.se
  * Make children set their own process group instead of waiting for their parent to do it for them

Fri Feb  3 22:30:06 CET 2006  axel@liljencrantz.se
  * Minor comment edits in complete.c

Fri Feb  3 22:29:39 CET 2006  axel@liljencrantz.se
  * Correct broken test for gettext command

Fri Feb  3 22:29:01 CET 2006  axel@liljencrantz.se
  * Add fink and pkgsrc /bin directories to PATH if they exist

Fri Feb  3 18:27:36 CET 2006  axel@liljencrantz.se
  * Move parts of the command description lookup code to a shellscript function

Fri Feb  3 10:34:26 CET 2006  axel@liljencrantz.se
  * prompt and terminal functions should not be run in interactive mode

Fri Feb  3 10:33:14 CET 2006  axel@liljencrantz.se
  * Remove old unneeded code that makes fish_pager wait to become owner of the terminal

Fri Feb  3 01:41:45 CET 2006  axel@liljencrantz.se
  * Fix broken test for realpath taking null as a second argument

Fri Feb  3 01:41:14 CET 2006  axel@liljencrantz.se
  * Make hostname completion code more robust

Fri Feb  3 01:40:28 CET 2006  axel@liljencrantz.se
  * Make string conversion in wutil.c handle special 'broken encoding' sequences

Fri Feb  3 01:39:35 CET 2006  axel@liljencrantz.se
  * Minor fix for completions for status builtin

Fri Feb  3 01:38:55 CET 2006  axel@liljencrantz.se
  * Improved error checking in main()

Fri Feb  3 01:37:54 CET 2006  axel@liljencrantz.se
  * Add fish switch to enter login mode

Thu Feb  2 16:34:01 CET 2006  axel@liljencrantz.se
  * Update INSTALL file to be less redundant and contain a bit of information about compilers

Thu Feb  2 16:33:30 CET 2006  axel@liljencrantz.se
  * Minor source documentation edits

Thu Feb  2 16:33:04 CET 2006  axel@liljencrantz.se
  * Make error message in contains function translatable

Thu Feb  2 16:31:51 CET 2006  axel@liljencrantz.se
  * Make completion of subsommands for time and sudo a bit better at differing between command and subcommand

Thu Feb  2 16:29:39 CET 2006  axel@liljencrantz.se
  * Make autoconf detection for have__nl_msg_cat_cntr slightly more robust

Thu Feb  2 16:23:56 CET 2006  axel@liljencrantz.se
  * Make stack traces print absolute filenames

Wed Feb  1 16:55:46 CET 2006  axel@liljencrantz.se
  * Don't reset history on cursor movement

Wed Feb  1 16:55:16 CET 2006  axel@liljencrantz.se
  * Swedish translation checkin

Wed Feb  1 16:49:11 CET 2006  axel@liljencrantz.se
  * Generalize the stack tracing code, add support for showing events and command substitutions in stack traces

Wed Feb  1 14:40:29 CET 2006  axel@liljencrantz.se
  * Minor edits to fish documentation

Wed Feb  1 13:29:12 CET 2006  axel@liljencrantz.se
  * Minor spelling fixes from Hermann J. Beckers

Wed Feb  1 13:27:15 CET 2006  axel@liljencrantz.se
  * Readd the terminal flag for jobs, as not all jobs under job control should be given the terminal.

Tue Jan 31 23:00:43 CET 2006  axel@liljencrantz.se
  * Swedish translation checkin

Tue Jan 31 22:59:33 CET 2006  axel@liljencrantz.se
  * Add completions for the status builtin

Tue Jan 31 22:46:46 CET 2006  axel@liljencrantz.se
  * Add not on commandline behaviour when using complete -C to documentation

Tue Jan 31 22:45:51 CET 2006  axel@liljencrantz.se
  * Minor documentation correction regarding how to use io redirection to close a fd

Tue Jan 31 22:44:26 CET 2006  axel@liljencrantz.se
  * Add mention of the new -C switch for complete in the documentation

Tue Jan 31 22:43:03 CET 2006  axel@liljencrantz.se
  * Remove fallback version of the _nl_msg_cat_cntr symbol. We check for it at configure-time and only use it if it exists

Tue Jan 31 22:42:01 CET 2006  axel@liljencrantz.se
  * Fix for how fish parses the double quote character

Mon Jan 30 20:53:10 CET 2006  axel@liljencrantz.se
  * Improve the status builtin

Mon Jan 30 18:54:26 CET 2006  axel@liljencrantz.se
  * Rename the 'terminal' flag to 'job_control', make sure fg and bg only considers jobs under job control and make it configurable which jobs are put under job control using the status builtin. Also add an option to the status builtin to print a stack trace.

Mon Jan 30 17:58:00 CET 2006  axel@liljencrantz.se
  * Minor code tweaks

Mon Jan 30 17:57:06 CET 2006  axel@liljencrantz.se
  * Autoconf tweaks to make library detection more robust

Mon Jan 30 17:51:50 CET 2006  axel@liljencrantz.se
  * Add support for calculating completions for arbitrary commands through the 'complete' builtin

Sun Jan 29 23:04:14 CET 2006  axel@liljencrantz.se
  * Fix bug that caused shellscript functions in pipelines that don't have any output to never be properly removed

Sat Jan 28 12:34:40 CET 2006  axel@liljencrantz.se
  * Display use of . (source) builtin in stack traces

Sat Jan 28 11:25:51 CET 2006  axel@liljencrantz.se
  * Optimize the fish_prompt function

Sat Jan 28 03:21:49 CET 2006  axel@liljencrantz.se
  * Swedish translation checkin (small)

Sat Jan 28 03:21:18 CET 2006  axel@liljencrantz.se
  * Minor documentation tweaks

Sat Jan 28 03:20:54 CET 2006  axel@liljencrantz.se
  * Fix typo in sudo completions

Sat Jan 28 03:20:22 CET 2006  axel@liljencrantz.se
  * Misc init-files cleanup, including making sure various variables are function-local

Sat Jan 28 03:19:33 CET 2006  axel@liljencrantz.se
  * Add comment in documentation for set builtin about not allowing switches after non-switches

Sat Jan 28 03:18:46 CET 2006  axel@liljencrantz.se
  * Check for gettext in seq fallback implementation

Sat Jan 28 03:17:40 CET 2006  axel@liljencrantz.se
  * Add translation support to wgetopt library

Sat Jan 28 03:03:29 CET 2006  axel@liljencrantz.se
  * Add support for correctly handling illegal character strings

Sat Jan 28 01:34:59 CET 2006  axel@liljencrantz.se
  * More spelling fixes from Hermann J. Beckers

Fri Jan 27 09:26:39 CET 2006  axel@liljencrantz.se
  * Small fixes for emerge completions, sent by Mike Auty

Thu Jan 26 18:34:37 CET 2006  axel@liljencrantz.se
  * shellscript functions should use the help command to display help

Thu Jan 26 17:30:46 CET 2006  axel@liljencrantz.se
  * 1.20.1

Thu Jan 26 17:30:37 CET 2006  axel@liljencrantz.se
  tagged 1.20.1

Thu Jan 26 17:30:02 CET 2006  axel@liljencrantz.se
  * Minor build fix

Thu Jan 26 17:01:19 CET 2006  axel@liljencrantz.se
  * Fix bug in debian specific kill completions

Thu Jan 26 16:48:23 CET 2006  axel@liljencrantz.se
  * Make it possible to create zero length environment variable arrays without using the ENV_USER flag

Thu Jan 26 16:47:22 CET 2006  axel@liljencrantz.se
  * Fix glitches in stack trace

Thu Jan 26 16:17:17 CET 2006  axel@liljencrantz.se
  * Checkin of swedish translations and some smaller changes to the emerge completion descriptions

Thu Jan 26 16:16:59 CET 2006  axel@liljencrantz.se
  * Small output string tweaks

Thu Jan 26 15:48:10 CET 2006  axel@liljencrantz.se
  * Add function stack trace to error output

Thu Jan 26 13:21:34 CET 2006  axel@liljencrantz.se
  * util.h should include unistd.h

Thu Jan 26 13:16:59 CET 2006  axel@liljencrantz.se
  * Spelling fixes, from Hermann J. Beckers

Thu Jan 26 10:57:06 CET 2006  axel@liljencrantz.se
  * Fixes to make fish work on Cygwin. Firstly a bunch of minor fixes fo the wcs* fallback functions, secondly MSG_DONTWAIT (a socket flag) is set to zero if it isn't already defined

Wed Jan 25 00:32:29 CET 2006  axel@liljencrantz.se
  * Add completions for emerge command

Wed Jan 25 00:08:50 CET 2006  axel@liljencrantz.se
  * Swedish translation checkin

Wed Jan 25 00:01:33 CET 2006  axel@liljencrantz.se
  * Add completions for sshfs, fusermount and sudo

Tue Jan 24 19:14:10 CET 2006  axel@liljencrantz.se
  * Smaller edits

Tue Jan 24 19:12:45 CET 2006  axel@liljencrantz.se
  * Installation should not rely on making the .po files

Tue Jan 24 19:12:05 CET 2006  axel@liljencrantz.se
  * Add autoconf test for regex.h

Tue Jan 24 19:09:44 CET 2006  axel@liljencrantz.se
  * Make the prompt_pwd behave better with strange sed implementations (I'm looking at you, OS X)

Tue Jan 24 19:08:50 CET 2006  axel@liljencrantz.se
  * Add better test for whether the gettext command should be used

Tue Jan 24 19:07:29 CET 2006  axel@liljencrantz.se
  * Add manual page for fish_pager command

Tue Jan 24 18:20:31 CET 2006  James Vega <jamessan@jamessan.com>
  * doc_src/fishd.txt, fishd.c: Move the API description of fishd to the source file.  Update the fishd help to indicate the new help and version options as well as a warning about fiddling with ~/.fishd.HOSTNAME.

Tue Jan 24 00:17:06 CET 2006  James Vega <jamessan@jamessan.com>
  * Fixed various spelling mistakes.

Tue Jan 24 00:33:47 CET 2006  axel@liljencrantz.se
  * Minor edits, mostly tweaks of the API documentation

Tue Jan 24 00:32:13 CET 2006  axel@liljencrantz.se
  * Do not show function body as description in output of the functions builtin

Mon Jan 23 21:40:14 CET 2006  axel@liljencrantz.se
  * Fixes to api documentation, added .PHONY to makefile actions, made a few private functions static

Mon Jan 23 18:47:42 CET 2006  axel@liljencrantz.se
  * Hopefully the last attempt at fixing the build rules for making .po and .gmo files

Mon Jan 23 18:38:11 CET 2006  axel@liljencrantz.se
  * Add notice to set_text documentation about the use of --bold to brighten colors on some terminals

Mon Jan 23 18:37:20 CET 2006  axel@liljencrantz.se
  * Add gettext i18n support for the set_color command

Mon Jan 23 17:25:34 CET 2006  axel@liljencrantz.se
  * Add option parsing and support for -h and -v switches to fishd

Mon Jan 23 16:49:23 CET 2006  axel@liljencrantz.se
  * the 'unknown' filetype description shouldn't be tranlated, since it is never used

Mon Jan 23 16:45:00 CET 2006  axel@liljencrantz.se
  * Use gettext to translate mimedb command. Also try to respect users locale setting when choosing language on file descriptions.

Mon Jan 23 12:42:29 CET 2006  axel@liljencrantz.se
  * Minor touchups of the complete.c file

Mon Jan 23 12:39:36 CET 2006  axel@liljencrantz.se
  * Add completions for the time command, and improve completions for the type builtin and the su command

Mon Jan 23 12:38:07 CET 2006  axel@liljencrantz.se
  * Cleanup Makefile.in and make sure gen_hdr.sh is executable before using it

Mon Jan 23 12:36:48 CET 2006  axel@liljencrantz.se
  * The seq fallback implementation is a shellscript, not a function

Mon Jan 23 00:41:12 CET 2006  axel@liljencrantz.se
  * Swedish translation for the seq command

Mon Jan 23 00:40:03 CET 2006  axel@liljencrantz.se
  * Avoid memory leaks in the complete builtin on errors

Mon Jan 23 00:30:00 CET 2006  axel@liljencrantz.se
  * Fix bug from the modified completion builtin where a completion that specified no switches would be ignored

Sun Jan 22 22:35:48 CET 2006  axel@liljencrantz.se
  * .po should not depend on the messages.pot file, since it will cause that file to be autogenerated on build. Also, add a few comments to the Makefile.

Sun Jan 22 22:10:55 CET 2006  axel@liljencrantz.se
  * Move the complete builtin to it's own file, and make it accept multiple -c, -p, -s, -o and -l switches

Sun Jan 22 22:07:56 CET 2006  axel@liljencrantz.se
  * Add simple fallback implementation of seq command, installed automatically on systems which lack the regular seq command

Sat Jan 21 22:16:29 CET 2006  axel@liljencrantz.se
  * Add input checks to string_buffer_t functions

Sat Jan 21 22:12:39 CET 2006  axel@liljencrantz.se
  * Minor tweaks of init files

Sat Jan 21 21:45:14 CET 2006  axel@liljencrantz.se
  * Swedish translation fixes (tiny)

Sat Jan 21 21:44:23 CET 2006  axel@liljencrantz.se
  * Bugfix for command completion descriptions, potential crash on strange output from apropos

Sat Jan 21 21:42:17 CET 2006  axel@liljencrantz.se
  * Fix broken PATH check

Sat Jan 21 17:02:34 CET 2006  axel@liljencrantz.se
  * Add autoconf test for presense of _nl_msg_cat_cntr

Sat Jan 21 17:01:17 CET 2006  axel@liljencrantz.se
  * Use backticks for command substitutions in Makefile to make it work on older sh implementations

Sat Jan 21 13:39:32 CET 2006  axel@liljencrantz.se
  * Swedish translation updates, including switch of quoting character

Sat Jan 21 13:39:12 CET 2006  axel@liljencrantz.se
  * Description tweak

Sat Jan 21 13:38:28 CET 2006  axel@liljencrantz.se
  * Error message update

Sat Jan 21 03:53:07 CET 2006  axel@liljencrantz.se
  * Fix minor spelling detail

Sat Jan 21 03:52:06 CET 2006  axel@liljencrantz.se
  * Fix two bugs which together caused descriptions to be interpreted as a part of the completion in some rare cases

Fri Jan 20 18:16:03 CET 2006  axel@liljencrantz.se
  * Minor edits to the todo part of the fish documentation

Fri Jan 20 17:34:04 CET 2006  axel@liljencrantz.se
  * Add a few Doxygen function descriptions

Fri Jan 20 17:31:56 CET 2006  axel@liljencrantz.se
  * Make sure _nl_msg_cat_cntr exists even if libintl doesn't, and use printf command if the gettext command isn't installed. Both of these are needed on systems without gettext support.

Fri Jan 20 15:27:21 CET 2006  axel@liljencrantz.se
  * Add fallback implementations of wcstok, putwc and getwc. Move all fallbacks from common.c to wutil.c.

Thu Jan 19 16:00:41 CET 2006  axel@liljencrantz.se
  * Add missing completion for the -b switch for function builtin

Thu Jan 19 14:45:18 CET 2006  axel@liljencrantz.se
  * Swedish tranlations checkin

Thu Jan 19 14:15:15 CET 2006  axel@liljencrantz.se
  * Fix crash bugs in fg and bg builtins, and make sure bg doesn't consider background jobs when run without an argument

Thu Jan 19 13:23:22 CET 2006  axel@liljencrantz.se
  * Add missing includes in input_common.c

Thu Jan 19 13:22:07 CET 2006  axel@liljencrantz.se
  * Check location of term.h header (updated)

Wed Jan 18 19:40:46 CET 2006  axel@liljencrantz.se
  * Define a few additional signals

Wed Jan 18 19:37:58 CET 2006  axel@liljencrantz.se
  * Don't include intl headers in translate.h if we're not going to use gettext

Wed Jan 18 17:59:17 CET 2006  axel@liljencrantz.se
  * Make it possible to manually rebuild an existing messages.pot using 'make messages'. Don't use the --no-wrap switch for xgettext, since it's not universally supported. Print an explanation if xgettext fails.

Wed Jan 18 17:47:50 CET 2006  axel@liljencrantz.se
  * Don't print error message in fg if the command didn't fail

Wed Jan 18 16:59:29 CET 2006  axel@liljencrantz.se
  * Don't automatically rebuild messages.pot every time the source changes

Wed Jan 18 15:30:22 CET 2006  axel@liljencrantz.se
  * Add completions for a fex more darcs subcommands

Wed Jan 18 14:12:36 CET 2006  axel@liljencrantz.se
  * Corrections for the swedish translation

Wed Jan 18 14:11:43 CET 2006  axel@liljencrantz.se
  * Add friendly messages to Makefile commands

Wed Jan 18 13:42:48 CET 2006  axel@liljencrantz.se
  * Change the foregrounf/background code a bit, fixes bug where mulktiple jobs want foreground status. Is this fix enough or are there still corner cases?

Wed Jan 18 13:41:13 CET 2006  axel@liljencrantz.se
  * Optionally add intl library, needed by gettext on NetBSD. Also clean up configure.ac a bit.

Tue Jan 17 20:34:50 CET 2006  axel@liljencrantz.se
  * Make manual and completions reflect the facty that any combination od set_color params are valid values for $fish_color_* variables

Tue Jan 17 18:24:12 CET 2006  axel@liljencrantz.se
  * Remove some GNU preprocessor magic from wgetopt.c, it only applies to regular getopt

Tue Jan 17 18:23:12 CET 2006  axel@liljencrantz.se
  * Remove accidental newline in error message

Tue Jan 17 18:20:05 CET 2006  axel@liljencrantz.se
  * color ls support under FreeBSD and OS X

Tue Jan 17 17:56:13 CET 2006  axel@liljencrantz.se
  * Fix broken 'type' function, and clean up the ugly 'help' function. By Philip Ganchev.

Tue Jan 17 13:48:30 CET 2006  axel@liljencrantz.se
  * Fix buggy error messages in expand.h and add missing translation commands

Mon Jan 16 17:54:51 CET 2006  axel@liljencrantz.se
  * Set version to 1.20.0

Mon Jan 16 17:54:48 CET 2006  axel@liljencrantz.se
  tagged 1.20.0

Mon Jan 16 17:54:21 CET 2006  axel@liljencrantz.se
  * Events should not be marked as non-interactive

Mon Jan 16 17:53:40 CET 2006  axel@liljencrantz.se
  * Swedish translation tweaks

Mon Jan 16 16:04:24 CET 2006  axel@liljencrantz.se
  * Make string formating functions correctly handle %%. Thanks to Hiroshi Sakurai

Mon Jan 16 16:01:10 CET 2006  axel@liljencrantz.se
  * Add a  __fish_complete_command function for completing using a command name. Change name of the __fish_set_is_first to __fish_is_first_token and move it to the common completion util file

Mon Jan 16 14:42:44 CET 2006  axel@liljencrantz.se
  * Remove a few warnings

Mon Jan 16 14:41:50 CET 2006  axel@liljencrantz.se
  * Add debug target to make, which halts on warnings

Mon Jan 16 01:19:12 CET 2006  axel@liljencrantz.se
  * Make sure all foreground jobs are reaped after evaluating a job to avoid things like 'sleep 10m; fg' don't try to restart sleep

Mon Jan 16 01:15:56 CET 2006  axel@liljencrantz.se
  * Put jobs in functions and block into their own process group in interactive mode, but do not put the 'fake jobs' associated with functions in a group

Sun Jan 15 23:41:48 CET 2006  axel@liljencrantz.se
  * Correctly handle and recover from IO redirections failures in the exec builtin

Sun Jan 15 22:26:39 CET 2006  axel@liljencrantz.se
  * Corrections to the INSTALL file

Sun Jan 15 22:19:29 CET 2006  axel@liljencrantz.se
  * Cleanup configure.ac and make it automatically run autoheader

Sun Jan 15 21:20:34 CET 2006  axel@liljencrantz.se
  * Checkin of various swedish translation improvements

Sun Jan 15 21:05:20 CET 2006  axel@liljencrantz.se
  * Minor tweaks for the gpg command completions

Sun Jan 15 21:04:42 CET 2006  axel@liljencrantz.se
  * Give subshell command in error message for output conversion of data from subshell

Sun Jan 15 21:03:03 CET 2006  axel@liljencrantz.se
  * Add completions for the set builtin to handle completions of locale variables and locale names

Sun Jan 15 12:59:08 CET 2006  axel@liljencrantz.se
  * Minor completion tweaks

Sun Jan 15 12:58:05 CET 2006  axel@liljencrantz.se
  * Make the functions builtin display function listing on -n to a terminal in a human-friendly format

Sat Jan 14 14:16:07 CET 2006  axel@liljencrantz.se
  * Make the completions for the ls, sed and df commands have the correct switches on BSD systems

Sat Jan 14 03:00:51 CET 2006  axel@liljencrantz.se
  * Minor polish to the gpg completions

Sat Jan 14 02:59:37 CET 2006  axel@liljencrantz.se
  * Various corrections for advanced tab completions. Should make the --export= subcompletions to gpg work

Sat Jan 14 02:58:01 CET 2006  axel@liljencrantz.se
  * Make sure functions as printed by the fyunctions builtin don't have any stray empty lines

Fri Jan 13 15:41:33 CET 2006  axel@liljencrantz.se
  * Add completions for gpg command

Fri Jan 13 15:05:36 CET 2006  axel@liljencrantz.se
  * Add completions for chsh command (updated)

Fri Jan 13 02:02:45 CET 2006  axel@liljencrantz.se
  * Fix the __fish_append shellscript function, as well as some completion bugs in gpg and mount

Fri Jan 13 02:00:12 CET 2006  axel@liljencrantz.se
  * Correctly handle locale changes through scope expiry, as well as locale changes in completion code

Thu Jan 12 17:45:59 CET 2006  axel@liljencrantz.se
  * Minor completion description corrections - unescaped dollar-signs in quotes and such

Thu Jan 12 15:53:46 CET 2006  axel@liljencrantz.se
  * Alt-backspace is now a synonym for Control-w in emacs mode keybindings. Atl least on terminals with a simple Alt-backspace

Thu Jan 12 15:49:03 CET 2006  axel@liljencrantz.se
  * Improve description handling - handle symbolic link loops, handle description functions returning strings without a separator, and handle testing of un-stat:able files

Thu Jan 12 13:54:57 CET 2006  axel@liljencrantz.se
  * Make parser_current_line use dynamic memory to avoid overflow on long lines

Wed Jan 11 15:46:16 CET 2006  axel@liljencrantz.se
  * Add one missing translation string in exec.c

Wed Jan 11 15:40:20 CET 2006  axel@liljencrantz.se
  * Recover instead of quiting when a redirection error occurs for a shellscript function

Wed Jan 11 15:23:40 CET 2006  axel@liljencrantz.se
  * Use /etc/sysconfig/i18n file if it exists to set up correct locale

Wed Jan 11 15:17:35 CET 2006  axel@liljencrantz.se
  * Yet another batch of description tweaks, as well as the last major checkin of translations to swedish (updated patch)

Wed Jan 11 15:10:15 CET 2006  axel@liljencrantz.se
  * Add missing include for sanity.c

Wed Jan 11 15:09:41 CET 2006  axel@liljencrantz.se
  * Remove the tokenize command from the rpm spec file

Wed Jan 11 14:29:44 CET 2006  axel@liljencrantz.se
  * Documentation corrections

Tue Jan 10 18:49:07 CET 2006  'Jan Fader <jan.fader@web.de>'
  * some little corrections

Wed Jan 11 13:26:40 CET 2006  axel@liljencrantz.se
  * Make the read builtin able to create universal variables

Tue Jan 10 17:36:03 CET 2006  axel@liljencrantz.se
  * Remove the external tokenize command. One can use tr instead

Mon Jan  9 20:28:15 CET 2006  axel@liljencrantz.se
  * More minor completion description corrections, and another translation checkin for Swedish

Mon Jan  9 18:40:32 CET 2006  axel@liljencrantz.se
  * Reload completions on locale language change. This will mean that most translatable messages will be retranslated.

Mon Jan  9 18:17:25 CET 2006  axel@liljencrantz.se
  * Make command descriptions work when entering full path to a command

Mon Jan  9 18:13:59 CET 2006  axel@liljencrantz.se
  * Makecompletion functions work with completion descriptions regardless of if they contain a separator character or not

Mon Jan  9 18:13:02 CET 2006  axel@liljencrantz.se
  * Do not free allocated data when clearing a string_buffer_t

Mon Jan  9 16:25:06 CET 2006  axel@liljencrantz.se
  * More robust parsing of keybindings, allow sequences like \C-\ew and \C-?

Mon Jan  9 16:17:40 CET 2006  axel@liljencrantz.se
  * Correct incorrect arguments to futimes

Mon Jan  9 16:10:47 CET 2006  axel@liljencrantz.se
  * Improve detection of futimes function, and make it fail without giving an error message, since it is not critical anyways

Mon Jan  9 15:48:13 CET 2006  axel@liljencrantz.se
  * Documentation tweaks

Mon Jan  9 15:47:30 CET 2006  axel@liljencrantz.se
  * Minor completion description tweaks, try to use the same description for the same situation in multiple commands, to decrease number of strings to translate

Mon Jan  9 15:44:18 CET 2006  axel@liljencrantz.se
  * Fix two issues on OS X, a non-compatible use of the expr command and a bad init of a socket for the universal variable daemon

Mon Jan  9 00:13:06 CET 2006  axel@liljencrantz.se
  * Make description messages more uniform

Mon Jan  9 00:00:49 CET 2006  axel@liljencrantz.se
  * Improve locale implementation (should now behave identically to bash) and document locale variables behaviour

Sun Jan  8 03:56:56 CET 2006  axel@liljencrantz.se
  * Huge upade containing several bugfixes related to i18n, and a huge number of new translatable strings, including almost all description messages for command specific completions

Thu Jan  5 18:09:15 CET 2006  axel@liljencrantz.se
  * Move definition of the _ gettext alias out of fish_interactive, since it is needed in non-interactive, and in earlier functions as well

Thu Jan  5 17:02:28 CET 2006  axel@liljencrantz.se
  * Add more helpful error messages when trying to use Posix short circut operators (|| and &&)

Thu Jan  5 16:37:53 CET 2006  axel@liljencrantz.se
  * Change syntax of 'and' and 'or' to infix order

Thu Jan  5 14:54:11 CET 2006  axel@liljencrantz.se
  * Do not use \r sequence in translatable messages

Thu Jan  5 14:41:59 CET 2006  axel@liljencrantz.se
  * Translate most shellscript output, translate internal completion descriptions, and several translation bugfixes

Wed Jan  4 15:15:41 CET 2006  axel@liljencrantz.se
  * Improved description for the commandline builtin

Wed Jan  4 15:07:35 CET 2006  axel@liljencrantz.se
  * Output a message when changing LANG in interactive mode

Wed Jan  4 14:52:30 CET 2006  axel@liljencrantz.se
  * Further i18n tweaks

Wed Jan  4 14:01:54 CET 2006  axel@liljencrantz.se
  * Added a few notes to INSTALL file

Wed Jan  4 14:01:24 CET 2006  axel@liljencrantz.se
  * Minor fixes to i18n

Wed Jan  4 13:51:02 CET 2006  axel@liljencrantz.se
  * Add i18n through gettext, as well as a Swedish translation

Fri Dec 30 17:29:19 CET 2005  axel@liljencrantz.se
  * Minor text formating tweaks

Fri Dec 30 17:28:35 CET 2005  axel@liljencrantz.se
  * Add completions for nice and renice commands

Fri Dec 30 13:57:05 CET 2005  axel@liljencrantz.se
  * Pressing the enter key on an empty line scrolls a line

Sun Dec 25 23:04:55 CET 2005  axel@liljencrantz.se
  tagged 1.19.0

Sun Dec 25 23:04:42 CET 2005  axel@liljencrantz.se
  * 1.19.0

Sun Dec 25 23:03:29 CET 2005  axel@liljencrantz.se
  * Only use internal wcsndup implementation of no external one exists

Sun Dec 25 23:00:44 CET 2005  axel@liljencrantz.se
  * Fisx crash buh when completing string ending in backslash

Sun Dec 25 12:59:40 CET 2005  axel@liljencrantz.se
  * Check for presense of doxygen using autoconf

Wed Dec 21 14:53:53 CET 2005  axel@liljencrantz.se
  * Check Xautority before trying to use X-based browser in help shellscript

Wed Dec 21 14:51:57 CET 2005  axel@liljencrantz.se
  * Add notice about bug when suspending builtins

Tue Dec 20 10:01:55 CET 2005  axel@liljencrantz.se
  * Add sbin directories to PATH when root

Tue Dec 20 09:58:20 CET 2005  axel@liljencrantz.se
  * Do not use GNU -r switch for sed

Tue Dec 20 09:57:46 CET 2005  axel@liljencrantz.se
  * Add missing include in builtin_help.hdr

Sun Dec 18 23:51:50 CET 2005  axel@liljencrantz.se
  * Yet another attempt to avoid gnuisms in sed/grep for ssh completions

Sat Dec 17 23:15:13 CET 2005  axel@liljencrantz.se
  * Use sed instead of grep, since grep -o isn't supported on OS X

Sat Dec 17 22:59:26 CET 2005  axel@liljencrantz.se
  * Add completions for trap and jobs

Sat Dec 17 22:32:05 CET 2005  axel@liljencrantz.se
  * Add autoconf checks for wide character string functions

Sat Dec 17 22:30:52 CET 2005  axel@liljencrantz.se
  * Add trap shellscript function

Sat Dec 17 13:27:10 CET 2005  axel@liljencrantz.se
  * Adjust fish init files to new set syntax

Sat Dec 17 13:25:46 CET 2005  axel@liljencrantz.se
  * make the functions builtin output descriptions and event handlers for functions

Sat Dec 17 02:21:30 CET 2005  axel@liljencrantz.se
  * Make the set builtin only parse switches given after non-switches

Fri Dec 16 16:51:16 CET 2005  axel@liljencrantz.se
  * Tweak a few error messages for builtin commands

Fri Dec 16 16:50:10 CET 2005  axel@liljencrantz.se
  * Make non-interactive reading more robust.

Fri Dec 16 13:54:37 CET 2005  axel@liljencrantz.se
  * Make the source builtin bail out at once if stat fails. Makes sure no illegal memory acces takes place

Thu Dec 15 18:21:22 CET 2005  James Vega <jamessan@jamessan.com>
  * builtin.c: builtin_source now checks that its argument is a file.
  
  Without this check, it would be possible to attempt to source a directory and get stuck in an infinite loop.

Thu Dec 15 14:59:02 CET 2005  axel@liljencrantz.se
  * Code cleanup

Thu Dec 15 11:19:01 CET 2005  axel@liljencrantz.se
  * Add missing -r/--replace switch to commandline builtin

Thu Dec 15 00:48:08 CET 2005  axel@liljencrantz.se
  * Add extra step in instructions on creating a builtin

Thu Dec 15 00:46:50 CET 2005  axel@liljencrantz.se
  * Add missing newline at end of yum completion file

Wed Dec 14 19:07:44 CET 2005  axel@liljencrantz.se
  * Add missing documentation file

Wed Dec 14 17:41:16 CET 2005  axel@liljencrantz.se
  * Minor documentation edits

Wed Dec 14 15:09:06 CET 2005  axel@liljencrantz.se
  * Fix Alt-p shortcut

Wed Dec 14 14:53:36 CET 2005  axel@liljencrantz.se
  * Add separator characters to make quoted variable expantion works properly

Wed Dec 14 14:46:44 CET 2005  axel@liljencrantz.se
  * Fix crash bug from calling eval builtin with no arguments

Wed Dec 14 04:39:39 CET 2005  axel@liljencrantz.se
  * Code tweaks

Wed Dec 14 02:07:12 CET 2005  axel@liljencrantz.se
  * Code tweaks

Wed Dec 14 01:34:27 CET 2005  axel@liljencrantz.se
  * Use different abbrevation for prompt_pwd

Wed Dec 14 01:33:13 CET 2005  axel@liljencrantz.se
  * Simplify pwd function

Wed Dec 14 01:06:13 CET 2005  axel@liljencrantz.se
  * Simplify greeting code

Tue Dec 13 21:11:21 CET 2005  axel@liljencrantz.se
  * More tweaks

Tue Dec 13 21:10:36 CET 2005  axel@liljencrantz.se
  * Use . as CDPATH if CDPATH is zero length

Tue Dec 13 19:32:57 CET 2005  axel@liljencrantz.se
  * Lots of fixed typos. Thanks, Harshad!

Tue Dec 13 19:28:03 CET 2005  axel@liljencrantz.se
  * Minor tweaks

Tue Dec 13 11:18:59 CET 2005  axel@liljencrantz.se
  * Autodetect common escape codes in fish_prompt output

Mon Dec 12 19:30:55 CET 2005  axel@liljencrantz.se
  * Fix infinite loop in token search

Mon Dec 12 16:51:04 CET 2005  axel@liljencrantz.se
  * Fix bug causing inconsistent state and shutdown when the begin command was used in a function definition

Mon Dec 12 16:50:01 CET 2005  axel@liljencrantz.se
  * Further tweaks to jobs builtin

Mon Dec 12 00:39:39 CET 2005  axel@liljencrantz.se
  * Minor edits

Mon Dec 12 00:30:01 CET 2005  axel@liljencrantz.se
  * Revamp the jobs builtin

Sun Dec 11 23:28:33 CET 2005  axel@liljencrantz.se
  * Use char instead of unsigned char in xdgmime files. Avoids a few warnings.

Sun Dec 11 23:27:30 CET 2005  axel@liljencrantz.se
  * Do not call fcntl before fully reading block.Escalates bug severity without any practical benefit.

Sun Dec 11 23:26:03 CET 2005  axel@liljencrantz.se
  * Make type fuction handle hidden functions

Sun Dec 11 23:21:01 CET 2005  axel@liljencrantz.se
  * Initial blocking implementation

Sun Dec 11 05:30:17 CET 2005  axel@liljencrantz.se
  * Fix crash bug in token search

Sat Dec 10 01:36:07 CET 2005  axel@liljencrantz.se
  * Remove compiler warning

Sat Dec 10 01:33:35 CET 2005  axel@liljencrantz.se
  * Make sure tokenizer never changes input string

Fri Dec  9 13:19:54 CET 2005  axel@liljencrantz.se
  * Escape the ~ character

Fri Dec  9 05:05:20 CET 2005  axel@liljencrantz.se
  tagged 1.18.1

Fri Dec  9 05:05:12 CET 2005  axel@liljencrantz.se
  * 1.18.1

Fri Dec  9 05:04:43 CET 2005  axel@liljencrantz.se
  * Add history search information to documentation

Fri Dec  9 04:50:42 CET 2005  axel@liljencrantz.se
  * Shorten ${foo} error message a bit

Fri Dec  9 04:32:25 CET 2005  axel@liljencrantz.se
  * Fix missing escapes for the [] characters

Fri Dec  9 03:56:51 CET 2005  axel@liljencrantz.se
  * Add minor missing completion for fish itself

Fri Dec  9 03:49:23 CET 2005  axel@liljencrantz.se
  * Do not fail make install on missing ChangeLog

Fri Dec  9 03:47:18 CET 2005  axel@liljencrantz.se
  * Completion prefix was missing one character

Fri Dec  9 03:41:16 CET 2005  axel@liljencrantz.se
  * Do not stop evaluation on wildcard error

Fri Dec  9 03:40:34 CET 2005  axel@liljencrantz.se
  * Fix buffer inconsistency un ^U

Wed Dec  7 17:43:57 CET 2005  axel@liljencrantz.se
  tagged 1.18.0

Wed Dec  7 17:31:22 CET 2005  axel@liljencrantz.se
  * Set version to 1.18.0

Wed Dec  7 17:29:24 CET 2005  axel@liljencrantz.se
  * Correct set help page. The handling of setting a variable to no value has changed.

Wed Dec  7 17:06:47 CET 2005  axel@liljencrantz.se
  * Improved error messages

Wed Dec  7 16:57:17 CET 2005  axel@liljencrantz.se
  * Spelling

Wed Dec  7 15:48:49 CET 2005  axel@liljencrantz.se
  * Handle setting zero length variable name

Wed Dec  7 15:43:07 CET 2005  axel@liljencrantz.se
  * Insert boundary token at quotes, makes things like $foo"bar" work right

Wed Dec  7 14:03:30 CET 2005  axel@liljencrantz.se
  * Give intelligent warning messages on zero-length variable names.

Wed Dec  7 14:02:09 CET 2005  axel@liljencrantz.se
  * Set status to 1 on parse errors

Thu Nov  3 18:03:48 CET 2005  netocrat@dodo.com.au
  * Add a distclean target to Makefile.in

Thu Nov  3 16:10:26 CET 2005  netocrat@dodo.com.au
  * Add missing files to remove for make clean

Thu Nov  3 15:35:35 CET 2005  netocrat@dodo.com.au
  * Modify fish init scripts to take account of @SYSCONFDIR@

Sun Dec  4 14:22:59 CET 2005  axel@liljencrantz.se
  * Even more documentation updates. Variable expantion and design document sections.

Sun Dec  4 14:22:18 CET 2005  axel@liljencrantz.se
  * Remove silly warnings in help script

Sun Dec  4 13:40:43 CET 2005  axel@liljencrantz.se
  * More documentation corrections and updates

Sun Dec  4 03:33:53 CET 2005  axel@liljencrantz.se
  * More documentation tweaks

Sun Dec  4 03:27:40 CET 2005  axel@liljencrantz.se
  * Updated some obsolete documentation sections, and added some general polish

Sun Dec  4 02:56:13 CET 2005  axel@liljencrantz.se
  * Fix display bug causing the wrong completion string prefix to be shown in some situations

Sun Dec  4 02:54:02 CET 2005  axel@liljencrantz.se
  * Fix bug breaking filename completions, introduced by csh wildcard syntax

Sat Dec  3 20:51:35 CET 2005  axel@liljencrantz.se
  * Remove more deprecated event hooks

Sat Dec  3 20:50:03 CET 2005  axel@liljencrantz.se
  * Update todo list to reflect recent changes

Sat Dec  3 20:48:01 CET 2005  axel@liljencrantz.se
  * No longer track changes to the ChangeLog file, since it is autogenerated

Sat Dec  3 20:46:18 CET 2005  axel@liljencrantz.se
  * Remove old event hooks, add more event handler documentation

Sat Dec  3 17:43:56 CET 2005  axel@liljencrantz.se
  * Use csh-style error rules with wildcards, i.e. if no matches are found, the command is not executed

Thu Dec  1 16:47:01 CET 2005  axel@liljencrantz.se
  tagged 1.17.0

Thu Dec  1 16:45:44 CET 2005  axel@liljencrantz.se
  * Set version to 1.17.0, disable fishd optimization patch.

Wed Nov 30 16:33:03 CET 2005  axel@liljencrantz.se
  * Fix broken recursive wildcard patch

Tue Nov 29 20:51:32 CET 2005  axel@liljencrantz.se
  * Only insert fishd barrier after non-builtin commands to increase performance

Tue Nov 29 20:50:30 CET 2005  axel@liljencrantz.se
  * Make the not builtin work with shellscript functions

Tue Nov 29 17:52:02 CET 2005  axel@liljencrantz.se
  * Change stupid call signature for tilde expand function

Tue Nov 29 15:33:52 CET 2005  axel@liljencrantz.se
  * Fix problem with recursive wildcards not working properly when postfixed with a regular string

Tue Nov 29 11:14:14 CET 2005  axel@liljencrantz.se
  * Remove accidentally included test code for recursive wildcard feature

Tue Nov 29 11:13:03 CET 2005  axel@liljencrantz.se
  * Minor cleanups

Tue Nov 29 11:12:06 CET 2005  axel@liljencrantz.se
  * Try to report IO redirection errors resulting from redirection stderr

Mon Nov 28 15:42:02 CET 2005  James Vega <jamessan@jamessan.com>
  * common.c: Include the header file for ioctl()

Mon Nov 28 00:24:09 CET 2005  axel@liljencrantz.se
  * Make sure fishd saves before exiting from signal

Mon Nov 28 00:22:08 CET 2005  axel@liljencrantz.se
  * Make sure fishd synchronization happens only when needed

Sun Nov 27 16:06:03 CET 2005  axel@liljencrantz.se
  * Use better test for presense of getopt_long function

Fri Nov 25 17:28:39 CET 2005  axel@liljencrantz.se
  * Remove config.h.in from repo, it is autogenerated by autoheader

Fri Nov 25 15:44:34 CET 2005  axel@liljencrantz.se
  * Use iswspace instead of the GNU extention iswblank

Fri Nov 25 15:44:06 CET 2005  axel@liljencrantz.se
  * Use short style switch on set_color, since long style getopt not always available

Fri Nov 25 15:18:26 CET 2005  axel@liljencrantz.se
  * Fire pending events when interrupted while reading from keyboard

Fri Nov 25 15:16:57 CET 2005  axel@liljencrantz.se
  * Remove ifdefs from function code

Thu Nov 24 12:13:21 CET 2005  Claes N[_\c3_][_\a4_]st[_\c3_][_\a9_]n <me@pekdon.net>
  * builtin ulimit checks
  Adds checks for RLIMIT_NPROC, RLIMIT_RSS and RLIMIT_MEMLOCK not available
  on all platforms.

Wed Nov 23 19:57:43 CET 2005  axel@liljencrantz.se
  * Minor code tweaks

Wed Nov 23 19:57:10 CET 2005  axel@liljencrantz.se
  * Change name of fishd log file

Wed Nov 23 16:35:03 CET 2005  horeah@gmail.com
  * Added support for recursive wildcards

Thu Nov  3 17:26:25 CET 2005  axel@liljencrantz.se
  * Make sure installation path is in PATH

Wed Nov  2 17:49:13 CET 2005  axel@liljencrantz.se
  * Change quoting rules to POSIX style

Wed Nov  2 16:51:58 CET 2005  axel@liljencrantz.se
  tagged 1.16.2

Wed Nov  2 16:41:59 CET 2005  axel@liljencrantz.se
  * Minor performance tweaks

Wed Nov  2 15:59:30 CET 2005  axel@liljencrantz.se
  * Bump to 1.16.2

Wed Nov  2 15:52:52 CET 2005  axel@liljencrantz.se
  * No special casing for installing to $HOME

Tue Nov  1 22:56:28 CET 2005  jan.fader@web.de
  * Bugfixing for the last patch

Tue Nov  1 21:52:15 CET 2005  jan.fader@web.de
  * Patch for the stupid defaults of autoconf

Thu Oct 27 17:23:32 CEST 2005  axel@liljencrantz.se
  * Fix minor bug in completions for make, which caused it to fail completing targets beginning with 't'

Thu Oct 27 17:21:48 CEST 2005  axel@liljencrantz.se
  * Fix crash bug when pasting long text

Thu Oct 27 14:20:03 CEST 2005  James Vega <jamessan@jamessan.com>
  * fish_tests.c: Include header files for missing function definitions.

Thu Oct 27 16:45:10 CEST 2005  axel@liljencrantz.se
  * Do not override users sysconfdir setting

Wed Oct 26 16:48:23 CEST 2005  axel@liljencrantz.se
  * Minor performance tweak: Do not allocate any heap memory for hash_table_t until an element is inserted. That way, hash tables that never contain any data will not cause a call to malloc()

Wed Oct 26 12:51:02 CEST 2005  axel@liljencrantz.se
  * Minor performance tweaks

Tue Oct 25 16:33:55 CEST 2005  axel@liljencrantz.se
  * Add documentation for the vared shellscript function

Tue Oct 25 15:48:51 CEST 2005  axel@liljencrantz.se
  * vared function used older uppercase names for fish colors

Tue Oct 25 15:40:43 CEST 2005  axel@liljencrantz.se
  * Predecalre variables in psub

Tue Oct 25 13:25:09 CEST 2005  axel@liljencrantz.se
  tagged 1.16.1

Tue Oct 25 13:22:47 CEST 2005  axel@liljencrantz.se
  * Use select instead of poll to avoid MacOS X bugs

Tue Oct 25 13:03:52 CEST 2005  axel@liljencrantz.se
  * Fix problem bug breaking completion in commands with multiple subshells

Tue Oct 25 11:39:45 CEST 2005  axel@liljencrantz.se
  * Make sure PATH contains vital directories during init

Mon Oct 24 19:51:08 CEST 2005  axel@liljencrantz.se
  * Make sure fish color settings are valid colors

Mon Oct 24 17:26:25 CEST 2005  axel@liljencrantz.se
  * Huge API documentation cleanup

Sun Oct 23 14:14:29 CEST 2005  axel@liljencrantz.se
  * Code cleanups and API documentation updates

Sun Oct 23 12:22:32 CEST 2005  axel@liljencrantz.se
  * Make sure USER variable is correct. Needed when using the su command.

Sat Oct 22 12:09:19 CEST 2005  axel@liljencrantz.se
  tagged 1.16.0

Sat Oct 22 12:06:05 CEST 2005  axel@liljencrantz.se
  * Fix broken umask, add completions, documentation cleanups, etc

Fri Oct 21 14:39:45 CEST 2005  axel@liljencrantz.se
  * Documentation and completion updates

Fri Oct 21 13:59:45 CEST 2005  axel@liljencrantz.se
  * Code cleanups and API documentation updates

Fri Oct 21 01:56:51 CEST 2005  axel@liljencrantz.se
  * Improve error message on bad IO redirection

Thu Oct 20 14:06:10 CEST 2005  axel@liljencrantz.se
  * Minor edits

Thu Oct 20 13:34:47 CEST 2005  axel@liljencrantz.se
  * Bump version number to 1.16.0

Thu Oct 20 13:30:01 CEST 2005  axel@liljencrantz.se
  * Fix broken debug in non-interactive mode

Thu Oct 20 13:27:54 CEST 2005  axel@liljencrantz.se
  * Use private use area for internal non-unicode characters

Wed Oct 19 14:07:44 CEST 2005  axel@liljencrantz.se
  * Do not break stdin when reading a script

Mon Oct 17 16:30:50 CEST 2005  axel@liljencrantz.se
  * Add documentation for umask

Mon Oct 17 16:15:58 CEST 2005  axel@liljencrantz.se
  * Use named pipe for process substitution

Mon Oct 17 15:36:57 CEST 2005  axel@liljencrantz.se
  * Do not use RLIMIT_AS on systems that don't have it, like NetBSD

Mon Oct 17 15:27:46 CEST 2005  axel@liljencrantz.se
  * Minor completion updates for umount

Mon Oct 17 15:24:12 CEST 2005  axel@liljencrantz.se
  * Initial imlementation of uname shellscript function

Sun Oct 16 13:37:49 CEST 2005  axel@liljencrantz.se
  * Update __fish_contains_opt to new scoping rules

Sat Oct 15 19:09:14 CEST 2005  axel@liljencrantz.se
  * Tweaks for ls ad Valgrind completions

Sat Oct 15 16:32:20 CEST 2005  axel@liljencrantz.se
  * Add completions for umount

Sat Oct 15 13:11:39 CEST 2005  axel@liljencrantz.se
  * Add missing documentation file for ulimit

Sat Oct 15 12:12:45 CEST 2005  axel@liljencrantz.se
  * Documentation updates

Sat Oct 15 12:12:19 CEST 2005  axel@liljencrantz.se
  * Use N>| instead of N| for generic pipe redirection

Sat Oct 15 02:51:26 CEST 2005  axel@liljencrantz.se
  * Add support for specifying event handler for calling job in command supstitution. Add psub shellscript function for process substitution

Sat Oct 15 00:33:01 CEST 2005  axel@liljencrantz.se
  * Implement the ulimit builtin

Fri Oct 14 13:40:33 CEST 2005  axel@liljencrantz.se
  * Increase fish robustness by improving signal handling when forking jobs and minor signal handling improvements

Thu Oct 13 16:11:29 CEST 2005  axel@liljencrantz.se
  * Fix event notification bug that caused read errors

Thu Oct 13 16:08:33 CEST 2005  axel@liljencrantz.se
  * Optimize interactive input reader by allowing multiple input characters between redraws

Wed Oct 12 13:23:42 CEST 2005  axel@liljencrantz.se
  * Escape % sign in escape function

Wed Oct 12 12:45:10 CEST 2005  axel@liljencrantz.se
  * Add more mappings for Alt-arrowkyes

Wed Oct 12 12:44:37 CEST 2005  axel@liljencrantz.se
  * Twek messages in fish_test

Wed Oct 12 12:39:52 CEST 2005  axel@liljencrantz.se
  * Fix issue if fallback implementation of *wprintf functions causing some wide characters to fail printing

Wed Oct 12 12:36:38 CEST 2005  axel@liljencrantz.se
  * Try to dup stderr if fopen(ttyname) fails on init (Needed when using su)

Wed Oct 12 12:34:21 CEST 2005  axel@liljencrantz.se
  * Do automatic line breaking in debug

Wed Oct 12 09:06:08 CEST 2005  axel@liljencrantz.se
  * Various fixes for *wprintf replacements used in NetBSD

Wed Oct 12 09:03:51 CEST 2005  axel@liljencrantz.se
  * Check that there are a sufficient number of arguments for fish_pager

Tue Oct 11 21:48:31 CEST 2005  axel@liljencrantz.se
  * Fix invalid free causing hangup and crash in completion code

Tue Oct 11 21:31:16 CEST 2005  axel@liljencrantz.se
  * Stop using anonymous unions

Tue Oct 11 21:23:43 CEST 2005  axel@liljencrantz.se
  * Event handling and job reaping updates

Mon Oct 10 18:12:55 CEST 2005  axel@liljencrantz.se
  * Multiple portability fixes

Sun Oct  9 14:44:31 CEST 2005  axel@liljencrantz.se
  * Spelling fix

Sun Oct  9 13:53:09 CEST 2005  axel@liljencrantz.se
  * Remove finsihed jobs after events

Sun Oct  9 13:48:16 CEST 2005  axel@liljencrantz.se
  * API documentation updates

Sat Oct  8 13:20:51 CEST 2005  axel@liljencrantz.se
  * Move io redirection functions to their own library

Sat Oct  8 11:33:10 CEST 2005  axel@liljencrantz.se
  * Spelling fixes

Sat Oct  8 04:27:06 CEST 2005  axel@liljencrantz.se
  * Minor fixes

Sat Oct  8 04:03:30 CEST 2005  axel@liljencrantz.se
  * Don't allocate new buffers for tokenizer. Performance increase

Sat Oct  8 04:02:30 CEST 2005  axel@liljencrantz.se
  * Call job removal more often in non-interactive mode, increases performance when parsing long files

Sat Oct  8 04:00:08 CEST 2005  axel@liljencrantz.se
  * Minor edits

Sat Oct  8 02:23:49 CEST 2005  axel@liljencrantz.se
  * Improve error message on missing 'end'

Sat Oct  8 02:23:08 CEST 2005  axel@liljencrantz.se
  * Fix bug that broke pipe redirection

Fri Oct  7 23:30:08 CEST 2005  axel@liljencrantz.se
  * Allow redirection to filedescriptors with higher number than 9

Fri Oct  7 23:28:44 CEST 2005  axel@liljencrantz.se
  * Allow explicitly local variable that die at EOF when sourcing files

Fri Oct  7 16:36:31 CEST 2005  axel@liljencrantz.se
  * Meta-p shortcut for piping output through pager

Fri Oct  7 16:08:57 CEST 2005  axel@liljencrantz.se
  * Add support for piping using other file descriptor than fd 1

Fri Oct  7 12:36:51 CEST 2005  axel@liljencrantz.se
  * API cleanup

Fri Oct  7 11:59:38 CEST 2005  axel@liljencrantz.se
  * Test for presens of rt and socket libraries

Fri Oct  7 11:17:59 CEST 2005  axel@liljencrantz.se
  * Minor edits

Fri Oct  7 11:17:16 CEST 2005  axel@liljencrantz.se
  * Use setsid to daemonize fishd

Thu Oct  6 22:53:36 CEST 2005  axel@liljencrantz.se
  * Minor bugfixes for Solaris

Thu Oct  6 13:54:16 CEST 2005  axel@liljencrantz.se
  * Various updates to signal event handling

Thu Oct  6 12:39:01 CEST 2005  axel@liljencrantz.se
  * Switch from setpgrp to setpgid for platform independence

Thu Oct  6 12:30:52 CEST 2005  axel@liljencrantz.se
  * Updates to string formating functions

Thu Oct  6 09:30:50 CEST 2005  axel@liljencrantz.se
  * Add additional event-handling files

Thu Oct  6 00:37:08 CEST 2005  axel@liljencrantz.se
  * Initial update for new event subsystem

Wed Oct  5 12:02:10 CEST 2005  axel@liljencrantz.se
  * Make sure WCHAR_MAX is #defined

Wed Oct  5 12:00:14 CEST 2005  axel@liljencrantz.se
  * Rename preprocessor symbols to avoid nameclash with ncurses

Wed Oct  5 11:58:00 CEST 2005  axel@liljencrantz.se
  * Proper order for #includes

Tue Oct  4 16:47:45 CEST 2005  James Vega <jamessan@jamessan.com>
  * Change WCHAR_END to use WCHAR_MAX instead of hard-coding a value.

Tue Oct  4 16:47:09 CEST 2005  James Vega <jamessan@jamessan.com>
  * Add a missing function prototype.

Tue Oct  4 17:11:39 CEST 2005  James Vega <jamessan@jamessan.com>
  * Add header guards to the header files.

Tue Oct  4 15:53:21 CEST 2005  axel@liljencrantz.se
  * Update to array_list heap patch

Tue Oct  4 15:43:26 CEST 2005  axel@liljencrantz.se
  * Add shortcut function for creating an array_list_t on the heap

Tue Oct  4 11:50:13 CEST 2005  axel@liljencrantz.se
  * Clarifications for Changelog

Tue Oct  4 00:37:04 CEST 2005  axel@liljencrantz.se
  * Set version to 1.15.0

Tue Oct  4 00:36:54 CEST 2005  axel@liljencrantz.se
  * Changelog update

Sat Oct  1 21:18:52 CEST 2005  netocrat@dodo.com.au
  * Correct NFS-safe locking for per-hostname uniqueness (and misc fixes)
  The temporary linked-to file now uses the hostname or a (reasonably) random string of digits so that the filename is truly unique when multiple NFS clients are accessing the same directory.  Other fixes: 3.1 corrected to 0.31 (was allocating x10 too many characters); units of LOCKPOLLINTERVAL recommented to specify milliseconds; added debug()s; reworded misc comments for clarity/accuracy.

Mon Oct  3 17:26:39 CEST 2005  axel@liljencrantz.se
  * Use internal implementation for wcsncasecmp

Mon Oct  3 15:58:48 CEST 2005  axel@liljencrantz.se
  * Drop various debug messages

Mon Oct  3 15:24:46 CEST 2005  axel@liljencrantz.se
  * Code cleanup and a few source code comments

Mon Oct  3 15:09:37 CEST 2005  axel@liljencrantz.se
  * Make sure all internal file descriptors are closed when spawning children

Sun Oct  2 16:08:30 CEST 2005  axel@liljencrantz.se
  * Minor documentation updates

Sun Oct  2 15:44:06 CEST 2005  axel@liljencrantz.se
  * Fix broken regression test (irony?)

Sun Oct  2 15:40:46 CEST 2005  axel@liljencrantz.se
  * Support symbolic keybindings

Sat Oct  1 11:57:09 CEST 2005  axel@liljencrantz.se
  * Use debug function instead of fwprintf

Fri Sep 30 21:50:21 CEST 2005  netocrat@dodo.com.au
  * Amended critical section locking to be NFS-safe

Fri Sep 30 20:28:26 CEST 2005  axel@liljencrantz.se
  * Cast null pointers to (void *) in vararg functions

Wed Sep 28 03:43:09 CEST 2005  netocrat@dodo.com.au
  * Critical section locking for fishd

Wed Sep 28 23:02:24 CEST 2005  axel@liljencrantz.se
  * Add missing include for intern.c

Tue Sep 27 19:40:25 CEST 2005  axel@liljencrantz.se
  * Minor fix in testsuite

Tue Sep 27 19:31:07 CEST 2005  axel@liljencrantz.se
  * Minor tweak in buildscript

Tue Sep 27 10:35:54 CEST 2005  axel@liljencrantz.se
  * Update testsuite to reflect new variable scoping rules

Tue Sep 27 10:35:07 CEST 2005  axel@liljencrantz.se
  * Silence universal variable server error reporting

Mon Sep 26 16:58:35 CEST 2005  axel@liljencrantz.se
  * For-loop variable must have explicitly local scope

Mon Sep 26 16:54:26 CEST 2005  axel@liljencrantz.se
  * Default scope for variables is innermost function block

Mon Sep 26 16:47:03 CEST 2005  axel@liljencrantz.se
  * Add support for zero element arrays

Mon Sep 26 16:11:36 CEST 2005  axel@liljencrantz.se
  * Fix regression bug in regression test suite

Mon Sep 26 14:33:06 CEST 2005  axel@liljencrantz.se
  * Change configuration file names if installing in $HOME

Mon Sep 26 04:01:57 CEST 2005  axel@liljencrantz.se
  * Update documentation on keybindings

Mon Sep 26 00:41:26 CEST 2005  axel@liljencrantz.se
  * Remove non-unicode quotes, replace with bold

Mon Sep 26 00:39:48 CEST 2005  axel@liljencrantz.se
  * Support for numeric backslash escapes

Sun Sep 25 13:32:13 CEST 2005  axel@liljencrantz.se
  * Set locale in key_reader correctly

Sun Sep 25 13:31:34 CEST 2005  axel@liljencrantz.se
  * Release 1.14.0

Sun Sep 25 13:25:42 CEST 2005  axel@liljencrantz.se
  * No semicolon required after else/begin

Sat Sep 24 21:55:58 CEST 2005  axel@liljencrantz.se
  * Fix compiler warnings

Sat Sep 24 21:52:42 CEST 2005  axel@liljencrantz.se
  * Fix crash bug when user presses ^C

Sat Sep 24 21:35:08 CEST 2005  axel@liljencrantz.se
  * Fix minor memory leak in process expantion

Sat Sep 24 21:32:27 CEST 2005  axel@liljencrantz.se
  * Updated completions for modprobe and set_color

Sat Sep 24 21:31:17 CEST 2005  axel@liljencrantz.se
  * Fix minor bugs in parser

Sat Sep 24 19:15:12 CEST 2005  axel@liljencrantz.se
  * Completion updates

Sat Sep 24 18:31:22 CEST 2005  axel@liljencrantz.se
  * Escape from token search and help updates

Sat Sep 24 04:12:56 CEST 2005  axel@liljencrantz.se
  * Minor edits

Sat Sep 24 04:11:57 CEST 2005  axel@liljencrantz.se
  * Silence error messages from cut

Sat Sep 24 03:31:57 CEST 2005  axel@liljencrantz.se
  * Minor documentation update

Sat Sep 24 03:30:16 CEST 2005  axel@liljencrantz.se
  * Update for type function

Sat Sep 24 03:28:34 CEST 2005  axel@liljencrantz.se
  * Add support for bold mode to set_color command

Sat Sep 24 01:32:02 CEST 2005  axel@liljencrantz.se
  * Darcs completion updates

Sat Sep 24 01:15:38 CEST 2005  axel@liljencrantz.se
  * Fix for broken variable export

Fri Sep 23 16:56:46 CEST 2005  axel@liljencrantz.se
  * Tex completions

Fri Sep 23 16:44:45 CEST 2005  axel@liljencrantz.se
  * Documentation updates

Fri Sep 23 16:33:16 CEST 2005  axel@liljencrantz.se
  * Minor documentation updates

Fri Sep 23 15:10:31 CEST 2005  axel@liljencrantz.se
  * Fix for various redirection problems

Thu Sep 22 22:16:52 CEST 2005  axel@liljencrantz.se
  * Exportable universal variables

Thu Sep 22 12:11:01 CEST 2005  axel@liljencrantz.se
  * keybinding cleanups

Wed Sep 21 02:00:39 CEST 2005  axel@liljencrantz.se
  * Add darcs completions

Wed Sep 21 01:57:18 CEST 2005  axel@liljencrantz.se
  * Minor tweaks

Wed Sep 21 01:42:00 CEST 2005  axel@liljencrantz.se
  * Key binding functions

Wed Sep 21 00:46:40 CEST 2005  axel@liljencrantz.se
  * Fix broken sort on printing of variable names in set builtin

Tue Sep 20 23:42:20 CEST 2005  axel@liljencrantz.se
  * Minor documentation updates

Tue Sep 20 16:51:00 CEST 2005  axel@liljencrantz.se
  * Don't leak file descriptors when showing completion pager

Tue Sep 20 16:11:05 CEST 2005  axel@liljencrantz.se
  * Minor documentation updates

Tue Sep 20 15:31:55 CEST 2005  axel@liljencrantz.se
  * Add subdirectories

Tue Sep 20 15:26:39 CEST 2005  axel@liljencrantz.se
  * Initial revision

2005-10-03 Netocrat <netocrat@dodo.com.au>

	* fishd.c, common.c: Make lock-file name include hostname for increased protection on shared NFS /tmp.
	
	
2005-10-02  Axel Liljencrantz  <axel@liljencrantz.se>

	* input.c: Add support for symbolic key sequence definitions, i.e. 'Control-a'

2005-10-01 Netocrat <netocrat@dodo.com.au>

	* fishd.c, common.c: Add locking support to make sure only one version of fishd is running
	
	
2005-09-26  Axel Liljencrantz  <axel@liljencrantz.se>

	* configure.ac, init/fish.in, main.c: Make ~/etc/fish the system configuration file on installations under ~

	* env.c, builtin_set.c (env_exist, env_get, env_set, builtin_set): Add support for zero element arrays

	* env.c (env_set): Default scope for variables is innermost function block

	* builtin.c (builtin_for): For-loop variable must have explicitly local scope

	
2005-09-25  Axel Liljencrantz  <axel@liljencrantz.se>

	* parser.c: (parse_job, parser_skip_arguemnts, paresr_Test): No semicolon required after else and begin

	* input_common.c (readb): Fix sign error

	* input.c (input_expand_sequence): Add support for numeric backslash escapes in keybinding definitions
	
	
2005-09-24  Axel Liljencrantz  <axel@liljencrantz.se>

	* Version 1.14.0
	
	* reader.c (reader_readline): Quit token search on escape

	* parser.c (pares_job_main_loop): Make command substitutions for the case command expand properly

	* parser.c (pares_job_main_loop): Fix memory leak on parse error in pipeline

	* common.h, common.c: Make DEBUG_LEVEL constant into debug_level runtime configurable variable

	* proc.h (handle_child_status): Fix crash bug when user presses ^C
	
2005-09-23  Axel Liljencrantz  <axel@liljencrantz.se>
	
	* reader.c (set_signal_handlers): Ignore SIG_PIPE, generated by fishd socket

	* exec.c (exec_read_io_buffer): Do not block, since SIG_PIPE seems to mess up EOF status on pipes

	* init/fish_function.fish (type): Minor improvements to the type function
	
2005-09-22  Axel Liljencrantz  <axel@liljencrantz.se>

	* env_universal.c, env_universal_common.c, env.c, fishd.c, builtin_set.c, exec.c, init/fish_interactive.fish: Exportable universal variables


2005-09-20  Axel Liljencrantz  <axel@liljencrantz.se>

	* exec.c, reader.c (exec_read_io_buffer, run_pager): Don't leak file descriptors when showing completion pager

	* builtin_set.c (print_variables): Fix broken sort of variable names on print

	* builtin.c, function.c, function.h: Add support for --key-binding flag on function definitions

	* init/fish_input, init/fish_function, input.c: Switch over to using keybinding-functions for keybindings
	
2005-09-19  Axel Liljencrantz  <axel@liljencrantz.se>

	* env_universal.c, env_universal_common.c (barrier, callback, create_message, parse_message): Add support for blocking a client until all current messages from the client and corresponding replies  have been transmitted.

	* env_universal.c (env_universal_read_all): Avoid recursive get_socket issues

	* fish_pager.c (main, init, destroy): Return unused keypresses on pager exit
	* reader.c (run_pager): Return unused keypresses on pager exit

	* fish_pager.c (completion_try_print, main): Use alternate screen for interactive pager when available. 

	* reader.c (reader_readline): Quit searching on escape


2005-09-17  Axel Liljencrantz  <axel@liljencrantz.se>

	* init/fish.in: Revert DISPLAY to non-array

	* doc_src/doc.hdr: Documentation cleanup


2005-09-16  Axel Liljencrantz  <axel@liljencrantz.se>

	* builtin.c (builtin_status): Added the status builtin, for checking the fishprogram status

	* doc_src/doc.hdr, init/fish, init/fish_function.fish, init/fish_complete.fish, init/fish_interactive.fish: Switch nomencalature: from subshell to command substitution

	* doc_src/doc.hdr: Update documentation on variables
	* doc_src/doc.hdr: Update documentation on commands and builtins
	* doc_src/doc.hdr: Update documentation on completions

	* init/fish_function.fish: help command now shows help for non-builtin commands	
	* init/fish_function.fish: help command now searches man-pages

	* env_universal.c, env_universal_common.c, fishd.c, env.c, builtin_set.c: Add support for universal variables

	* env.c: Setting a local variable does not erase a global variable with the same name


2005-09-13  Axel Liljencrantz  <axel@liljencrantz.se>

	* exec.c (handle_new_child): Only call tcsetpgrp after creating new group

	* exec.c, proc.c (setup_child_process, internal_exec_helper, handle_new_child, job_continue): Do not put block commands into their own groups


2005-09-06  Axel Liljencrantz  <axel@liljencrantz.se>

	* expand.c (tilde_expand): ~ should expand to $HOME, not getpwuid(getuid())->pw_dir

2005-09-05  Axel Liljencrantz  <axel@liljencrantz.se>

	* parser.c, builtin.c, Makefile.in (parse_job, builtin_not, builtin_run, builtin_get_desc): Add new 'not' builtin to negate commands

	* parser.c, builtin.c, Makefile.in (parse_job, builtin_begin, builtin_run, builtin_get_desc): Add new 'begin' builtin to create unconditional block


2005-09-01  Axel Liljencrantz  <axel@liljencrantz.se>

	* complete.c (complete_load): Reload completions from file if completion file changes

	* init/fish_functions: Added a 'type' shellscript function, with the same functionality as the bash builtin with the same name, and additional support for gnu style long options


2005-08-31  Axel Liljencrantz  <axel@liljencrantz.se>

	* init/completions/modprobe.fish: Add completions for modprobe command
	* init/completions/service.fish: Add completions for service command
	* init/completions/man.fish: Manual page completion now honors section specification
	
	* builtin.c, exec.c, proc.c (builtin_run, exec, job_continue): Builtins now follow the same rules w.r.t. setting the status variable as all other commands

	
2005-09-12  Axel Liljencrantz  <axel@liljencrantz.se>

	* Version 1.13.4
	
	* common.c (block, unblock, fgetws2): Smart blocking support to avoid excessive calls to signal blocking functions

	* complete.c (complete): Fix infinite loop when completing string 'command '
	

2005-09-07  Axel Liljencrantz  <axel@liljencrantz.se>

	* Version 1.13.3
	
	* init/fish.in, init/fish_function.fish: Actually apply Netocrats patch, and not a broken patch causing random error messages

2005-09-06  Axel Liljencrantz  <axel@liljencrantz.se>

	* Version 1.13.2

2005-09-05  Axel Liljencrantz  <axel@liljencrantz.se>

	* builtin.c (builtin_source): Fix crash when sourcing non-existant file

	* init/fish.in: Only call unicode_start if in unicode locale
	
2005-09-05  Netocrat <netocrat@dodo.com.au>

	* init/fish.in: Only set LANG in login shells
	* init/fish_function (prompt_pwd): Don't use ellipsis character when not in unicode mode
	
2005-08-28  James Vega <jamessan@jamessan.com>

	* function.c: Add missing #include "intern.h"

	* env.c (env_set): GCC 4.0 workaround
	
2005-08-31  Axel Liljencrantz  <axel@liljencrantz.se>

	* init/completions/function.fish: Some completions for function accidentally targeted the functions builtin. (Note the extra 's')
	
2005-08-31  Axel Liljencrantz  <axel@liljencrantz.se>

	* Version 1.13.1

2005-08-31  Netocrat <netocrat@dodo.com.au>

	* reader.c (write_prompt): Fix prompt flickering issue

2005-08-31  Axel Liljencrantz  <axel@liljencrantz.se>

	* exec.c (internal_exec_helper): Function blocks should not be marked as subshells
	* exec.c (setup_child_process): Unblock childs signal handlers, fixes script bug

2005-08-28  Axel Liljencrantz  <axel@liljencrantz.se>

	* Version 1.13.0

2005-08-26  Axel Liljencrantz  <axel@liljencrantz.se>

	* init/fish_inputrc: Remove the lame replace-commandline feature

	* init/fish_inputrc: Remove the lame explain feature
	
	
2005-08-25  Axel Liljencrantz  <axel@liljencrantz.se>

	* proc.c (job_do_notifications): Do not notify user about status changed in subshell jobs

	* init/completions/rpm.fish: Added package completion functionality

	* init/completions/yum.fish: Added completions for yum command


2005-08-24  Horea Haitonic <horeah@gmail.com>

	* init/completions/diff.fish: Updated completions for diff command
	
	
2005-08-24  Axel Liljencrantz  <axel@liljencrantz.se>

	* util.c (sb_printf): Added sb_printf function for formated output into string buffer
	* util.c (sb_append_in, sb_append_float): Dropped various stringbuffer functions in favour of sb_printf

	* common.c (debug): Added function for making debugging messages

	* builtin.c, exec.c, parser.c: Error reporting cleanups

	* reader.c (reader_write_title): Make console detection slightly less lame


2005-08-22  Axel Liljencrantz  <axel@liljencrantz.se>

	* parser.c (parse_job): Make implicit cd use wrapper function around cd if available

	* parser.c (parser_push_block): Fixed bug causing some global variables to be invisible inside functions

	* env.c (env_push_block, env_pop_block, env_set, local_Scope_exports): Keep track of exported variables in scope to decrease amount of times we have to reexport variable values

	* init/fish.in: Make sure the installation directory is added to the PATH variable, fixes issues where fish won't find it's various subcommands when installed in uncommon locations

2005-08-22  Horea Haitonic <horeah@gmail.com>

	* builtin.c (builtin_cd): Remove support for 'cd -' from cd builtin

	* init/fish_function.fish(cd): Add support for 'cd -' to cd shellfunction wrapper
	* init/fish_function.fish(cd): Add support for directory history
	* init/fish_function.fish(pushd,popd): Add support for directory stack

	
2005-08-20  Axel Liljencrantz  <axel@liljencrantz.se>

	* proc.c, reader.c (job_continue,set_signal_handlers): Make non-interactive mode use signals for handling children
	* proc.c (job_continue): Use waitpid when there are no IO_BUFFER redirections
	
2005-08-19  Axel Liljencrantz  <axel@liljencrantz.se>

	* exec.c (exec, launch_process, handle_child_process, setup_child_process): Clean up exec.c, add buffering for functions and blocks.
	* parser.c (parser_push_block): Fix bug causing while loops in functions to be evaluated when the function was defined

	* reader.c (handle_winch, check_winch): window size environment variables where erroneously set by signal handlers, causing potential crash.

	* init/fish (contains): Made 'contains' much, much faster

	* exec.c (exec): Fix bug causing exec builtin to crash the shell

	
2005-08-18  Axel Liljencrantz  <axel@liljencrantz.se>

	* wildcard.c (get_desc): Re-add stat-call to command completion, but make sure only files that match the completion are stated.

	* proc.c (io_add): io_add can now add together two chains of io redirections, which is needed when merging block-level and job-level redirections. Lack of this functionality caused a bug when doing complex io redirections.

		
2005-08-18  Jan Fader  <jan.fader@web.de>

       * INSTALL: Changed the Chapter over "Local Install Procedure"

       * configure.ac: Fixed not working installation to $HOME

       * Makefile.in: Make echo at the end of the install target not verbose


2005-08-16  Axel Liljencrantz  <axel@liljencrantz.se>

	* init/completions/apropos.fish: Improve completions for aprops

	* parser.c: Added profiling support. Set the PROFILE macro in parser.c to non-zero to enable.
	
2005-08-15  Axel Liljencrantz  <axel@liljencrantz.se>

	* init/completions/wget.fish: Add completions for wget command

	* exec.c (exec_subshell): Remove null entries caused by invalid unicode
	
2005-08-14  Axel Liljencrantz  <axel@liljencrantz.se>

	* builtin_set.c (builtin_set): Fixed bug causing bug when changing variable scope without changing value

	* exec.c, proc.c, parser.c: Added support for piping output of blocks
	
2005-08-12  Axel Liljencrantz  <axel@liljencrantz.se>

	* complete.c (complete_cmd_desc): New implementation of command description lookup, much faster!

	* wildcard.c (get_desc): Avoid calling stat during command completion for performance reasons. Command filesizes are no longer printed.
	
	* wutil.c (wgetcwd, wchdir): Add more wrapper functions
	* builtin.c (builtin_cd): Use new wrappers in wutil

	* wutil.c (wutil_wcs2str): Make convertions use internal buffer for better performance

	* complete.c (complete_load): Add support for dynamic completion loading
	* Makefile.in: Add build support for dynamic completion loading
	* init/fish_complete: Split into multiple dynamically loaded parts
	* builtin.c (builtin_complete): Add -y switch for requesting the loading of completions for a command
	
	* env.c: Decrease the amount of exported environment variable recalculations

	* reader.c, builtin.c (do_exit, builtin_exit): Fixed bug causing fish_on_exit function not to be evaluated in very rare cases
	
2005-08-11  Axel Liljencrantz  <axel@liljencrantz.se>

	* builtin_commandline.c (builtin_commandline): Split of to separate file
	* builtin_commandline.c (builtin_commandline): Make the switches more logical and orthogonal

	* builtin_commandline.c (builtin_commandline): Split of duplicate code to separate functions

	* reader.c (reader_current_token_extent): Fix bug when a short string token follows a pipe or semicolon causing incorrect token identification

	* reader.c (reader_current_job_extent, reader_current_process_extent): Add new extent computation commands
	
	
2005-08-09  Axel Liljencrantz  <axel@liljencrantz.se>

	* builtin.c (builtin_commandline): Add support for inserting readline functions from a command

	* init/fish_inputrc: Change default behaviour of \C-d to __fish_delete_or_exit

	* expand.c (expand_backslash): Add support for C-style  character escapes for unicode, as well as octal and hexadecimal ascii, i.e. \uxxxx, \Uxxxxxxxx, \xxx and \oooo.

	* init/fish_complete.fish: Added skin-specific completions for Valgrind

	* complete.c (complete_param): Fixed bug causing some completions to be omitted

	* init/fish_complete.fish: Added completions for the commandline builtin

2005-08-09  Horea Haitonic <horeah@gmail.com>

	* builtin_set.c (update_values): Improve behavior in assigning array-slices with improper number of arguments

	
2005-08-08  Axel Liljencrantz  <axel@liljencrantz.se>

	* exec.c (launch_process): Fix bug on redirection to self, i.e. >&1.

	* env.c (env_set): Fix scoping misfeature causing improper scoping for exported variables

	* env.c (env_set): Make it possible to explicitly unexport variables
	* builtin_set.c (builtin_set): Add unexport switch to set builtin

	* main.c (main): Fix broken login shell detection

	
2005-08-08  Horea Haitonic <horeah@gmail.com>
	
	* builtin_set.c: Completely new implementation of the 'set' builtin, supporting erasing sets of array elements.


2005-08-05  Axel Liljencrantz  <axel@liljencrantz.se>

	* intern.c (intern, intern_free_all): Add string pooling library, decreases memory usage by ~40kB

	* exec.c proc.c (exec_subshell, ss_create, ss_wait, ss_clear, read_subshell): Remove old (forking) subshell implementation

	* exec.c (exec): Make sure builtins don't fork when buffering output (slight performance increase, larger when using Valgrind)

	* init/fish_complete.fish (__fish_complete_cd): Make sure we don't actually change the directory

	* builtin.c (builtin_cd): Make sure OLDPWD is not changed when using cd in subshells

	* builtin.c (builtin_read): Fixed bug causing random breakage

	
2005-08-04  Axel Liljencrantz  <axel@liljencrantz.se>

	* complete.c (complete_add, complete_param): Add support for conditional command completions

	* builtin.c (builtin_complete): Add switches to the complete builtin to support conditional command completion

	* util.c (al_set): Make sure unused array_list_t elements are zeroed


2005-08-04  Horea Haitonic <horeah@gmail.com>
	
	* util.c (al_push): Set new list size on resize


2005-07-30  Axel Liljencrantz  <axel@liljencrantz.se>

	* exec.c, proc.c (exec_subshell): Execute subshells in main process
	
	
2005-07-28  Axel Liljencrantz  <axel@liljencrantz.se>

	* Version 1.12.1
	
	* expand.c (expand_file_completion): Removed unneeded function, the program should call expand_string directly
	* expand.c (expand_string): Remove unneeded wrapper, expand_string is now the main function

	* complete.c (complete_param_expand): Renamed complete_param_file to complete_param_expand, since it does completions for more than just filenames

	* complete.c (complete): Make sure process completion is always performed
	
	
2005-07-27  Axel Liljencrantz  <axel@liljencrantz.se>

	* init/fish_complete.fish: A common group completion function, used by chgrp and a few others
	* init/fish_complete.fish: Tweak kill completion to work on non-Debian systems
	
2005-07-26 Horea Haitonic <horeah@gmail.com>

	* init/fish_complete.fish: Add completions for kill, zip and diff commands.
	* init/fish_complete.fish: A common process completion function, used by ps and top
	
2005-07-17  James Vega <jamessan@jamessan.com>

	* doc_src/set_color.c, doc_src/tokenize.c, doc_src/mimedb.c: Add missing #includes
	
2005-07-17  Axel Liljencrantz  <axel@liljencrantz.se>

	* parser.c (parser_is_block, parser_is_subcommand, parsert_is_reserved): Changed name of functions parser_block_add, parser_subcommand and parser_reserved

	* tokenizer.c, tokenizer.h (tok_init, tok_next): Changed return type to void

	* doc_src/complete.txt: Added documentation for dynamic completion descriptions

	* parser.c (parse_job, eval_job, eval, parse_job_main_loop): Remove unused tokenizer stacking support

	* reader.c: Code cleanup, API documentation additions.
	
2005-07-16  Axel Liljencrantz  <axel@liljencrantz.se>

	* fish_tests.c: Add Library test functions

	* configure.ac: Handle installation to subdirectories of $HOME properly

	* tokenizer.c (tok_init): Add checks for invalid input 
	
	* parser.c (parser_test): Add checks for invalid input 

2005-07-15  Axel Liljencrantz  <axel@liljencrantz.se>

	* Version 1.12.0
	
2005-07-15 Horea Haitonic <horeah@gmail.com>

	* init/fish_complete.fish: Updated make completions to make them more robust

2005-07-14  Axel Liljencrantz  <axel@liljencrantz.se>

	* complete.c (complete_init, complete_destroy): Remove table with descriptions for executables

	* complete.c (complete): Fixed bug where fish failed to find the command to complete

	* complete.c (complete_add): Fixed missing initialization	

	* env.c (env_init): Removed remnant of $random variable

	* init/fish_complete.fish: Fixed a few typos, misspelled words, etc
	* init/fish_complete.fish: Make sure -x flag is set properly 
	* init/fish_complete.fish(__fish_print_users): Added generic username completion
	
	* reader.c (completion_print): Fixed width miscalculation bug in completion listing code
	
2005-07-13  Axel Liljencrantz  <axel@liljencrantz.se>

	* common.c (str2wcs): Make the maximum error report count runtime configurable
	* complete.c (complete): Do not report string convertion errors in completion mode

	* builtin.c, builtin.h, exec.c (builtin_exec, builtin_run): Renamed builtin_exec to builtin_run to avoid nameclash when adding the builtin 'exec'
	* builtin.c, parser.c, exec.c (builtin_exec, builtin_run, exec, parse_job): Add builtin 'exec'

2005-07-08  James Vega <jamessan@jamessan.com>

	* reader.c (reader_sanity_check): Remove useless sanity checks
	
2005-07-08  Axel Liljencrantz  <axel@liljencrantz.se>

	* autoconf.ac: Fixed docdir bug

	* init/fish_funcion.fish (help): Fixed bug causing fish not to show right section for builtins
	
2005-07-07  Axel Liljencrantz  <axel@liljencrantz.se>

	* wildcard.c(wildcard_expand): File completion now includes file size
	
	* init/fish_complete.fish: Tweaked completions

2005-07-07  Yongjian Xu <i3dmaster@gmail.com>

	* init/fish_complete.fish: Added loads of new completions

2005-07-05  Axel Liljencrantz  <axel@liljencrantz.se>

	* parser.c (parser_reserved): Added reserved words 'end', 'else', 'case', 'builtin' and 'command'
	
2005-07-04  Axel Liljencrantz  <axel@liljencrantz.se>

	* builtin.c (builtin_commandline): Add token handling functionality to commandline builtin
	* parser.c, complete.c (parser_check_command, complete): Remove token handling functionality through environment variables - replaced by commandline builtin

	* init/fish_functions.fish (contains,_contains_help): Added a contains function, for checking if a key is in a set
	
2005-07-01  Axel Liljencrantz  <axel@liljencrantz.se>

	* reader.c (reader_current_token_extent, reader_current_subshell_extent): Factor out token handling code
	
	* reader.c (reader_readline, handle_token_history): Add token search functionality

2005-06-27  James Vega <jamessan@jamessan.com>

	* input.c (add_emacs_bindings): Fix spelling error causing broken keybindings
	
2005-06-27  Axel Liljencrantz  <axel@liljencrantz.se>

	* complete.c (complete_add,complete_parm): Add support for old and gnu style long option completion for the same command

	* gen_hdr2.c (main): Added missing return statement

	
2005-06-24  Axel Liljencrantz  <axel@liljencrantz.se>

	* init/fish_complete.fish (__fish_complete_suffix): Add general purpose file completion function
	* init/fish_complete.fish (__fish_complete_directory): Add general purpose directory completion function
	* init/fish_complete.fish (__fish_rpm_complete): Add rpm completions
	* init/fish_complete.fish (__fish_cd_complete): Make cd completion it's own function 

	* function.c (function_get_names,get_names_internal): Add support for hidden functions
	* builtin.c (builtin_function,builtin_functions): Add support for hidden functions
	* complete.c (complete_cmd): Add support for hidden functions

	* init/fish_complete.fish: Update completions for set_color
	
2005-06-19  Axel Liljencrantz  <axel@liljencrantz.se>

	* input.c(input_init,add_emacs_bindings,add_common_bindings,add_vi_bindings): Add initial vi-mode implementation

2005-06-17  James Vega <jamessan@jamessan.com>

	* Makefile.in: Add -fno-strict-aliasing compiler flag

2005-06-16  Axel Liljencrantz  <axel@liljencrantz.se>

	* Version 1.11.1!

	* doc_src/doc.hdr: Small documentation tweak to work around a bug in Doxygen 1.4.3
	
	* env.c (env_init): Make HOME variable writeable by root
	
	* reader.c, configure.ac (writembs): Ugly kludge to make powerpc work
	
	* parser.c (parser_reserved): Add function for checking if a word is reserved
	* parser.c (parser_test): Made validator use parser_reserved function
	* builtin.c(builtin_function): Made function definitions respect reserved words

2005-06-14  Tom Arnett <tarnett@mailshell.com>

	* init/fish_function.fish (prompt_pwd): Corrected the escape for the ellipsis character
	
2005-06-14  James Vega <jamessan@jamessan.com>

	* builtin.c (builtin_cd): Add support for '-' argument, which performs a cd to the previous working directory.
	* builtin.c (set_pwd): Extract out common functionality for setting pwd.

2005-06-15  Axel Liljencrantz  <axel@liljencrantz.se>

	* proc.c (handle_child_status): Remove debug message
	
	* init/fish_interactive.fish, highlight.h: Changed the color environment variables to lower case, since they are not global variables

	* doc_src/doc.hdr: Updated sections on fish_prompt and fish_title to reflect that they are now functions, and not environment variables

2005-06-14  Axel Liljencrantz  <axel@liljencrantz.se>

	* Version 1.11.0!
	
	* common.c (str2wcs, error_reset): Add an upper limit to the number of minor errors to report for a single command. 

2005-06-13  Axel Liljencrantz  <axel@liljencrantz.se>

	* configure.ac: Make default configuration directory to always be /etc, never $PREFIX/etc

	* reader.c(write_prompt): Make fish_prompt a function
	* init/fish_interactive.fish(fish_prompt): Make fish_prompt a function
	* reader.c(write_title): Make fish_title a function

	* init/fish: Make sure the PATH is sane

	* builtin.c(builtin_builtin):Add support for -n option
	* builtin.c(builtin_set):Add support for -n option
	* builtin.c(builtin_functions):Add support for -n option

	* init/fish_complete.fish: Add completions for scp command

	
2005-06-11  Michael Wardle <michael@endbracket.net>

	* input.c (input_parse_inputrc_line): tilde expand parameter to 'include'

	
2005-06-11  Axel Liljencrantz  <axel@liljencrantz.se>

	* expand.c (expand_brackets): Improve tab completion in bracket expantion context
	* expand.c (expand_brackets): Fix handling of the comma character in bracket expantion

	
2005-06-10  Axel Liljencrantz  <axel@liljencrantz.se>

	* init/fish_complete.fish: Additional completions for mplayer
	* init/fish_complete.fish: Completion information for the date command

	* expand.h, wildcard.h: Moved various constants from wildcard.h to expand.h
	

2005-06-10   Michael Wardle <michael@endbracket.net>

	* doc_src/doc.hdr: Spelling correction
	* doc_src/doc.hdr: Fixed description of \b escape

	* init/fish_complete.fish: Drop error messages on missing files when completing ssh hosts

	
2005-06-08  Bram Senders <bram@luon.net>
	
	* init/fish_function.fish (help): Added www-browser and x-www-browser as one of the possible help browsers. 

	
2005-06-08  Axel Liljencrantz  <axel@liljencrantz.se>

	* main.c (main): Event hooks are now functions and not environment variables
	* reader.c (read_i): Event hooks are now functions and not environment variables
	* reader.c (read_i): Added fish_on_exec hook

	* builtin.c (builtin_functions): functions builtin can now be used to redefine the description of functions

	* doc_src/doc.hdr: Changelog now lives in it's own file
	* ChangeLog: Changelog now lives in it's own file

	
2005-06-08  James Vega <jamessan@jamessan.com>

	* main.c (main): Add support for the -i option (force interactive mode)

	* Various files: A large number of code cleanups, removing warnings

	* Various files: Insurmountable number of spelling fixes

	
2005-06-08  Jan Fader <jan.fader@web.de>

	* Makefile.in: Remove install_local option and replace it with correct handling of configuration files
	* configure.ac: Remove install_local option and replace it with correct handling of configuration files

	
2005-06-07  Axel Liljencrantz  <axel@liljencrantz.se>

	* parser.c (skipped_exec): Fixed crash bug when using a switch statement in a function

	* parser.c (parser_test): Fixed unhelpful error messages when evaluating a script

	* init/fish_function.fish (help): Fixed text-based browsers going to the background even if they are console based
	* init/fish_function.fish (vared): Added support for a help option


2005-06-01  Axel Liljencrantz  <axel@liljencrantz.se>

	* Version 1.10.1!

	* expand.c: %self now expands to the shells own pid

	* complete.c: Fixed bug with completion descriptions for completion of command names containing spaces

	* init/fish_function.fish: The help command was broken in the previous release

	* init/fish_complete.fish:  Fixed bug in tab completions for cd command. The 'new and improved' completion script in 1.10 was a bit buggy, it seems...

	* expand.c: Using double dollars for creating map variables was accidentally broken. This meant among other things that the vared command didn't work. This bug was reported by Jan Fader

	* init/fish_functions.fish: Improved error handling in the vared function
	* init/fish_functions.fish: The vared command did not work when given the name of an undefined variable

	* configure.ac: There where multiple issues with fish when compiled witout the xsel command. Jan Fader pointed these bugs out and provided patches for some of them.

	* Makefile.in: Fixed build script bug causing the integrated help message for the commandline builtin to dissapear

	* reader.c: Fixed rendering bug causing incorrect prompt after executing some keyboard shortcuts


2005-05-28  Axel Liljencrantz  <axel@liljencrantz.se>

	* Version 1.10!

	* builtin.c: Added a return builtin.

	* builtin.c, function.c, complete.c: Functions can now have meaningful completion descriptions.
	* builtin.c, complete.c: Builtin commands now have meaningful completion descriptions.
	* A more robust method for finding the help documentation is used.
	* If the current directory is very long, the prompt is ellipsised.
	* Long commands are ellipsised instead of overflowing to the next line.
	* Improved completions for cd, uniq, gcc and mplayer.
	* Much improved performance in the apparently common case of holding down the enter key for a longer stretch of time.
	* Fixed bug where the PWD variable was set incorrect on startup.
	* Fixed bug where appending output to a non-existing file would fail.

2005-05-24  Axel Liljencrantz  <axel@liljencrantz.se>

	* Version 1.9.2

	* Error message from the cd command was missing a newline, which caused it to be erased by the prompt.
	* Help browser is now put to the background if it is known to be graphical. Mikael Rasmussen suggested this.
	* Added hook fish_on_return, specifying command to be called when fish returns from evaluating a command.
	* Changed names of variables that are not exported to lower case.
	* make uninstall missed a few files. This is now fixed, thanks to Jan Fader.
	* Specifying a prefix to configure now works. Many people sent in patches for this, including Valient Gough, James Vega and Jan Fader.
	* Valient Gough sent in patches to fixes multiple issues regarding building rpms.
	* Fixed a few documentation issues. Several people, including Michael Rasmussen pointed these out.
	* Fixed bug where files that can't be stat:ed cause fish to perform a double free when doing wildcard expantion.
	* Fixed bug in manual page tab completion where completing a non-existing manual page results in bogus output.

2005-05-18  Axel Liljencrantz  <axel@liljencrantz.se>

	* Version 1.9.1

	* Fixed bug causing fish to hang on manual page tab completion if the whatis database can't be found. This bug has been reported by Gerben Versluis, Yongjian Xu and Ross Logan, but I couldn't pinpoint the source of the error before.
	* Fixed bug causing fish to hang on command tab completion if the whatis database can't be found. This bug has been reported by Gerben Versluis, Yongjian Xu and Ross Logan, but I couldn't pinpoint the source of the error before.
	* Fixed bug causing subshell output to be expanded
	* Various minor bugs in gen_hdr2.c fixed, making documentation generation more robust. This change was sent in by Pierre Houston.
	* The file gen_hdr.sh was simplified, and now works on OS X. This change was sent in by Pierre Houston.

2005-05-14  Axel Liljencrantz  <axel@liljencrantz.se>

	* Version 1.9

	* Changed quoting rules so that quoted and unquoted text can be mingled in one token
	* Command names must may no longer contain variables. This is needed to correctly determine block scope.
	* Functions definitions are now a block. The new syntax is much more suitable for complex functions.
	* A new builtin, functions, for erasing and listing functions.
	* Lots of minor cleanups, typedefed structs now end with '_t', a new string hashing function should decrease collisions in hash tables, etc.
	* Variables can now be used as array indices.
	* The set_color command can now be used to set the background color of the terminal.
	* Added highlighting of grep matches and some additional colors for the ls command. These changes where submitted by Philip Ganchev.
	* Minor performance increases.
	* Moving a word left or right moves to the last space after the word.
	* Completion pager is now much better at handling long completions and descriptions.
	* Fish now uses the unicode ellipsis character instead of tripple dots when it can't fit a completion
	* Line number for errors is now correctly calculated
	* Error reports are more specific
	* The commandline builtin can now be used to print the current commandline or append a string to the current commandline
	* Fixed infinite loop when tab-completing inside curly brackets
	* Fixed some of the IO redirection issues for functions
	* Fixed bug that caused the $history variable to randomly misbehave.
	* Fixed bug in file desctiption generation for strange filetypes.
	* Fixed bug in completion description for variables where variable array descriptions could contain illegal characters

2005-04-29  Axel Liljencrantz  <axel@liljencrantz.se>

	* Version 1.8

	* Fixed bug that made 'make uninstall' miss some files 
	* Fixed bug where subshells with quoted parentesis in them would result in errors
	* Fixed crash bug when manually erasing a completion with 'complete -e'
	* Fixed bug causing completion list to have larger column width than needed in some cases
	* Fixed broken header causing wide characters to not work correctly. Both Adam Rice and Yongjian Xu have been a great help in making this work.
	* Vastly improved startup time
	* A large number of smaller updates and additions to the documentation
	* Completion description for manual page completion is now the whatis information
	* Completion description for commands now search manual sections 8, n, o and l in addition to section 1
	* Matching parenthesis and quotes are now highlighted as they are typed, not just when moving the cursor over them
	* Remove debug message on tab-completing directory from CDPATH
	* Tab completion displays list of completions on single tap if completions have no common prefix
	* Fish does not redraw the completion list on multiple tab taps
	* It is now possible to specify an initial string for the read builtin
	* New vared function for editing the value of a variable
	* New commandline builtin for changing the command buffer
	* History search now searches anywhere in the command
	* History search highlights the matching string
	* Changed output of set command when called with no arguments to be more readable

2005-04-24  Axel Liljencrantz  <axel@liljencrantz.se>

	* Version 1.7.1

	* Remove annoying debug message. Pointed out by Claudio Fontana.

2005-04-23  Axel Liljencrantz  <axel@liljencrantz.se>

	* Version 1.7

	* Support for environment variable arrays. $PATH[3] is the third element of the PATH variable, etc. 
	* You can set individual variable elements using set, i.e. 'set PATH[2] foo' replaces the third element of PATH with 'foo'
	* You can create an array using set, i.e. 'set foo bar baz' creates an array variable 'foo' with the elements 'bar' and 'baz'
	* aliases have been replaced by functions. The Use 'help function' for an introduction to functions.
	* Arguments to scripts/functions are now contained in the environment variable array $args. 
	* functions can now be used in pipes
	* complete.c: tab completion of directories in CDPATH for implicit cd now works.
	* builtin.c: AThe read builtin now uses the internal line reading library, which means it supports all the advanced line reading capabilities that fish supports.
	* : Debian packages are now available. Thank you to Dave Tait for making this happen. (This was really added to 1.6.1, but I forgot to mention it in the changelog)
	* env.c: You can now access previous commands through the environment variable array named  history
	* init/fish_function.fish: Added keyboard shortcut Control-r for replacing text in the current commandline
	* input.c: Changed a few keyboard shortcuts
	* doc_src/doc.hdr: Documentation updates
	* : Fixed bug that broke several keyboard shortcuts
	* reader.c: Check for double with characters through wcwidth

2005-06-15  Axel Liljencrantz  <axel@liljencrantz.se>

	* Version 1.6.1

	* util.c: Fixed buffer overflow with string_buffer

	* complete.c: Fixed bug where tab-completion would not work on executable scripts

	* reader.c: Fixed crash on terminals that do not provide some capabilities

	* input.c: Alt-left and Alt-right keymappings where accidentaly reversed

	
2005-04-09  Axel Liljencrantz  <axel@liljencrantz.se>

	* Version 1.6

	* init/fish_complete.fish: Updated completions for set_color. Thanks to Phil Ganchev for the bug report.

	* reader.c: Added several new readline functions, suggested by Doug Dimick and Phil Ganchev.

	* : ^C breaks all loops, conditional blocks, etc when waiting for a job to finish.

	* builtin.c: Minor tweaks of completion syntax after suggestions from Tijmen Baarda.

	* parser.c: If you just write in the name of a directory to fish, fish will implicitly assume this is a cd command and change to that directory. Thanks to Phil Ganchev for the suggestion.

	* highlight.c: Highlighting of matching parentheses and quotes.

	* doc_src/doc.hdr: The usual batch of documentation updates.

	* parser.c: fish now has an upper limit on the number of recursive alias calls. This prevents trashing/crashing on bad aliases.

	* parser.c: fish makes sure that an alias does not unconditionally call itself. This prevents the most trivial types of accidental infinite recursion.

	
2005-04-02  Axel Liljencrantz  <axel@liljencrantz.se>

	* Version 1.5.2

	* : Fixed broken header that caused compilation issues


2005-04-02  Axel Liljencrantz  <axel@liljencrantz.se>

	* Version 1.5.1

	* reader.c: Fixed issue in completion display, where long completions might spill to the next line and cause uglyness

	* highlight.c, reader.c: Fixed a bug in error explanation (^X) where gibberish would be printed in some cases

	* reader.c: Fixed various minor issues with repainting the screen after status updates

	* configure.ac, Makefile.in: fish can now be compiled without xsel by using './configure --without-xsel'. This means  fish can now be compiled on systems without X headers.

	* input.c: Initial support for reading escape sequences for special keys from an inputrc file.
	* input.c: Initial support for binding a command to a key. Meta-w runs whatis on the current command. Read the  /etc/fish_inputrc file for more information.

	* reader.c: The LINES and COLUMNS variables are set to the correct terminal size


2005-03-20  Axel Liljencrantz  <axel@liljencrantz.se>

	* Version 1.5

	* complete.c: Tab completion of files now displays file descriptions now from the  mimetype database
	* mimedb.c: New mimedb command, can be used to look up mimetype, description and default action for a file, as well as launch the default handler of a file.

	* builtin.c: Jobs command prints CPU activity for jobs (Linux only)

	* highlight.c: Added syntax highligting for subshells

	* complete.c: Added tab completion inside of subshells

	* reader.c: ^X prints comments on possible problems

	* main.c: 'fish -h' starts the help browser

	* : Non-builtin commands shipped with  fish have much improved help

	* doc_src/doc.hdr: Various cleanups and rewrites of the documentation

	* : Fixed accidental mixing of stream and fd based output which caused some status messages to become garbled.

	* : Fixed bug hangup on commands such as 'ls --color|less', caused by process group weirdness. Thank you to Doug Dimick for reporting this issue.

	* init/fish: Fixed problems with the linux frambuffer and unicode. Drew Ferguson reported this problem and went out of his way to help me solve it. Thanks!

	* reader.c: Fixed Konsole Home and End keys not working. Thank you to Jason L. Buberel for reporting this issue.

2005-03-11  Axel Liljencrantz  <axel@liljencrantz.se>

	* Version 1.4

	* highlight.c: Unknown/misspelled options are now flaged red by syntax highlighting if tab completions have been specified for the 
command.

	* builtin.c: Added 'break' and 'continue' loop control builtins.
	* builtin.c: Added 'switch' and 'case' builtins for conditionally executing 
a block.

	* doc_src/doc.hdr: Lots of smaller updates to the documentation.

	* configure.ac: fish now uses autoconf to improve platform independance.

	* kill.c: Fixed a bug in X clipboard support which could hang the shell. 

	* expand.c: Fixed a bug where environment variables were escaped when they shouldn't be. This bug caused som tab-completions for the screen command to break in 1.3

	* complete.c: Fixed bug causing problems for tab-completion if PATH elements end with a slash

	* fish_tests.c: Took the first steps towards a test suite. So far only some simple syntax tests are performed.

	* init/fish: If LANG is unspecified, a default value of en_US.UTF-8 is set

	
2005-03-07  Axel Liljencrantz  <axel@liljencrantz.se>

	* Version 1.3

	* builtin.c: New syntax for if, while and for builtins. 
	* : Added support for X copy and paste inside of  fish. Thank you to Stéphane Chazelas for pointers on how to do this.
	* : Included the Xsel program, written by Conrad Parker, with  fish. This is the wonderful program that allows  fish to use X copy and paste.
	* complete.c: Fixed bug causing slowdown in tab completion of wildcarded strings.
	* reader.c: Avoid calling setupterm() more than once, since the NCurses version leaks memory and sometimes calls exit, possibly without an error message. 
	* set_color.c: Fixed bug in the set_color command that could cause accidental underlining of text. Oh no!
	* init/fish_complete.fish: Added tab completions for w, xsel, xprop, btdownloadcurses.py and btdownloadheadless.py commands.
	* doc_src/coplete.txt: Rewrote documentation for the  complete command to make it easier to understand how command specific completions work.
	* complete.c: Scripts with extensions are now described with language, i.e. Perl scripts are discribed as "Perl script", not "Executable"

2005-02-27  Axel Liljencrantz  <axel@liljencrantz.se>

	* Version 1.2.1

	* : Fixed obvious crash bug. I should REALLY try to put together a test suite for  fish.
	* env.c: Added support for changing locale while  fish is running.

2005-02-26  Axel Liljencrantz  <axel@liljencrantz.se>

	* Version 1.2

	* INSTALL: The INSTALL file contained a dangerAous mistake, where users were advised to use a command which could cause an invalid /etc/shells. Thanks to Klaus Alexander Seistrup for spotting this.

	* builtin.c: Fixed bug where sourcing a file when in interactive mode would reset signal handlers. 

	* builtin_help.c: Builtin help pages are now stored as narrow character strings. This avoids escape sequences being improperly displayed on some platforms. It also decreases memory usage by a few kB.

	* util.c: The comparison function used for sorting completions has been changed so it won't cause duplicate entries.

	* wildcard.c: Avoid returning excessive number of completions when tab-completing a parameter ending with a wildcard. Thanks to Klaus Alexander Seistrup for suggesting this.

	* doc_src/fish.1: Added a man-page pointing to the main  fish documentation. Thanks to Chris F.A. Johnson for suggesting this.

	* doc_src/doc.hdr: Minor changes to the documentation.

	* expand.c: Added tab completion for job id, with the job command as the description.

	* init/fish_complete.fish: Added tab completions for ps, top, test, cvs, pine, chown and chgrp commands.

	* builtin.c: Added CDPATH support for the cd builtin.

	
2005-02-16  Axel Liljencrantz  <axel@liljencrantz.se>

	* Version 1.1.1

	* init/fish: Fixed typo that caused spurious error messages on startup

	
2005-02-16  Axel Liljencrantz  <axel@liljencrantz.se>

	* Version 1.1

	* exec.c: Fixed possible segfault when using builtins in subshells (Subshells would sometimes read uninitialized data, no actual crashes encountered, but that might just be luck)

	* expand.c: Completion descriptions for environment variables and for home directories (~USER).

	* util.c: String sorting functions now sort strings that are a prefix to another string first (I.e. 'foo' comes before 'foobar') 

	* reader.c: Tab completion pager colors can be set by user

	* init/fish_complete.fish: Updated tab completion command description lookup to only use section 1 manuals

	* doc_src/doc.hdr: Added documentation chapter on environment variables
	* doc_src/doc.hdr: Added search targets for help sections 'color', 'prompt', 'title', 'variables' and 'expansion'
	* doc_src/doc.hdr: Added BSD license info to documentation (About 100 lines of  fish code comes from OpenBSD and is BSD licensed)
	* doc_src/doc.hdr: Minor additions and edits to documentation and initialization files

	* init/fish_complete.fish: Added tab completions for bc, mv, uniq, wc and who

	
2005-02-13  Axel Liljencrantz  <axel@liljencrantz.se>

	* Version 1.0

	* Initial release, everything is new

